<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["articles"]["menu"]["articles_titles"]["class"]) ) exit;
if( !check_module("articles") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["ARTICLES_TITLE_EDIT_TITLE"];

theme_draw_header();
require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_articles_title", "article_id", "date,title", "date" );

$formdb->add_listbox( "category", $lang["ARTICLES_CATEGORY"], $db, "{$config["prefix"]}_articlescat", "cod", "category", "category" );
$formdb->add_textbox( "title", $lang["ARTICLES_HEADER1"], 60 );
$formdb->add_textbox( "autor", $lang["ARTICLES_AUTOR"], 60 );
$formdb->add_textbox( "source", $lang["ARTICLES_SOURCE"], 60 );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], "1", "0" );
$formdb->add_listbox( "userid", $lang["ARTICLES_POSTEDBY"], $db, "{$config["prefix"]}_users", "uid", "name", "name" );
$formdb->add_date( "date", $lang["WD_DATE_YYYY-MM-DD"], $cfg["core"]["date_format"] );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
?>
