<?php
include_once("core/main.php");

if( !check_user_class($config["admmenu"]["Center Boxes"]["class"]) ) exit;

$page_name = "Center Boxes";

theme_draw_header();

global $config;
global $lang;

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_centerboxes", "cod", "pos,menuoption,title", "menuoption,pos" );

// read drectory
$img_files = "none";
$dir = opendir("centerboxes/") or die( $ERROR_05 );
while( ($file = readdir($dir))!==false )
{
//    if($file!="." && $file!="..") $img_files .= ",".substr( $file, 0, strrpos( $file, "." ) );
    if($file!="." && $file!="..") $img_files .= ",". $file;
}
closedir($dir);

$formdb->add_textbox( "pos", $lang["WD_POSITION"], 10 );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], "1", "0" );
$formdb->add_checkbox( "draw_box",$lang["DRAW_BOX"], "Y", "N" );
$type = array();
$types[] = array( "A",$lang["ACCESS_ET"] );
$types[] = array( "N",$lang["ACCESS_NOTLOG"] );
$types[] = array( "L",$lang["ACCESS_LOGGED"] );
$formdb->add_static_listbox( "type", $lang["ACCESS_WHEN"], $types );
$formdb->add_checkbox( "oneverypage", $lang["SHOW_ON_EVERY_PAGE"], "1", "0" );
$formdb->add_textbox( "menuoption", $lang["MENU_OPTION"], 40 );
$formdb->add_textbox( "title", $lang["WD_TITLE"], 60 );
$formdb->add_textarea( "content", $lang["WD_CONTENT"], 60, 10 );
$formdb->add_static_listbox( "file", $lang["WD_FILE_PHP"], $img_files );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
include("adm_footer.php");
draw_footer();

?>
