<?php
include_once("core/main.php");
// this is forced here for security reasons
if( !check_user_class($config["modmenu"]["downloads"]["menu"]["downloads"]["class"]) ) exit;
if( !check_module("downloads") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["DOWNLOAD_TITLE"];

theme_draw_header();

if ( ($config["dbtype"] === "mysql") || ($config["dbtype"] === "pgsql") ) {
    require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
} else {
    require_once("phpdbform/phpdbform_mysql.php");
}
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_downloads", "id", "name", "name" );

// read drectory
$img_files = "none";
$dir = opendir("modules/downloads/images/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") $img_files .= ",$file";
}
closedir($dir);

//function add_listbox( $field, $title, $db, $table, $key, $value, $order )
$formdb->add_listbox( "category", $lang["DOWNLOAD_CATEGORY"], $db, "{$config["prefix"]}_downloadscat", "cod", "name", "name" );
$formdb->add_textbox( "name", $lang["DOWNLOAD_ULNAME"], 30 );
$formdb->add_textbox( "url",  $lang["DOWNLOAD_ULURL"], 40 );
$formdb->add_textbox( "date", $lang["DOWNLOAD_ULDATE"], 20 );
$formdb->add_textbox( "size", $lang["DOWNLOAD_ULSIZE"], 10 );
$formdb->add_static_listbox( "license", $lang["DOWNLOAD_SHOW_LIC"], "N,Y" );
$formdb->add_textarea( "license_text", $lang["DOWNLOAD_LIC"], 40, 6 );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], 'Y', 'N' );
$formdb->add_textbox( "author_name", $lang["DOWNLOAD_ULAUTHORNAME"], 30 );
$formdb->add_textbox( "author_email", $lang["DOWNLOAD_ULAUTHOREMAIL"], 40 );
$formdb->add_textarea( "short_description", $lang["DOWNLOAD_ULSDESCR"], 40, 3 );
$formdb->add_textarea( "description", $lang["DOWNLOAD_ULLDESCR"], 40, 6 );
$formdb->add_static_listbox( "small_picture", $lang["DOWNLOAD_PIC_S"], $img_files );
$formdb->add_static_listbox( "big_picture", $lang["DOWNLOAD_PIC_B"], $img_files );
$formdb->add_textarea( "comments", $lang["DOWNLOAD_ULCOMMENTS"], 40, 4 );
$formdb->add_textbox( "url_screenshot", $lang["DOWNLOAD_ULURLSS"], 40 );

theme_draw_centerbox_open( $lang["DOWNLOAD_TITLE"] );
if( isset($_GET["id"]) )  $formdb->keyvalue = array( intval($_GET["id"]) );
$formdb->process();
?>
<table border=0 cellspacing="0" cellpadding="2">
<tr><td colspan=2 class="centerboxtext"><?php $formdb->selform->draw(); ?></td></tr>
<?php $formdb->draw_header(); ?>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["category"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["name"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["url"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["author_name"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["author_email"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["license"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["license_text"]->draw(); ?></td></tr>
<tr>
	<td width="50%" class="centerboxtext"><?php $formdb->fields["date"]->draw(); ?></td>
	<td width="50%" class="centerboxtext"><?php $formdb->fields["size"]->draw(); ?></td>
</tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["active"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["short_description"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["description"]->draw(); ?></td></tr>
<tr>
	<td width="50%" class="centerboxtext"><?php $formdb->fields["small_picture"]->draw(); ?></td>
	<td width="50%" class="centerboxtext"><?php $formdb->fields["big_picture"]->draw(); ?></td>
</tr>
<tr><td colspan=2 class="centerboxtext"><b><?php echo $lang["DOWNLOAD_DONT_SHOW"]; ?></b></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["comments"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext"><?php $formdb->fields["url_screenshot"]->draw(); ?></td></tr>
<tr><td colspan=2 class="centerboxtext">&nbsp;</td></tr>
<tr>
    <td width="50%" class="centerboxtext"><?php $formdb->draw_submit( $lang["BUTTON_SUBMIT"], false ); ?></td>
    <td width="50%" align="right" class="centerboxtext"><?php $formdb->draw_delete_button( $lang["BUTTON_DELETE"] ); ?></td>
</tr>
<?php $formdb->draw_footer(); ?>
</table>
<?php
echo "<br><a href=\"adm_downloadspend.php\">{$lang["DOWNLOAD_PENDING"]}</a>";
theme_draw_centerbox_close();
draw_footer();
?>
