<?php
include_once("core/main.php");
// this is forced here for security reasons
if( !check_user_class($config["modmenu"]["faqs"]["menu"]["faq_topics"]) ) exit;

$index_page = false;
$page_name = $lang["FAQ_TOPICS"];


$parents[] = array( 0, "none");
$ret = db_query( "select cod, name from {$config["prefix"]}_faqcat order by name", "listing faq categories for parent_id" );
while( $row = db_fetch_row($ret) ) $parents[] = array( $row[0], $row[0]." | ".$row[1] );
db_free_result($ret);

theme_draw_header();

if ( ($config["dbtype"] === "mysql") || ($config["dbtype"] === "pgsql") ) {
    require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
} else {
    require_once("phpdbform/phpdbform_mysql.php");
};
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_faq_topics", "cod", "name", "name" );

$formdb->add_textbox( "name", $lang["FAQ_HEADER_1"], 60 );
$formdb->add_static_listbox( "parent_id", $lang["FAQ_CATS_PARENT"], $parents );
$formdb->add_textarea( "descr", "*".$lang["FAQ_CATS_DESCR_TITLE"], 30, 6 );

theme_draw_centerbox_open( $page_name );
$formdb->process();
$formdb->draw();

theme_draw_centerbox_close();
draw_footer();
?>