<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["faqs"]["menu"]["faqcat"]["class"]) ) exit;

$index_page = false;
$page_name = $lang["FAQ_CATS"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();

$parents[] = array( 0, "none");
$ret = $db->query( "select cod, name from {$config["prefix"]}_faqcat order by name", "listing faq categories for parent_id" );
while( $row = $db->fetch_row($ret) ) $parents[] = array( $row[0], $row[0]." | ".$row[1] );
$db->free_result($ret);

$formdb = new phpdbform( $db, "{$config["prefix"]}_faqcat", "cod", "cod,name", "name" );

$formdb->add_textbox( "name", $lang["FAQ_CATS_NAME"], 60 );
$formdb->add_textarea( "descr", $lang["FAQ_CATS_DESCR_TITLE"], 60, 10 );
$formdb->add_textbox( "url_image", $lang["FAQ_CATS_URLIMAGE"], 60 );
$formdb->add_static_listbox( "parent_id", $lang["FAQ_CATS_PARENT"], $parents );

function procfaqcat( &$form ) {
	global $lang;
    if( $form->keyvalue[0] == $form->fields["parent_id"]->value )	{
		print '<div class="error">'.$lang["FAQ_CATS_PARENT_ERR"].'</div>';
		return false;
	};
    return true;
};

$formdb->onupdate = "procfaqcat";

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
?>
