<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["forums"]["menu"]["forums"]["class"]) ) exit;
if( !check_module("forum") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["FORUM_TITLE"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, $config["prefix"]."_forums", "cod", "cod,title", "cod" );

$formdb->add_textbox( "title", $lang["FORUM_EDIT_TITLE"], 60 );
$formdb->add_textarea( "descr", $lang["WD_DESCRIPTION"], 60, 5 );
$formdb->add_checkbox( "locked", $lang["FORUM_ICON_LOCKED"], "Y", "N" );
$formdb->add_checkbox( "register", $lang["ACCESS_REGONLY"], "Y", "N" );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();

theme_draw_centerbox_close();
draw_footer();
?>
