<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["forums"]["menu"]["forum_access"]["class"]) ) exit;
if( !check_module("forum") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["FORUM_EDIT_ACCESS_TITLE"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, $config["prefix"]."_forums_mod", "forum,userid,type", "forum,userid,type", "forum,userid,type" );

$formdb->add_listbox( "forum", $lang["FORUM_TITLE"], $db, $config["prefix"]."_forums", "cod", "title", "cod" );
$formdb->add_listbox( "userid", $lang["LOGIN_NAME"], $db, "{$config["prefix"]}_users", "uid", "name", "name" );
$formdb->add_static_radiobox( "type", $lang["ACCESS_TYPE"], "allowed,moderator" );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();

draw_footer();
?>
