<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["guestbook"]["menu"]["guestbook"]["class"]) ) exit;
if( !check_module("guestbook") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$page_name = $lang["guestbook_TITLE"];
theme_draw_header();
require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_guestbook", "id", "datum,naam", "datum,naam" );

$formdb->add_textbox( "datum", $lang["WD_DATE"], 19);
$formdb->add_textbox( "naam", $lang["guestbook_NAME"], 20 );
$formdb->add_textbox( "plaats", $lang["guestbook_CITY"], 25 );
$formdb->add_textbox( "email", $lang["guestbook_EMAIL"], 80 );
$formdb->add_textbox( "homepage", $lang["guestbook_HOMEPAGE"], 80 );
$formdb->add_textarea( "tekst", $lang["guestbook_COMMENT"], 40, 10 );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
?>