<?php
require_once("core/main.php");
if( !check_user_class( "admin" ) ) 	exit;

$index_page = false;
$page_name = $lang["MODULE_INSTALL_TITLE"];

include_once( "core/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
require_once( "core/config_vars.php" );

if (isset($_REQUEST["module"])) {
  if (($_REQUEST["module"]!='core') & ($_REQUEST["module"]!='theme')){
    // load modules configurations
    $dir = opendir("modules/") or die( "No modules dir" );
    while( ($file = readdir($dir))!==false ) {
  	  if($file!="." && $file!="..") {
        if( is_dir("modules/".$file) ) {
		      if( file_exists("modules/".$file."/admconfig.php") ) {
	          include_once( "modules/".$file."/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
		        include("modules/".$file."/admconfig.php");
            //$config_var["modules"]["articles"]["obs"]
          };
        };
	    };
    };
    closedir($dir);
  };
  require_once( "phpdbform/phpdbform_form.php" );
  theme_draw_header();
  $ret1 = db_query( "select * from {$config["prefix"]}_config where id='modules'" );
  $rcfg1=array();
  if( db_num_rows($ret1) > 0 )  $rcfg1[db_result( $ret1, 0, 0 )] = unserialize(stripslashes(db_result( $ret1, 0, 1 )));
  db_free_result( $ret1 );
  ksort($rcfg1["modules"]);
  if(isset($_REQUEST["act"]))  {
    $act=$_REQUEST["act"];
    switch ($act)  {
    case "deactivate":  $rcfg1["modules"][$_REQUEST["module"]]='';
                        $tempcfg = serialize( $rcfg1["modules"] );
                        //echo $tempcfg;
                        $ret = db_query( "update {$config["prefix"]}_config set config='".addslashes($tempcfg)."' where id='modules'" );
                        break;
    case "activate":    $rcfg1["modules"][$_REQUEST["module"]]=1;
                        //print_r($rcfg1["modules"]);
                        $tempcfg = serialize( $rcfg1["modules"] );
                        //echo $tempcfg;
                        $ret = db_query( "update {$config["prefix"]}_config set config='".addslashes($tempcfg)."' where id='modules'" );
                        break;
    case "db":          module_install_db($_REQUEST["module"]);
                        break;
    };
  };
  // load config
  $ret = db_query( "select * from {$config["prefix"]}_config where id='".$_REQUEST["module"]."'" );
  if( db_num_rows($ret) > 0 ) {
    $rcfg[db_result( $ret, 0, 0 )] = unserialize(stripslashes(db_result( $ret, 0, 1 )));
  } else { $rcfg = 0;  };
  db_free_result( $ret );
  $form = new phpform( "admin_".$_REQUEST["module"], "adm_install_module.php?module=".$_REQUEST["module"] );
  reset($config_var);
  if (isset($config_var["{$_REQUEST["module"]}"])) {
    while( $cfg = each($config_var["{$_REQUEST["module"]}"]) ) {
      $field = $cfg[0];
      $title = "<b>".$cfg[1]["desc"]."</b><br><i>".$cfg[1]["obs"]."</i>";
      $type = $cfg[1]["type"];
      switch( $type ) {
        case "textbox": $form->add_textbox( $field, $title, 50, 127 ); break;
        case "listbox": $form->add_static_listbox( $field, $title, $cfg[1]["values"] ); break;
        case "checkbox": $form->add_checkbox( $field, $title, true, false ); break;
        case "textarea": $form->add_textarea( $field, $title, 50, 6 ); break;
      };
      $form->fields[$field]->value = $cfg[1]["default"];
      if( is_array($rcfg) && isset($rcfg[$_REQUEST["module"]][$field]) ) {
        $form->fields[$field]->value = $rcfg[$_REQUEST["module"]][$field];
      };
    };
  };
  if( $form->process() )  {
    reset( $form->fields );
    $ncfg = array();
    while( $cfg = each($form->fields) ) {  $ncfg[$cfg[1]->field] = $cfg[1]->value; };
    $tempcfg = serialize( $ncfg );
    if( is_array($rcfg) ) {
      $ret = db_query( "update {$config["prefix"]}_config set config='".addslashes($tempcfg)."' where id='".$_REQUEST["module"]."'" );
    } else {
      $ret = db_query( "insert into {$config["prefix"]}_config (id, config) values ( '".$_REQUEST["module"]."','".addslashes($tempcfg)."')" );
    }
    if( !$ret ) print db_error();
  }
  theme_draw_centerbox_open($_REQUEST["module"]);
  echo "<table width='450' border='0' cellspacing='0' cellpadding='2' align='center'>\n";
  echo "<tr><td align='center'>";
  if (($_REQUEST["module"]!='core') & ($_REQUEST["module"]!='theme')) {
    if (is_dir("modules/".$_REQUEST["module"]."/sql")) {
      if (file_exists("modules/".$_REQUEST["module"]."/sql/tabdef.php"))
        echo "<a href='adm_install_module.php?module=".$_REQUEST["module"]."&act=db'>[".$lang["MODULE_INSTALL_DB"]."]</a>";
      else 
        echo "[".$lang["MODULE_INSTALL_NO_DB"]."]";
    } else {
      echo "[".$lang["MODULE_INSTALL_NO_DB"]."]";
    };
    echo "</td><td>";
    if (in_array($_REQUEST["module"],$rcfg1["modules"]))  {
      if (isset($rcfg1["modules"][$_REQUEST["module"]]) and $rcfg1["modules"][$_REQUEST["module"]])
       echo "<a href=\"adm_install_module.php?module=".$_REQUEST["module"]."&act=deactivate\">[".$lang["MODULE_INSTALL_DEACTIVATE"]."]</a>";
      else echo "<a href=\"adm_install_module.php?module=".$_REQUEST["module"]."&act=activate\">[".$lang["MODULE_INSTALL_ACTIVATE"]."]</a>";;
    }
    else echo "<a href=\"adm_install_module.php?module=".$_REQUEST["module"]."&act=activate\">[".$lang["MODULE_INSTALL_ACTIVATE"]."]</a>";
  };
  echo "<td><a href=\"adm_install_module.php\">[".$lang["MODULE_INSTALL_BACK"]."]</a></td>\n";
  echo "</td></tr>";
  echo "</table>\n";
  theme_draw_centerbox_close();
  theme_draw_centerbox_open($_REQUEST["module"]." - ".$lang["MODULE_INSTALL_SETTINGS"]);
  if (isset($config_var["{$_REQUEST["module"]}"]))   {
    if (($_REQUEST["module"]!='core') & ($_REQUEST["module"]!='theme')) {
      echo "<br>".$config_var["modules"]["{$_REQUEST["module"]}"]["obs"]."<br>";
    };
    echo "<br><table width='450' border='0' cellspacing='0' cellpadding='8' align='center'>\n";
    $form->draw_header();
    reset($form->fields);
    while( $field = each($form->fields) ) {
      echo "<tr><td class='row1'>";
      $field[1]->draw();
      echo "<br><br></td></tr>\n";
    };
    echo "<tr><td class='row1'><br>";
    $form->draw_submit( $lang["BUTTON_SUBMIT"] );
    echo "</td></tr>\n";
    echo "</table>\n";
  };
  theme_draw_centerbox_close();
} else {
  $tml=array();
  $modulelist=array();
  $dir = opendir("modules/") or die( "No modules dir" );
  while( ($file = readdir($dir))!==false ) {
      if($file!="." && $file!="..") {
          if( is_dir("modules/$file") ) {
              if( file_exists("modules/$file/admconfig.php") ) {
                  $modulelist[]=$file;
              };
          };
      };
  };
  closedir($dir);
  theme_draw_header();
  $ret1 = db_query( "select * from {$config["prefix"]}_config where id='modules'" );
  $rcfg=array();
  if( db_num_rows($ret1) > 0 )
    $rcfg[db_result( $ret1, 0, 0 )] = unserialize(stripslashes(db_result( $ret1, 0, 1 )));
  db_free_result( $ret1 );
  ksort($rcfg["modules"]);
  ksort($modulelist);
  draw_module_list();
}
draw_footer();

function draw_module_list() {
  global $page_name,$modulelist,$rcfg,$lang,$cfg,$config_var;
  theme_draw_centerbox_open($page_name);
  echo "<br><br><table border='1' width='100%' cellspacing='0' cellpadding='2' align='center'>";
  echo "<tr class='row0'><td valign='top'>".$lang["MODULE_INSTALL_NAME"]."</td><td valign='top'>".$lang["WD_DESCRIPTION"]."</td><td                  align='center' valign='top'>".$lang["MODULE_INSTALL_STATUS"]."</td>";
  echo "<tr class='row0'><td valign='top'><a href='adm_install_module.php?module=core'>core</td><td width='200' valign='top'>".$config_var["modules"]["core"]["obs"]."</td><td align='center'><font color=green>".$lang["MODULE_INSTALL_ACTIVE"]."</font></td>";
  echo "<tr class='row0'><td valign='top'><a href='adm_install_module.php?module=theme'>theme</td><td width='200' valign='top'>".$config_var["modules"]["theme"]["obs"]."</td><td align='center'><font color=green>".$lang["MODULE_INSTALL_ACTIVE"]."</font></td>";
  $rclass="row2";
  $n=0;
  $dir = opendir("modules/") or die( "No modules dir" );
  while( ($file = readdir($dir))!==false ) {
    if($file!="." && $file!="..") {
      if( is_dir("modules/".$file) ) {
        if( file_exists("modules/".$file."/admconfig.php") ) {
          include_once( "modules/".$file."/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
          include("modules/".$file."/admconfig.php");
        };
      };
    };
  };
  closedir($dir);
  //var_dump($config_var["modules"]);
  while ($module = each($modulelist))  {
	include_once( "modules/".$module[1]."/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
	$rclass = sprintf( "row%d", ($n++ % 2)+1 );
    echo "<tr class='".$rclass."' valign='top'>";
    echo "<td width='100'><a href='adm_install_module.php?module=".$module[1]."'>".$module[1]."</a></td>";
	echo "<td width='200'>";
	echo $config_var["modules"]["{$module[1]}"]["obs"];
	echo "</td>\n";
    echo "<td width='100' align='center'>";
    if (in_array($module[1],$rcfg["modules"]))
    {
      if (isset($rcfg["modules"][$module[1]]) and $rcfg["modules"][$module[1]]) echo "<font color=green>".$lang["MODULE_INSTALL_ACTIVE"]."</font>";
      else echo "<font color=red>".$lang["MODULE_INSTALL_NOTACTIVE"]."</font>";
    }
    else echo "<font color=red>".$lang["MODULE_INSTALL_NOTACTIVE"]."</font>";
    echo "</td></tr>";
  }
  echo "</table>";
  theme_draw_centerbox_close();
}

function module_install_db($module)
{
  global $config,$lang;

  theme_draw_centerbox_open($module." - ".$lang["MODULE_INSTALL_DB"]);
  echo "<table width='450' border='0' cellspacing='0' cellpadding='2' align='center'><tr><td>\n";
  include_once("modules/".$module."/sql/tabdef.php");
  $prefix=$config["prefix"];
  $database=$config["database"];
  $ret1= db_query("SHOW TABLES FROM ".$database." LIKE '".$prefix."%'");
  if ($ret1)
  {
	 $dbs=array();
    while( $row1 = db_fetch_array($ret1) ) $dbs[] = $row1[0];
	 db_free_result($ret1);
	
    reset($dbs);
    while ($test3= each($tables))
    {
      $temp=$prefix.$test3[1];
      if (in_array($temp,$dbs))
      {
        include("modules/".$module."/sql/tab".$test3[1].".php");
        echo "<br><b>".$prefix.$test3[1]."</b><br>";
        $ret3 = db_query( "SHOW FIELDS FROM {$temp}" );
        if ($ret3)
        {
          $field=array();
          $type=array();
          $default=array();
          $null=array();
          $extra=array();
          $t=-1;
          $autoinc=-1;
          while( $row3 = mysql_fetch_array($ret3))
          {
            $t++;
            $field[]=$row3["Field"];
            $type[]=$row3["Type"];
            $default[]=$row3["Default"];
            $null[]=$row3["Null"];
            $extra[]=$row3["Extra"];
            if ($row3["Extra"]=="auto_increment") $autoinc=$t;
          }
          $total=count($field);
        }
        $testa=array();
        while ($testb= each($table[$prefix.$test3[1]])) $testa[]=$testb[1]["field"];
        reset($field);
        /*****************************************************************
        *DELETE FIELDS THAT ARE NOT DEFINED
        ******************************************************************/
        while ($test= each($field))
        {
          if (!in_array($test[1],$testa))
          {
            $query="ALTER TABLE `".$temp."` DROP `".$test[1]."`";
            db_query($query);
            if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
            else echo $test[1]." <b>deleted</b><br>";

          }
        }
        /******************************************************************/
        reset($table[$prefix.$test3[1]]);
        while ($test= each($table[$prefix.$test3[1]]))
        {
          if (in_array($test[1]["field"],$field))
          {
            $lus=true;
            $i=-1;
            while ($lus and $i<$total)
            {
              $i++;
              if ($test[1]["field"]==$field[$i]) $lus=false;
            }
            if ($i<>-1)
            {
              if ($test[1]["type"]<>$type[$i] or $test[1]["default"]<>$default[$i]
                  or $test[1]["null"]<>$null[$i] or $test[1]["Extra"]<>$extra[$i])
              {
                if ($test[1]["null"]=="YES") $tempnull="NULL";
                else $tempnull="NOT NULL";
                if ($test[1]["default"]<>"") $tempdefault=" DEFAULT '".$test[1]["default"]."'";
                else $tempdefault=" ";
                if ($test[1]["Extra"]=="auto_increment")
                {
                  db_query("ALTER TABLE `".$temp."` DROP PRIMARY KEY");
                  if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
                  if ($autoinc<>-1)
                  {
                    $query="ALTER TABLE `".$temp."` CHANGE `".$field[$autoinc]."` `"
                          .$field[$autoinc]."` ".$type[$autoinc].$tempdefault
                          ." ".$tempnull;
                    db_query($query);
                    if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
                  }
                  $query="ALTER TABLE `".$temp."` ADD PRIMARY KEY (`".$test[1]["field"]."`)";
                  db_query($query);
                  if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
                }
                $query="ALTER TABLE `".$temp."` CHANGE `".$test[1]["field"]."` `"
                      .$test[1]["field"]."` ".$test[1]["type"].$tempdefault
                      ." ".$tempnull." ".$test[1]["Extra"];
                db_query($query);
                if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
                else echo "field ".$test[1]["field"]." <b>changed</b><br> ";
              }
              else echo "field ".$test[1]["field"]." OK<br> ";
            }
          }
          else
          {
            if ($test[1]["null"]=="YES") $tempnull="NULL";
            else $tempnull="NOT NULL";
            if ($test[1]["default"]<>"") $tempdefault=" DEFAULT '".$test[1]["default"]."'";
            else $tempdefault=" ";
            if ($test[1]["Extra"]=="auto_increment")
            {
              $extra1=" PRIMARY KEY FIRST";
              db_query("ALTER TABLE `".$temp."` DROP PRIMARY KEY");
              if ($autoinc<>-1)
              {
                $query="ALTER TABLE `".$temp."` CHANGE `".$field[$autoinc]."` `"
                      .$field[$autoinc]."` ".$type[$autoinc].$tempdefault
                      ." ".$tempnull;
                db_query($query);
                if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
              }
            }
            else $extra1="";
            $query="ALTER TABLE `".$temp."` ADD `".$test[1]["field"]."` "
                  .$test[1]["type"].$tempdefault
                  ." ".$tempnull." ".$test[1]["Extra"].$extra1;
            db_query($query);
            if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
            else echo "field ".$test[1]["field"]." <b>added</b><br> ";

          }
        }
        unset($table);
        /*****************************************************************
        *INDEXES
        ******************************************************************/
        $query="Show index from ".$temp;
        $ret4=db_query($query);
        $temp_index="";
        while ($index_row=db_fetch_array($ret4))
        {
          if ($temp_index<>$index_row["Key_name"])
          {
            $temp_index=$index_row["Key_name"];
            if ($temp_index<>"PRIMARY")
            {
              $query="ALTER TABLE `".$temp."` DROP INDEX ".$temp_index;
              db_query($query);
              if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
            }
          }
        }
        if (isset($table_index["$temp"]))
        {
          while($ind=each($table_index["$temp"]))
          {
            if (strstr($ind[1],"PRIMARY KEY") or strstr($ind[1],"PRIMARY KEY"))
            $query="ALTER TABLE `".$temp."` DROP PRIMARY KEY, ADD ".$ind[1];
            else $query="ALTER TABLE `".$temp."` ADD ".$ind[1];
            db_query($query);
            if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
          }
        }
        /***************************************************************/
      }
      else
      {
        echo "<br><b>".$temp."</b><br>";
        include("modules/".$module."/sql/tab".$test3[1].".php");
        db_query($table_create[$temp]);
        if (mysql_errno()) echo "MySQL error ".mysql_errno().": ".mysql_error()."<br>";
        else echo  "Table ".$temp." <b>created</b><br>";
      }
      /*****************************************************************
      *CONTENT
      ******************************************************************/
      if (isset($table_content[$temp]))
      {
        while ($content=each($table_content[$temp]))
        {
          $query="SELECT ".$content[1]["field"]." FROM ".$temp." WHERE ".$content[1]["field"]." = ".$content[1]["value"];
          $ret5=db_query($query);
          if ($ret5)
          {
            if (db_num_rows($ret5)==0)
            {
              $query=$content[1]["query"];
//            echo "$query<br>";
              if (db_query($query))
              echo "record ".$content[1]["value"]." inserted<br>";
              else echo "error in query $query<br>";
            }
          }
        }
      }
      /*****************************************************************/
    }
  }
	echo "<br><div class=\"info\"><b>tables created</b></div>";
	echo "</td></tr></table>\n";
  theme_draw_centerbox_close();
}
?>
