<?php
include_once("core/main.php");
include_once("core/language.php");
if( !check_user_class("admin") ) exit;

$index_page = false;
$page_name = $lang["ADMMNU_MENU"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");
$langs = "";
$dir = opendir("lang/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") {
  	if( preg_match( "^msg_([a-z]+)\.php$^", $file, $regs ) ) {
                        if( !empty($langs) ) $langs .= ",";
                        $langs .= $regs[1].";".$language[$regs[1]];
                }
        }
}
closedir($dir);

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_menu", "id", "pos,title", "pos" );

$formdb->add_textbox( "pos", "Position", 10 );
$formdb->add_textbox( "title", "Title", 60 );
$formdb->add_textbox( "url", "Url (relative or absolute)", 60 );
$formdb->add_static_listbox( "lang", $lang["MYACCT_FORM_LANGUAGE"], $langs );
$type = array();
$types[] = array( "A","Every time" );
$types[] = array( "N","Not Logged" );
$types[] = array( "L","Logged" );
$formdb->add_static_listbox( "type", "Appears when user:", $types );
$formdb->add_checkbox( "newwindow", "Open in new window?", "Y", "N" );
theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
?>
