<?php
require_once("core/main.php");
require_once("core/parser.php");
include_once("core/language.php");
if (check_module("headlines")) include_once("modules/headlines/functions.php");
if( !check_user_class($config["modmenu"]["news"]["menu"]["news_edit"]["class"]) ) exit;
if( !check_module("articles") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["NEWS_EDIT_TITLE"];

theme_draw_header();
?>
<script language="JavaScript"  type="text/javascript">
function controleer(box)
{
  if (box.checked);
  else editor_setmode('wt_articles_text_ori');
}
</script>
<?php
require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$langs = " ,";
$dir = opendir("lang/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") {
  	if( preg_match( "^msg_([a-z]+)\.php$^", $file, $regs ) ) {
                        if( !empty($langs) ) $langs .= ",";
                        $langs .= $regs[1].";".$language[$regs[1]];
                }
        }
}
closedir($dir);

$img_files = "none";
$dir = opendir("modules/news/images/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") $img_files .= ",$file";
}
closedir($dir);


$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_news", "cod", "title,lang", "title,lang" );

$formdb->add_textbox( "title", $lang["NEWS_FIELD_TITLE"], 60 );
$formdb->add_listbox( "userid", $lang["POSTED_BY_USER"], $db, "{$config["prefix"]}_users", "uid", "name", "name" );
$formdb->add_textbox( "date", $lang["WD_DATE_YYYY-MM-DD"], 10 );
$formdb->add_static_listbox( "lang", $lang["SB_TITLE_LANG"], $langs );
$formdb->add_static_listbox( "image", $lang["NEWS_FIELD_IMAGE"], $img_files );
$formdb->add_static_listbox( "align", $lang["NEWS_FIELD_ALIGN"], "left,right,top,middle,bottom" );
$formdb->add_listbox( "category", $lang["NEWS_FIELD_CAT"], $db, "{$config["prefix"]}_newscat", "cod", "name", "name" );
$formdb->add_static_listbox( "catimgpos", $lang["NEWS_FIELD_CATPOS"], "left,right" );
$formdb->add_checkbox( "active", $lang["NEWS_FIELD_ACTIVE"], 'Y', 'N' );
$formdb->add_checkbox( "archived", $lang["NEWS_FIELD_ARCHIVED"], 'Y', 'N' );
$formdb->add_checkbox( "sidebox", $lang["NEWS_FIELD_SIDEBOX"], 'Y', 'N' );
$formdb->add_textbox( "sideboxtitle", $lang["NEWS_FIELD_SIDEBOXTITLE"], 40 );
$formdb->add_textbox( "sideboxpos", $lang["NEWS_FIELD_SIDEBOXPOS"], 3 );
$formdb->add_textarea( "text_ori", $lang["NEWS_FIELD_TEXT"], 80, 15 );
$formdb->add_textarea( "full_text_ori", $lang["NEWS_FIELD_FULL_TEXT"], 80, 15 );
$formdb->add_hidden( "text" );
$formdb->add_hidden( "full_text" );

function procarticle( &$form )
{
    $text = $form->fields["text_ori"]->value;
	    parse_tags3( $text, $err );
    $form->fields["text"]->value = $text;
    $text = $form->fields["full_text_ori"]->value;
	    parse_tags3( $text, $err );
    $form->fields["full_text"]->value = $text;
    return true;
}

$formdb->onupdate = "procarticle";
$formdb->oninsert = "procarticle";

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
	
?>
