<?php
include_once("core/main.php");
if( !check_user_class($config["modmenu"]["polls"]["menu"]["polls"]["class"]) ) exit;
if( !check_module("polls") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["POLL_EDIT_TITLE"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_polls", "cod", "dtstart,dtend", "dtstart,dtend" );

$formdb->add_date( "dtstart", $lang["POLL_START_DATE"], $cfg["core"]["date_format"] );
$formdb->add_date( "dtend", $lang["POLL_END_DATE"], $cfg["core"]["date_format"] );
$formdb->add_textarea( "question", $lang["POLL_QUESTION"], 40, 5 );

for($i=1;$i<=10;$i++)
{
  $formdb->add_textbox( sprintf("item%02d",$i), sprintf($lang["POLL_ITEM"]." %d",$i), 30 );
  $formdb->add_textbox( sprintf("count%02d",$i), sprintf($lang["POLL_COUNT"]." %d",$i), 5 );
}

theme_draw_centerbox_open($page_name);
	$formdb->process();
	$formdb->selform->draw(); 
	$formdb->draw_header(); 

?>
<table align="center" cellspacing="0" cellpadding="2" border="0">
<tr>
	<td colspan="2" class="centerboxtext">
	<?php 
	?></td>
</tr>

<tr>
	<td class="centerboxtext"><?php $formdb->fields["dtstart"]->draw(); ?></td>
	<td class="centerboxtext"><?php $formdb->fields["dtend"]->draw(); ?></td>
</tr>
<tr>
	<td colspan="2" class="centerboxtext"><?php $formdb->fields["question"]->draw(); ?></td>
</tr>
<?php
for($i=1;$i<=10;$i++) : ?>
	<tr>
		<td class="centerboxtext"><?php $formdb->fields[sprintf("item%02d",$i)]->draw(); ?></td>
		<td class="centerboxtext"><?php $formdb->fields[sprintf("count%02d",$i)]->draw(); ?></td>
</tr>
<?php endfor; ?>
<tr>
	<td class="centerboxtext"><?php $formdb->draw_submit( $lang["BUTTON_SUBMIT"], false ); ?></td>
	<td align="right" class="centerboxtext"><?php $formdb->draw_delete_button( $lang["BUTTON_DELETE"] ); ?></td>
</tr>
<tr><td colspan="2" class="centerboxtext"></td></tr>
	
</table>
<?php $formdb->draw_footer(); ?>
<?php
theme_draw_centerbox_close();
draw_footer();

?>