<?php
include_once("core/main.php");
// this is forced here for security reasons
if( !check_user_class("admin") ) exit;

$index_page = false;
$page_name = $lang["ADMMNU_USERS"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_users", "uid", "uid,name,class", "name" );

$formdb->add_textbox( "name", $lang["WD_NAME"], 20 );
$formdb->add_textbox( "realname", $lang["MYACCT_FORM_REALNAME"], 40 );
$formdb->add_textbox( "email", $lang["SENDMAIL_EMAIL"], 50 );
$formdb->add_static_listbox( "class", "Class", "normal,admin" );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], "Y", "N" );
$formdb->add_checkbox( "banned", "Banned", "Y", "N" );
$formdb->add_textbox( "dateregistered", "Registered", 20 );
$formdb->add_textbox( "dateactivated", "Activated", 20 );
$formdb->add_checkbox( "receivenews", "Receive News", "Y", "N" );
$formdb->add_checkbox( "receiverel", "Receive Release", "Y", "N" );
$formdb->add_textbox( "avatar", $lang["WD_AVATAR"], 30 );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();

?>
