<?php
$lang["CORE_DESC"] = "Main settings";
$lang["CORE_OBS"] = "Main settings";

$lang["CORE_TITLE_DESC"] = "Site title";
$lang["CORE_TITLE_OBS"] = "The title that appears as the browser title";

$lang["CORE_URL_DESC"] = "Site url";
$lang["CORE_URL_OBS"] = "The complete url where your site is, don't forget the trailing slash. This value will be used for e-mail activation, login validation and so on.";

$lang["CORE_KEYWORDS_DESC"] = "Keywords";
$lang["CORE_KEYWORDS_OBS"] = "Some keywords to add to the meta tags at your site, and make some spiders happy.";

$lang["CORE_COPYRIGHT_DESC"] = "Copyright";
$lang["CORE_COPYRIGHT_OBS"] = "Your copyright line, it appears at the bottom of the site.";

$lang["CORE_DESCRIPTION_DESC"] = "Description";
$lang["CORE_DESCRIPTION_OBS"] = "A short description to appear at sites-search.";

$lang["CORE_NAME_ADMIN_DESC"] = "Admin name";
$lang["CORE_NAME_ADMIN_OBS"] = "The name that appears at the e-mail activation, sendemail admin function and some other places.";

$lang["CORE_MAIL_ADMIN_DESC"] = "Admin e-mail";
$lang["CORE_MAIL_ADMIN_OBS"] = "Admin e-mail, that will be used for all e-mails sent from this site.";

$lang["CORE_LANG_DESC"] = "Site language";
$lang["CORE_LANG_OBS"] = "Choose the language for this site.";

$lang["CORE_THEME_DESC"] = "Site theme";
$lang["CORE_THEME_OBS"] = "Choose the theme for this site.";

$lang["CORE_UNREGLANGCHANGE_DESC"] = "Language change";
$lang["CORE_UNREGLANGCHANGE_OBS"] = "Show the change language sidebox?";

$lang["CORE_NUMBEROFFLAGS_DESC"] = "Number of flags";
$lang["CORE_NUMBEROFFLAGS_OBS"] = "Number of flags per row when language select flags sidebox is used?";

$lang["CORE_UNREGTHEMECHANGE_DESC"] = "Theme change";
$lang["CORE_UNREGTHEMECHANGE_OBS"] = "Show the change theme sidebox?";

$lang["CORE_SHOW_MAP_DESC"] = "Show map?";
$lang["CORE_SHOW_MAP_OBS"] = "Should WebThingsUA show the user where he is (ex: 'Home &gt; Forum &gt; Forum Name &gt; Topic')";

$lang["CORE_DATE_FORMAT_DESC"] = "Date format";
$lang["CORE_DATE_FORMAT_OBS"] = "How should dates be formatted. (fmtSQL: yyyy-mm-dd, fmtEUR: dd/mm/yyyy, fmtUSA: mm/dd/yyyy).";

$lang["CORE_EMAIL_ACTIVATION_DESC"] = "E-mail activation?";
$lang["CORE_EMAIL_ACTIVATION_OBS"] = "Should the user activate his account in the e-mail?";

$lang["CORE_MAIL_NEW_USER_DESC"] = "Mail admin on new user?";
$lang["CORE_MAIL_NEW_USER_OBS"] = "Mail admin when a new user activate his account?";

$lang["CORE_PAGE_PROCESSED_DESC"] = "Page processed";
$lang["CORE_PAGE_PROCESSED_OBS"] = "Do you want to show the time spent for every page?";

$lang["CORE_DRAW_HORIZONTAL_MENU_TOP_DESC"] = "Draw top horizontal menu";
$lang["CORE_DRAW_HORIZONTAL_MENU_TOP_OBS"] = "Do you want to show top horizontal menu?";

$lang["CORE_DRAW_HORIZONTAL_MENU_BOT_DESC"] = "Draw bottom horizontal menu";
$lang["CORE_DRAW_HORIZONTAL_MENU_BOT_OBS"] = "Do you want to show bottom horizontal menu?";

$lang["CORE_DRAW_LEFT_SBS_DESC"] = "Draw left sideboxes";
$lang["CORE_DRAW_LEFT_SBS_OBS"] = "Do you want to show left sideboxes?";

$lang["CORE_DRAW_RIGHT_SBS_DESC"] = "Draw right sideboxes";
$lang["CORE_DRAW_RIGHT_SBS_OBS"] = "Do you want to show right sideboxes?";

$lang["CORE_AVATARS_DESC"] = "Avatars";
$lang["CORE_AVATARS_OBS"] = "Use avatars?";

$lang["CORE_AVATARS_FOLDER_DESC"] = "Avatars folder";
$lang["CORE_AVATARS_FOLDER_OBS"] = "Where WebThingsUA should store avatars images? WebThingsUA should have access to write on this folder.";

$lang["CORE_SENDMAIL_QTDE_DESC"] = "Sendmail - batch send";
$lang["CORE_SENDMAIL_QTDE_OBS"] = "How many e-mails send at each time. Keep this low if you're getting timeouts when sending e-mail using the sendmail adm script.";

$lang["CORE_WIDTH_LSB_DESC"] ="Width (in px) left sideboxes";
$lang["CORE_WIDTH_LSB_OBS"]  ="";

$lang["CORE_WIDTH_RSB_DESC"] ="Width (in px) right sideboxes";
$lang["CORE_WIDTH_RSB_OBS"]  ="";

$lang["THEME_DESC"] ="Main settings for themes";
$lang["THEME_OBS"]  ="Main settings for themes";

$lang["USE_GZIP_OUTPUT_BUFFER_DESC"] ="Use gzip output buffer";
$lang["USE_GZIP_OUTPUT_BUFFER_OBS"]  ="Your host must support ob_start() function of php";

?>
