<?php
session_start();
require( "core/login.php" );

if( !check_user_class( "admin" ) ) {
	Header( "Location: index.php" );
	exit;
}

$lang_edit_version="1.0.1.3";

function cr2cr($replace_string)
{
        $cr=chr(13).chr(10);
        $temp=explode($cr,$replace_string);
        $replace_string=implode("\\n",$temp);
        return($replace_string);
}

function cr2nl($replace_string)
{
//        $cr=chr(13).chr(10);
        $cr="\n";
        $temp=explode($cr,$replace_string);
        $replace_string=implode("\\n",$temp);
        return($replace_string);
}

function remove_slashes($origin)
{
// Variable declaration and initialization
  $element  = ""; // Holds the variable passed to the function
  $num      = ""; // Holds the number of array elements
  $slash_it = ""; // The return variable

// Break the variable into an array containing separate elements
// using a backslash as the delimiter
  $element = explode("\\", $origin);
// Get the number of elements in the array
  $num = count($element);
// Use the for loop to iterate through the array
  if ($num>0)
  {
  for($inc=0; $inc<$num; $inc++)
  {
  // Concatenate the elements into $slash_it
    $slash_it = $slash_it . $element[$inc];
  }
  }
  else $slash_it=$origin;
// Return the new value with the slashes removed
  return $slash_it;
}
function addmagic( $value )
{
	// this function adds backslashes ig magic_quotes_gpc is off
	if( !get_magic_quotes_gpc() )
  {
   return addslashes( $value );
  }
	else
  {
   return $value;
  }
}

if (isset($_REQUEST["module"])) $module=$_REQUEST["module"];
else $module="core";
if (isset($_REQUEST["language"])) $language=$_REQUEST["language"];
 else $language="enus";
if (isset($_REQUEST["act"])) $act=$_REQUEST["act"];
else $act="";
if (isset($_REQUEST["type"])) $type=$_REQUEST["type"];
else $type="msg_";
$modules = array();
$modules[]="core";
if ($module=="core") $lang_dir="lang/";
else $lang_dir="modules/".$module."/lang/";

if (isset($_POST["create_file"]))
{
  if (!file_exists($lang_dir))
  {
   mkdir($lang_dir,0777);
   echo $lang_dir." niet gevonden.<br>\n";
  }
  if (!file_exists("$lang_dir/$type$language.php") and $language<>"")
  {
    $fd=fopen("$lang_dir/$type$language.php","w");
    fwrite($fd,"<?php\n");
    fwrite($fd,"?>\n");
    fclose($fd);
  }
}

if (isset($_POST["create_item"]) and isset($_POST["lang_item"]))
{
//  echo $lang_dir.$type.$language.".php<br>"; //Debug line
  include($lang_dir.$type."enus.php");
  if (!isset($lang[$_POST["lang_item"]]))
    ( $type=="msg_" ? $lang[$_POST["lang_item"]]="" : $helptxt[$_POST["lang_item"]]="");
  $fd=fopen($lang_dir.$type."enus.php","w");
  fwrite($fd,"<?php\n");
  if ($type=="msg_")
  {
    if (isset($lang)) ksort($lang);
    while( $row = each($lang) )
    {
      $tempstr=remove_slashes($row[1]);
      $tempstr=addslashes($tempstr);
      fwrite($fd,"\$lang[\"".$row[0]."\"]=\"".cr2nl($tempstr)."\";\n");
    }
    unset($lang);
  }
  else
  {
    while( $row = each($helptxt) )
    {
      $tempstr=remove_slashes($row[1]);
      $tempstr=addslashes($tempstr);
      $tempstr=cr2cr($tempstr);
      fwrite($fd,"\$helptxt[\"".$row[0]."\"]=\"".cr2nl($tempstr)."\";\n");
    }
      unset($helptxt);
  }
  fwrite($fd,"?>\n");
  fclose($fd);

}
if (isset($_POST["save_language"]))
{
//  echo "Save language file<br>";// Debug line
  $fd=fopen("$lang_dir$type$language.php","w");
  fwrite($fd,"<?php\n");
  foreach($_POST as $key => $val)
  {
//    $tempstr=addslashes($val);
    $tempstr=addmagic($val);
    if ($type=="msg_")
    {
      if ($key<>"save_language" and $key<>"module" and $key<>"language" and $key<>"act" and $key<>"type")
          fwrite($fd,"\$lang[\"".$key."\"]=\"".cr2cr($tempstr)."\";\n");
    }
    else
    {
      if ($key<>"save_language" and $key<>"module" and $key<>"language" and $key<>"act" and $key<>"type")
          fwrite($fd,"\$helptxt[\"".$key."\"]=\"".cr2cr($tempstr)."\";\n");
    }
  }
  fwrite($fd,"?>\n");
  fclose($fd);
}

$dir = opendir("modules/") or die( "An error ocurred while reading lang folder" );
while( ($file = readdir($dir))!==false )
{
  if($file!="." && $file!="..") if (is_dir("modules/$file")) $modules[]=$file;
}
closedir($dir);

$langs = array();
$langexists=false;

if ($dir = @opendir($lang_dir))
{
  $langexists=true;
  while( ($file = readdir($dir))!==false )
  {
    if($file!="." && $file!="..")
      if( ereg( "^".$type."([a-z]+)\.php$", $file, $regs )) $langs[$regs[1]] = $file;
  }
  closedir($dir);
}
if (!file_exists ("$lang_dir/$type$language.php")) $language="enus";
if (!file_exists ("$lang_dir/$type$language.php")) $langexists=false;
if ($langexists)
{
  include($lang_dir.$type."enus.php");
  if ($type=="msg_")
  {
    if (isset($lang))
    {
      $langenus=$lang;
      if (isset($langenus)) ksort($langenus);
      unset ($lang );
      include("$lang_dir$type$language.php");
      if (isset($lang)) ksort($lang);
    }
  }
  else
  {
    if (isset($helptxt))
    {
      $langenus=$helptxt;
      unset ($helptxt );
      include("$lang_dir$type$language.php");
    }
  }
}
reset( $modules );
$modules_select="<select name=\"module\" onchange=\"document.form_langmod_select.submit()\">\n";
while( $row = each($modules) )
{
  if ($row[1]<> $module) $modules_select=$modules_select."<option value=\"$row[1]\">$row[1]</option>\n";
  else $modules_select=$modules_select."<option value=\"$row[1]\" selected=\"selected\">$row[1]</option>\n";
}
$modules_select=$modules_select."</select>\n";

reset( $langs );
$lang_file="";
$language_select="<select name=\"language\" onchange=\"document.form_langmod_select.submit()\">\n";
while( $row = each($langs) )
{
  if ($row[0]<> $language) $language_select=$language_select."<option value=\"$row[0]\">$row[0]</option>\n";
  else
  {
    $language_select=$language_select."<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>\n";
    $lang_file=$row[1];
  }
}
$language_select=$language_select."</select>\n";

$perms=is_writable("$lang_dir$lang_file");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>WebThingsUA Language Editor</title>
  <link href="core/admin.css" rel="stylesheet" type="text/css">
  <link href="htmlarea/htmlarea.css" rel="stylesheet" type="text/css">
<script language="Javascript1.2">
<!-- // load htmlarea
_editor_url = "htmlarea/";                     // URL to htmlarea files
var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
if (win_ie_ver >= 5.5) {
  document.write('<scr' + 'ipt src="' +_editor_url+ 'editor.js"');
  document.write(' language="Javascript1.2"></scr' + 'ipt>');
} else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
// -->
</script>
</head>
<body>
<table width="762" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="#000000"><tr><td class="outframe">
<table width="760" border="0" cellspacing="0" cellpadding="2" align="center" bgcolor="#FFFFFF">
<tr><td height="62" colspan="3" align="center" class="topbar">WebThingsUA Language Editor</td></tr>
<tr><td colspan="3" align="left"><font size="1" color="blue">&nbsp;version <?php echo $lang_edit_version; ?></font></td></tr>
<tr><td height="15" colspan="3" align="center">&nbsp;</td></tr>
<tr><td height="15" colspan="3" align="right"><a href="index.php">Back to site</a></td></tr>
<tr><td width="10">&nbsp;</td><td width="740" valign="top" class="rightpanel">
<a href="langedit.php?type=<?php echo $type; ?>">Home</a>
&nbsp;|&nbsp;<a href="langedit.php?act=newfile&module=<?php echo $module; ?>&type=<?php echo $type; ?>">New Language File</a>
<?php
if ($langexists)
  if ($perms) echo "&nbsp;|&nbsp;<a href=\"langedit.php?act=newitem&module=$module&language=enus&type=$type\">New Language Item</a>\n";
echo "&nbsp;|&nbsp;<a href=\"langedit.php?act=checkfiles&type=$type\">Check Languagefiles</a>\n";
echo"<hr>\n";
switch ($act)
{
  case "checkfiles":
	   reset( $modules );
	   while( $mod = each($modules) )
	   {
      if ($mod[1]=="core") $lang_dir="lang/";
      else $lang_dir="modules/$mod[1]/lang/";
      $langs=array();
      if ($dir = @opendir("$lang_dir"))
      {
//        print "<br><font color=\"Red\"><b>Module: ".$mod[1]."</b></font><br>";
        while( ($file = readdir($dir))!==false )
        {
          if($file!="." && $file!="..") {
		        if( ereg( "^$type([a-z]+)\.php$", $file, $regs ) ) {
			       if( $regs[1] != "enus" ) $langs[$regs[1]] = $file;
		        }
          }
        }
      closedir($dir);
      if (count($langs)>0) print "<br><font color=\"Red\"><b>Module: ".$mod[1]."</b></font><br>";
      if (isset($langs)) reset( $langs );
      while( $row = each($langs) )
      {
        print "<font color=\"Blue\"><b>{$row[0]} - {$row[1]} </b></font><br>";
        unset( $lang );
        if (file_exists($lang_dir.$row[1] ))
        {
          if (file_exists($lang_dir.$type."enus.php"))
          {
		        include( $lang_dir.$type."enus.php" );
		        $clangerrors = 0;
		        $lang_enus=array();
//		        if ($type=="help_")
              if (isset($helptxt)) $lang=$helptxt;
		        if (isset($lang)) $lang_enus = $lang;
		        else
		        {
              if( $clangerrors++ == 0 )
					      print "<font color=\"Blue\">".$lang_dir.$row[1]."</font><br>\n";
              print "No Items defined in : ".$lang_dir.$type."enus.php<br>\n";
            }
		        unset( $lang );
		        include( $lang_dir.$row[1] );
//		        if ($type=="help_")
              if (isset($helptxt)) $lang=$helptxt;
		        reset( $lang_enus );
		        while( $test = each($lang_enus) )
		        {
			       if( !isset($lang[$test[0]]) )
			       {
				      if( $clangerrors++ == 0 )
					     print "<font color=\"Blue\">".$lang_dir.$row[1]."</font><br>\n";
				      print "Item not found: ".$test[0]." (".htmlspecialchars($test[1]).")<br>\n";
			       }
		        }
		      }
		      else print "File not found: ".$lang_dir.$type."enus.php<br>\n";
        }
        else print "File not found: ".$lang_dir.$row[1]."<br>\n";
	     }
	     }
     }
   break;
   case "newfile":
        if (!file_exists($lang_dir.$type."enus.php"))
          $inputstr=$lang_dir.$type."<input type=\"text\" name=\"language\" size=\"6\" maxlength=\"4\" value=\"enus\" onfocus=\"blur()\">.php (max. 4 Characters)";
        else
          $inputstr=$lang_dir.$type."<input type=\"text\" name=\"language\" size=\"6\" maxlength=\"4\" value=\"\">.php (max. 4 Characters)";

   echo "<form name=\"form_new_file\" method=\"post\">\n"
        ."<input type=\"hidden\" name=\"module\" value=$module>\n"
        ."<input type=\"hidden\" name=\"type\" value=$type>\n"
        ."<input type=\"hidden\" name=\"act\" value=\"createfile\">\n"
        ."<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n"
        ."<tr><td width=100>Module:</td><td><b>$module</b></td></tr>\n"
        ."<tr><td>Language:</td><td>$inputstr</td></tr>\n"
        ."<tr><td colspan=\"2\"><br><input type=\"submit\" name=\"create_file\" value=\"Create File\"></td></tr>\n"
        ."</table></form>\n";
        break;
   case "newitem":
   echo "<form name=\"form_new_item\" method=\"post\">\n"
        ."<input type=\"hidden\" name=\"module\" value=$module>\n"
        ."<input type=\"hidden\" name=\"language\" value=\"enus\">\n"
        ."<input type=\"hidden\" name=\"type\" value=$type>\n"
        ."<input type=\"hidden\" name=\"act\" value=\"createitem\">\n"
        ."<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n"
        ."<tr><td width=\"100\">Module:</td><td><b>$module</b></td></tr>\n"
        ."<tr><td width=\"100\">Language:</td><td><b>$language</b></td></tr>\n"
        ."<tr><td width=\"100\">Language File:</td><td><b>".$lang_dir.$type.$language.".php</b></td></tr>\n"
        ."<tr><td>Item:</td><td valign=\"middle\">".($type=="msg_" ? "\$lang" : "\$helptxt")."[\"<input type=\"text\" name=\"lang_item\" size=\"20\" maxlength=\"127\" value=\"\">\"]</td></tr>\n"
        ."<tr><td colspan=\"2\"><br><input type=\"submit\" name=\"create_item\" value=\"Create Item\"></td></tr>\n"
        ."</table></form>\n";

   break;
  default:
?>
  <form name="form_langmod_select" method="post">
  <table width="100%" border="0" cellspacing="0" cellpadding="4">

<?php
//  echo "<tr><td width=\"200\">Module:</td><td>Language:</td></tr>";
  echo "<tr><td width=\"200\"><fieldset style=\"padding: 2\">\n"
      ."<legend>Module</legend>\n"
      .$modules_select."</fieldset></td>\n"
      ."<td width=\"100\"><fieldset style=\"padding: 2\">"
      ."<legend>Language</legend>\n"
      .$language_select."</fieldset></td>\n";
	echo "<td><fieldset style=\"width:150; padding: 2\">\n"
	     ."<legend>File Type</legend>\n";
  echo "<input type=\"radio\" class=\"radio1\" name=\"type\" "
      .($type=="msg_" ? "checked" : "")
      ." value=\"msg_\" onclick=\"document.form_langmod_select.submit()\"> default \n"
      ."<input type=\"radio\" class=\"radio1\" name=\"type\" "
      .($type=="help_" ? "checked" : "")
      ." value=\"help_\" onclick=\"document.form_langmod_select.submit()\"> help\n"
      ."</fieldset></td></tr>\n";

?>
  </table>
  <input type="hidden" name="act" value="">
  </form>
<?php
  if ($langexists and isset($langenus))
  {
    if ($perms) $filepermit="<font color=\"green\">Write Permission</font>";
    else $filepermit="<font color=\"red\"><b>NO</b> Write Permission!!!</font>";
    echo "<b>language file:&nbsp</b>".$lang_dir.$lang_file."&nbsp;&nbsp;".$filepermit;
    if (!$perms)
      echo "<br><br><font color=\"red\"><b>You can't edit the file or add"
          ." items to it, first change the rights to 666!!!</b></font>";
?>
  <form name="form_lang_edit" method="post">
  <input type="hidden" name="module" value=<?php echo $module; ?>>
  <input type="hidden" name="language" value=<?php echo $language; ?>>
  <input type="hidden" name="act" value=" ">
  <input type="hidden" name="type" value=<?php echo $type; ?>>
  <table width="100%" border="1" cellspacing="0" cellpadding="4">
<?php
  while( $row = each($langenus) )
  {
    if ($type=="msg_")
    {
      if (!isset($lang[$row[0]])) $lang[$row[0]]="";
      $row[1] =htmlentities($row[1],ENT_QUOTES);
      echo "<tr><td colspan=\"2\" class=\"tableheader\">[".$row[0]."]</td></tr>";
      echo "<tr><td valign=\"top\"><textarea cols=\"50\" rows=\"5\" name=\"$row[0]\" ".($perms ? "" : "onfocus=\"blur()\"").">".stripslashes(cr2cr($lang[$row[0]]))."</textarea></td>"
          ."<td width=\"50%\" valign=\"top\" >".($row[1]<>"" ? stripslashes(nl2br($row[1])) : "&nbsp;")."</td></tr>\n";
    }
    else
    {
      if (!isset($helptxt[$row[0]])) $helptxt[$row[0]]="";
//      $row[1] =htmlentities($row[1],ENT_QUOTES);
      echo "<tr><td colspan=\"2\" class=\"tableheader\">[".$row[0]."]</td></tr>";
      echo "<tr><td width=\"367\" valign=\"top\"><textarea cols=\"50\" rows=\"25\" id=\"a$row[0]\" name=\"$row[0]\" ".($perms ? "" : "onfocus=\"blur()\"").">".stripslashes($helptxt[$row[0]])."</textarea></td>"
          ."<td width=\"367\" valign=\"top\" >".($row[1]<>"" ? stripslashes($row[1]) : "&nbsp;")."</td></tr>\n";
    }
  }
  if ($perms) echo "<tr><td colspan=\"2\"><br><input type=\"submit\" name=\"save_language\" value=\"Save\" accesskey=\"s\"></td></tr>\n";
?>
  </table>
  </form>
<?php
  }
}
?>
</td>
<td width="10">&nbsp;</td></tr>
<tr><td height="15" colspan="3" align="right"><a href="index.php">Back to site</a></td></tr>
<tr>
<td colspan="3" align="center">
<BR>
<font size="1" color="blue">
WebThingsUA Language Editor version <?php echo $lang_edit_version; ?>
</font>
</td>
</tr>
</table></td></tr></table>
<?php
    if ($type=="help_")
    {
      echo "<script language='javascript1.2'>\n"
          ."var config = new Object();\n"
          ."config.stylesheet = 'http://ntserver2/wt11/htmlarea/htmlarea.css';"
          ."config.width = '368';\n"
          ."config.height = '500';\n"
          ."config.bodyStyle = 'background-color: white; font-family: 'Verdana'; font-size: x-small;';\n"
          ."config.debug = 0;\n"
          ."config.toolbar = [\n"
          ."['fontname'],\n"
          ."['fontsize'],\n"
          ."['linebreak'],\n"
          ."['bold','italic','underline','separator'],\n"
          ."['strikethrough','subscript','superscript','separator'],\n"
          ."['justifyleft','justifycenter','justifyright','separator'],\n"
          ."['OrderedList','UnOrderedList','Outdent','Indent','separator'],\n"
          ." ['forecolor','backcolor','separator'],\n"
          ."['HorizontalRule','Createlink','InsertImage','InsertTable','htmlmode','separator'],\n"
          ."['about']\n"
          ."];\n"
          ."var htmlA = new Array(40);\n"
          ."var j=0;\n"
          ."for (i=1;i<document.all.length;i++) {\n"
          ."if (document.all(i).tagName==\"TEXTAREA\") {\n"
          ."htmlA[j]=document.all(i).id;\n"
          ."j=j+1;\n"
          ."}\n"
	        ."}\n"
	        ."for (i=0;i<j;i++) {\n"
	        ."editor_generate(htmlA[i],config);\n"
	        ."}\n"
	        ."</script>\n";
    }
?>
</body>
</html>
