<?php
/*********************************************************************************
* tab_bmbanners.php                                                              *
**********************************************************************************
* created:      2004-11-17                                                       *
* Author:       Yuriy Bortnik                                                    *
* Description:  Database table definition file. This file is used to upgrade     *
*               the bmbanners module database. Works for version 0.0.2 and higher*
**********************************************************************************/
$table_create[$prefix."_bmbanners"]="CREATE TABLE `".$prefix."_bmbanners` ("
                                 ." `cod` tinyint(3) unsigned NOT NULL auto_increment,"
                                 ." `name` varchar(40) NOT NULL default '',"
                                 ." `active` enum('Y','N') NOT NULL default 'N',"
								 ." `type` enum('textlink','468x60','100x100','88x31','120x60','150x50','120x480') NOT NULL default 'textlink',"
                                 ." `image` varchar(40) NOT NULL default '',"
                                 ." `url_image` varchar(127) NOT NULL default '',"
                                 ." `url` varchar(127) NOT NULL default '',"
                                 ." `code` text NOT NULL default '',"
                                 ." `views` int(10) unsigned NOT NULL default '0',"
                                 ." `clicks` int(10) unsigned NOT NULL default '0',"
                                 ." `periode` enum('Y','N') NOT NULL default 'N',"
                                 ." `start_date` date NOT NULL default '0000-00-00',"
                                 ." `end_date` date NOT NULL default '0000-00-00',"
                                 ." PRIMARY KEY  (`cod`),"
                                 ." KEY `activeInd` (`active`)"
                                 ." ) TYPE=MyISAM";


$table_index[$prefix."_bmbanners"][]="PRIMARY KEY  (`cod`)";
$table_index[$prefix."_bmbanners"][]="KEY `activeInd` (`active`)";

//`cod` tinyint(3) unsigned NOT NULL auto_increment,
$table[$prefix."_bmbanners"]["cod"]["field"]="cod";
$table[$prefix."_bmbanners"]["cod"]["type"]="tinyint(3) unsigned";
$table[$prefix."_bmbanners"]["cod"]["default"]="";
$table[$prefix."_bmbanners"]["cod"]["null"]="";
$table[$prefix."_bmbanners"]["cod"]["Extra"]="auto_increment";

//`name` varchar(20) NOT NULL default '',
$table[$prefix."_bmbanners"]["name"]["field"]="name";
$table[$prefix."_bmbanners"]["name"]["type"]="varchar(40)";
$table[$prefix."_bmbanners"]["name"]["default"]="";
$table[$prefix."_bmbanners"]["name"]["null"]="";
$table[$prefix."_bmbanners"]["name"]["Extra"]="";

//`active` enum('Y','N') NOT NULL default 'N',
$table[$prefix."_bmbanners"]["active"]["field"]="active";
$table[$prefix."_bmbanners"]["active"]["type"]="enum('Y','N')";
$table[$prefix."_bmbanners"]["active"]["default"]="N";
$table[$prefix."_bmbanners"]["active"]["null"]="";
$table[$prefix."_bmbanners"]["active"]["Extra"]="";

//`type` enum('textlink','468x60','100x100','88x31','120x60','150x50','120x480') NOT NULL default 'textlink',
$table[$prefix."_bmbanners"]["type"]["field"]="type";
$table[$prefix."_bmbanners"]["type"]["type"]="enum('textlink','468x60','100x100','88x31','120x60','150x50','120x480')";
$table[$prefix."_bmbanners"]["type"]["default"]="textlink";
$table[$prefix."_bmbanners"]["type"]["null"]="";
$table[$prefix."_bmbanners"]["type"]["Extra"]="";

//`image` varchar(40) NOT NULL default '',
$table[$prefix."_bmbanners"]["image"]["field"]="image";
$table[$prefix."_bmbanners"]["image"]["type"]="varchar(40)";
$table[$prefix."_bmbanners"]["image"]["default"]="";
$table[$prefix."_bmbanners"]["image"]["null"]="";
$table[$prefix."_bmbanners"]["image"]["Extra"]="";

//`url_image` varchar(127) NOT NULL default '',
$table[$prefix."_bmbanners"]["url_image"]["field"]="url_image";
$table[$prefix."_bmbanners"]["url_image"]["type"]="varchar(127)";
$table[$prefix."_bmbanners"]["url_image"]["default"]="";
$table[$prefix."_bmbanners"]["url_image"]["null"]="";
$table[$prefix."_bmbanners"]["url_image"]["Extra"]="";

//`url` varchar(127) NOT NULL default '',
$table[$prefix."_bmbanners"]["url"]["field"]="url";
$table[$prefix."_bmbanners"]["url"]["type"]="varchar(127)";
$table[$prefix."_bmbanners"]["url"]["default"]="";
$table[$prefix."_bmbanners"]["url"]["null"]="";
$table[$prefix."_bmbanners"]["url"]["Extra"]="";

//`code` text,
$table[$prefix."_bmbanners"]["code"]["field"]="code";
$table[$prefix."_bmbanners"]["code"]["type"]="text";
$table[$prefix."_bmbanners"]["code"]["default"]="";
$table[$prefix."_bmbanners"]["code"]["null"]="";
$table[$prefix."_bmbanners"]["code"]["Extra"]="";

//`views` int(10) unsigned NOT NULL default '0',
$table[$prefix."_bmbanners"]["views"]["field"]="views";
$table[$prefix."_bmbanners"]["views"]["type"]="int(10) unsigned";
$table[$prefix."_bmbanners"]["views"]["default"]="0";
$table[$prefix."_bmbanners"]["views"]["null"]="";
$table[$prefix."_bmbanners"]["views"]["Extra"]="";

//`clicks` int(10) unsigned NOT NULL default '0',
$table[$prefix."_bmbanners"]["clicks"]["field"]="clicks";
$table[$prefix."_bmbanners"]["clicks"]["type"]="int(10) unsigned";
$table[$prefix."_bmbanners"]["clicks"]["default"]="0";
$table[$prefix."_bmbanners"]["clicks"]["null"]="";
$table[$prefix."_bmbanners"]["clicks"]["Extra"]="";

//`periode` enum('Y','N') NOT NULL default 'N'
$table[$prefix."_bmbanners"]["periode"]["field"]="periode";
$table[$prefix."_bmbanners"]["periode"]["type"]="enum('Y','N')";
$table[$prefix."_bmbanners"]["periode"]["default"]="N";
$table[$prefix."_bmbanners"]["periode"]["null"]="";
$table[$prefix."_bmbanners"]["periode"]["Extra"]="";

//`start_date` date NOT NULL default '0000-00-00'
$table[$prefix."_bmbanners"]["start_date"]["field"]="start_date";
$table[$prefix."_bmbanners"]["start_date"]["type"]="date";
$table[$prefix."_bmbanners"]["start_date"]["default"]="0000-00-00";
$table[$prefix."_bmbanners"]["start_date"]["null"]="";
$table[$prefix."_bmbanners"]["start_date"]["Extra"]="";

//`end_date` date NOT NULL default '0000-00-00'
$table[$prefix."_bmbanners"]["end_date"]["field"]="end_date";
$table[$prefix."_bmbanners"]["end_date"]["type"]="date";
$table[$prefix."_bmbanners"]["end_date"]["default"]="0000-00-00";
$table[$prefix."_bmbanners"]["end_date"]["null"]="";
$table[$prefix."_bmbanners"]["end_date"]["Extra"]="";

$table_content[$prefix."_bmbanners"]["WebThingsUA_468x60"]["field"]="name";
$table_content[$prefix."_bmbanners"]["WebThingsUA_468x60"]["value"]="'WebThingsUA 468x60'";
$table_content[$prefix."_bmbanners"]["WebThingsUA_468x60"]["query"]="INSERT INTO `".$prefix."_bmbanners` (`name`, `active`, `type`, `image`, `url_image`, `url`, `code`, `views`, `clicks`, `periode`, `start_date`, `end_date`) VALUES ( 'WebThingsUA 468x60','Y','468x60','webthingsua468x60.png','','http://webthings.iatp.org.ua','',1,'','N','0000-00-00','0000-00-00')";

$table_content[$prefix."_bmbanners"]["WebThingsUA_120x60"]["field"]="name";
$table_content[$prefix."_bmbanners"]["WebThingsUA_120x60"]["value"]="'WebThingsUA 120x60'";
$table_content[$prefix."_bmbanners"]["WebThingsUA_120x60"]["query"]="INSERT INTO `".$prefix."_bmbanners` (`name`, `active`, `type`, `image`, `url_image`, `url`, `code`, `views`, `clicks`, `periode`, `start_date`, `end_date`) VALUES ('WebThingsUA 120x60','Y','120x60','webthingsua120x60.png','','http://webthings.iatp.org.ua','',1,'','N','0000-00-00','0000-00-00')";

?>

