<?php
if (strstr($_SERVER["PHP_SELF"], "/modules/"))  die ("You can't access this file directly...");

function forum_list_forums() {
	global $config, $sitemap, $lang, $cfg;
	$stmt = "SELECT cod, title, descr, locked FROM {$config["prefix"]}_forums ORDER BY cod;";
	if (!($ret = db_query($stmt))) {
		echo $lang["ERROR_04"].": ".db_error();
		return;
	}

	theme_draw_centerbox_open( $lang["FORUM_TITLE"] );
	//ForumSearch_Form();
	Forum_list_header();

	$n = 0;
	while( $forum = db_fetch_array($ret) ) {
		$stmt = "SELECT SUM(CASE WHEN msg_ref > 0 THEN 0 ELSE 1 END) AS tnb, COUNT(*) AS mnb, MAX(date) AS ldate FROM {$config['prefix']}_forum_msgs WHERE forum={$forum["cod"]};";
		if( !($ret2 = db_query($stmt)) ) {
			print $lang["ERROR_04"].":".db_error();
			theme_draw_centerbox_close();
			return;
		}
		$fcount = db_fetch_array($ret2);
		db_free_result($ret2);

		$rclass = sprintf( "row%d", ($n++ % 2)+1 );
		if( $fcount["tnb"] > 0 ) {
			$stmt = "SELECT userid FROM {$config['prefix']}_forum_msgs WHERE forum={$forum["cod"]} AND date='{$fcount["ldate"]}';";
			if( $ret2 = db_query($stmt) ) {
				if( db_num_rows($ret2) > 0 ) $user = db_result($ret2,0,0);
				else $user = 0;
				$author = getNameById($user);
				db_free_result($ret2);
			} else {
				$author = "***";
			}
		} else $author = "";
		//Start modification	
		// Look for new messages in forum
		$muid=$_SESSION["wt"]["uid"];
		$newmsg=false;
		if ($_SESSION["wt"]["logged"] && (($forum["locked"] != 'Y') ||
				$cfg["forum"]["show_locked_forums"] || forum_user_allowed($forum["cod"])) ) {

 			$stmt = "SELECT cod, date FROM {$config["prefix"]}_forum_msgs WHERE msg_ref = 0 AND forum = {$forum["cod"]}";
			if (!$ret3 = db_query($stmt)) {
				print $lang["ERROR_04"].": ".db_error();
				theme_draw_centerbox_close();
				return;
			}
			while (!$newmsg && ($lmsg=db_fetch_array($ret3))) {
				$result=db_query("SELECT logtime from {$config['prefix']}_forum_log_topics where
							msgid={$lmsg["cod"]} and uid=$muid");
				if (db_num_rows($result)>0) {
					$row=db_fetch_array($result);
					$ltdate=$row["logtime"];
					db_free_result($result);
				}
				else $ltdate=0;
				// Check for date of replies to this message
				$stmt = "SELECT date FROM {$config['prefix']}_forum_msgs WHERE msg_ref={$lmsg["cod"]}";
				if (!($ret4 = db_query($stmt))) {
					print $lang["ERROR_04"].":".db_error();
					theme_draw_centerbox_close();
					return;
				}
				// Start with the original message
				$lmdate=mktime(substr($lmsg["date"],11,2),substr($lmsg["date"],14,2),substr($lmsg["date"],17,2),
							substr($lmsg["date"],5,2),substr($lmsg["date"],8,2),substr($lmsg["date"],0,4));
				for ($num_replies=db_num_rows($ret4); $num_replies>0; $num_replies--) {
					 $reply=db_fetch_array($ret4);
					 // Choose the newest
					 $lmdate=max($lmdate,mktime(substr($reply["date"],11,2),substr($reply["date"],14,2),substr($reply["date"],17,2),
							substr($reply["date"],5,2),substr($reply["date"],8,2),substr($reply["date"],0,4)));
				}
				db_free_result($ret4);

				$newmsg=($lmdate>$ltdate);
			}
			db_free_result($ret3);
		}
		if (($forum["locked"] != 'Y') || $cfg["forum"]["show_locked_forums"] || forum_user_allowed($forum["cod"]))
    {
   		if ($forum["locked"] != 'Y')
       {
   			if ($newmsg) $pic = 'folder_new.png';
   			else $pic = 'folder.png';
   		}
   		else
      {
   			if ($newmsg) $pic = 'folder_locked_new.png';
   			else $pic = 'folder_locked.png';
   		}
    //end modification
			forum_list_item( $forum["cod"], $forum["title"], $forum["descr"], $fcount["tnb"], $fcount["mnb"], $rclass, $fcount["ldate"], $author, $pic);
		}
	}
	db_free_result($ret);
	ForumList_Footer();

	theme_draw_centerbox_close();
}

function forum_list_header()
{
	global $lang;
?>
<table width="100%" cellspacing="01" cellpadding="5" border="0">
<tr>
	<td width="16" height="1"><img src="images/shim.gif" width="16" height="1" alt="" border="0"></td>
	<td width="100%" height="1"><img src="images/shim.gif" width="100%" height="1" alt="" border="0"></td>
	<td width="30" height="1"><img src="images/shim.gif" width="30" height="1" alt="" border="0"></td>
	<td width="30" height="1"><img src="images/shim.gif" width="30" height="1" alt="" border="0"></td>
	<td width="100" height="1"><img src="images/shim.gif" width="100" height="1" alt="" border="0"></td>	
</tr>
<tr>
	<td class="row0">&nbsp;</td>
	<td class="row0"><?php print $lang["FORUM_HEADER_TITLE"]; ?></td>
	<td align="right" class="row0"><?php print $lang["FORUM_HEADER_TOPICS"]; ?></td>
	<td align="right" class="row0"><?php print $lang["FORUM_HEADER_POSTS"]; ?></td>
	<td align="center" class="row0"><?php print $lang["FORUM_HEADER_LASTPOST"]; ?></td>
</tr>
<?php
}

function forum_list_item( $cod, $title, $descr, $tnb, $mnb, $class, $ldate, $author, $pic ) {
	global $lang;
	echo '<tr><td class="'.$class.'" align="center"><img src="modules/forum/images/'.$pic.'" border="0" alt=""></td><td class="'.$class.'"><a href="forum.php?forum='.$cod.'"><b>'.$title.'</b></a><br>'.$descr;
	if( $tnb <= 0 ) $date = "&nbsp;";
	else $date = show_date($ldate,true)."<br>$author";
	echo "<td class=\"$class\" align=\"right\">$tnb</td>"
		."<td class=\"$class\" align=\"right\">$mnb</td>"
		."<td class=\"$class\" align=\"center\" valign=\"top\">$date</td>"
		."</tr>\n";
//	echo "<tr><td class=\"$class\" colspan=4>$descr</td></tr>";
}

function ForumList_Footer() {
  global $lang;
	echo '</table>';
	echo '<br><table cellpadding="2">';
	echo '<tr><td>&nbsp;&nbsp;<img src="modules/forum/images/folder.png" border="0" alt=""></td><td>'.$lang["FORUM_ICON_FOLDER"].'</td></tr>';
	echo "<tr><td>&nbsp;&nbsp;<img src=\"modules/forum/images/folder_new.png\" border=\"0\" alt=\"\"></td><td>".$lang["FORUM_ICON_FOLDER_NEW"]."</td></tr>";
	echo "<tr><td>&nbsp;&nbsp;<img src=\"modules/forum/images/folder_locked.png\" border=\"0\" alt=\"\"></td><td>".$lang["FORUM_ICON_LOCKED"]."</td></tr>";
	echo "<tr><td>&nbsp;&nbsp;<img src=\"modules/forum/images/folder_locked_new.png\" border=\"0\" alt=\"\"></td><td>".$lang["FORUM_ICON_LOCKED_NEW"]."</td></tr>";
  echo "</table>" ;
}

?>
