<?php
/*****************************************************************************
* tab_links.php                                                              *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_links"]="CREATE TABLE `".$prefix."_links` ("
                               ." `id` int(10) unsigned NOT NULL auto_increment,"
                               ." `category` int(10) unsigned NOT NULL default '0',"
                               ." `active` enum('Y','N') NOT NULL default 'N',"
                               ." `name` varchar(60) NOT NULL default '',"
                               ." `url` varchar(127) NOT NULL default '',"
                               ." `count` int(10) unsigned NOT NULL default '0',"
                               ." `descr` text NOT NULL ,"
                               ." `obs` text NOT NULL ,"
                               ." PRIMARY KEY  (`id`),"
                               ." KEY `category` (`category`)"
                               ." ) TYPE=MyISAM";

$table_index[$prefix."_links"][]="PRIMARY KEY  (`id`)";
$table_index[$prefix."_links"][]="KEY `category` (`category`)";

//`id` int(10) unsigned NOT NULL auto_increment,
$table[$prefix."_links"]["id"]["field"]="id";
$table[$prefix."_links"]["id"]["type"]="int(10) unsigned";
$table[$prefix."_links"]["id"]["default"]="";
$table[$prefix."_links"]["id"]["null"]="";
$table[$prefix."_links"]["id"]["Extra"]="auto_increment";

//`category` int(10) unsigned NOT NULL default '0',
$table[$prefix."_links"]["category"]["field"]="category";
$table[$prefix."_links"]["category"]["type"]="int(10) unsigned";
$table[$prefix."_links"]["category"]["default"]="0";
$table[$prefix."_links"]["category"]["null"]="";
$table[$prefix."_links"]["category"]["Extra"]="";

//`active` enum('Y','N') NOT NULL default 'N',
$table[$prefix."_links"]["active"]["field"]="active";
$table[$prefix."_links"]["active"]["type"]="enum('Y','N')";
$table[$prefix."_links"]["active"]["default"]="N";
$table[$prefix."_links"]["active"]["null"]="";
$table[$prefix."_links"]["active"]["Extra"]="";

//`name` varchar(40) NOT NULL default '',
$table[$prefix."_links"]["name"]["field"]="name";
$table[$prefix."_links"]["name"]["type"]="varchar(60)";
$table[$prefix."_links"]["name"]["default"]="";
$table[$prefix."_links"]["name"]["null"]="";
$table[$prefix."_links"]["name"]["Extra"]="";

//`url` varchar(127) NOT NULL default '',
$table[$prefix."_links"]["url"]["field"]="url";
$table[$prefix."_links"]["url"]["type"]="varchar(127)";
$table[$prefix."_links"]["url"]["default"]="";
$table[$prefix."_links"]["url"]["null"]="";
$table[$prefix."_links"]["url"]["Extra"]="";

//`count` int(10) unsigned NOT NULL default '0',
$table[$prefix."_links"]["count"]["field"]="count";
$table[$prefix."_links"]["count"]["type"]="int(10) unsigned";
$table[$prefix."_links"]["count"]["default"]="0";
$table[$prefix."_links"]["count"]["null"]="";
$table[$prefix."_links"]["count"]["Extra"]="";

//`descr` text,
$table[$prefix."_links"]["descr"]["field"]="descr";
$table[$prefix."_links"]["descr"]["type"]="text";
$table[$prefix."_links"]["descr"]["default"]="";
$table[$prefix."_links"]["descr"]["null"]="";
$table[$prefix."_links"]["descr"]["Extra"]="";

//`obs` text,
$table[$prefix."_links"]["obs"]["field"]="obs";
$table[$prefix."_links"]["obs"]["type"]="text";
$table[$prefix."_links"]["obs"]["default"]="";
$table[$prefix."_links"]["obs"]["null"]="";
$table[$prefix."_links"]["obs"]["Extra"]="";
?>
