<?php
/*****************************************************************************
* tab_news.php                                                               *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_news"]="CREATE TABLE `".$prefix."_news` ("
                              ." `cod` int(10) unsigned NOT NULL auto_increment,"
                              ." `lang` varchar(4) NOT NULL default '',"
                              ." `category` int(10) unsigned NOT NULL default '0',"
							                ." `catimgpos` varchar(20) NOT NULL default '0',"
                              ." `date` datetime NOT NULL default '0000-00-00 00:00:00',"
                              ." `title` varchar(80) NOT NULL default '',"
                              ." `userid` int(10) unsigned NOT NULL default '0',"
                              ." `image` varchar(40) NOT NULL default 'none',"
                              ." `align` varchar(20) NOT NULL default 'left',"
                              ." `active` char(1) NOT NULL default 'N',"
                              ." `counter` int(10) unsigned NOT NULL default '0',"
                              ." `text` text NOT NULL default '',"
                              ." `text_ori` text NOT NULL default '',"
                              ." `full_text` text NOT NULL default '',"
                              ." `full_text_ori` text NOT NULL default '',"
                              ." `archived` enum('Y','N') NOT NULL default 'N',"
						                  ." `sidebox` enum('Y','N') NOT NULL default 'N',"
							                ." `sideboxtitle` varchar(40) NOT NULL default '',"
							                ." `sideboxpos` char(3) NOT NULL default '',"
                              ." PRIMARY KEY  (`cod`),"
                              ." KEY `date` (`date`)"
                              ." ) TYPE=MyISAM";

$table_index[$prefix."_news"][]="PRIMARY KEY  (`cod`)";
$table_index[$prefix."_news"][]="KEY `date` (`date`)";

//`cod` int(10) unsigned NOT NULL auto_increment,
$table[$prefix."_news"]["cod"]["field"]="cod";
$table[$prefix."_news"]["cod"]["type"]="int(10) unsigned";
$table[$prefix."_news"]["cod"]["default"]="";
$table[$prefix."_news"]["cod"]["null"]="";
$table[$prefix."_news"]["cod"]["Extra"]="auto_increment";

//`lang` varchar(4) NOT NULL default '',
$table[$prefix."_news"]["lang"]["field"]="lang";
$table[$prefix."_news"]["lang"]["type"]="varchar(4)";
$table[$prefix."_news"]["lang"]["default"]="";
$table[$prefix."_news"]["lang"]["null"]="";
$table[$prefix."_news"]["lang"]["Extra"]="";

//`category` int(10) unsigned NOT NULL default '0',
$table[$prefix."_news"]["category"]["field"]="category";
$table[$prefix."_news"]["category"]["type"]="int(10) unsigned";
$table[$prefix."_news"]["category"]["default"]="0";
$table[$prefix."_news"]["category"]["null"]="";
$table[$prefix."_news"]["category"]["Extra"]="";

//`catimgpos` varchar(20) unsigned NOT NULL default '0',
$table[$prefix."_news"]["catimgpos"]["field"]="catimgpos";
$table[$prefix."_news"]["catimgpos"]["type"]="varchar(20)";
$table[$prefix."_news"]["catimgpos"]["default"]="0";
$table[$prefix."_news"]["catimgpos"]["null"]="";
$table[$prefix."_news"]["catimgpos"]["Extra"]="";

//`date` datetime NOT NULL default '0000-00-00 00:00:00',
$table[$prefix."_news"]["date"]["field"]="date";
$table[$prefix."_news"]["date"]["type"]="datetime";
$table[$prefix."_news"]["date"]["default"]="0000-00-00 00:00:00";
$table[$prefix."_news"]["date"]["null"]="";
$table[$prefix."_news"]["date"]["Extra"]="";

//`title` varchar(80) NOT NULL default '',
$table[$prefix."_news"]["title"]["field"]="title";
$table[$prefix."_news"]["title"]["type"]="varchar(80)";
$table[$prefix."_news"]["title"]["default"]="";
$table[$prefix."_news"]["title"]["null"]="";
$table[$prefix."_news"]["title"]["Extra"]="";

//`userid` int(10) unsigned NOT NULL default '0',
$table[$prefix."_news"]["userid"]["field"]="userid";
$table[$prefix."_news"]["userid"]["type"]="int(10) unsigned";
$table[$prefix."_news"]["userid"]["default"]="0";
$table[$prefix."_news"]["userid"]["null"]="";
$table[$prefix."_news"]["userid"]["Extra"]="";

//`image` varchar(40) NOT NULL default 'none',
$table[$prefix."_news"]["image"]["field"]="image";
$table[$prefix."_news"]["image"]["type"]="varchar(40)";
$table[$prefix."_news"]["image"]["default"]="none";
$table[$prefix."_news"]["image"]["null"]="";
$table[$prefix."_news"]["image"]["Extra"]="";

//`align` varchar(20) NOT NULL default 'left',
$table[$prefix."_news"]["align"]["field"]="align";
$table[$prefix."_news"]["align"]["type"]="varchar(20)";
$table[$prefix."_news"]["align"]["default"]="left";
$table[$prefix."_news"]["align"]["null"]="";
$table[$prefix."_news"]["align"]["Extra"]="";

//`active` char(1) NOT NULL default 'N',
$table[$prefix."_news"]["active"]["field"]="active";
$table[$prefix."_news"]["active"]["type"]="char(1)";
$table[$prefix."_news"]["active"]["default"]="N";
$table[$prefix."_news"]["active"]["null"]="";
$table[$prefix."_news"]["active"]["Extra"]="";

//`counter` int(10) unsigned NOT NULL default '0',
$table[$prefix."_news"]["counter"]["field"]="counter";
$table[$prefix."_news"]["counter"]["type"]="int(10) unsigned";
$table[$prefix."_news"]["counter"]["default"]="0";
$table[$prefix."_news"]["counter"]["null"]="";
$table[$prefix."_news"]["counter"]["Extra"]="";

//`text` text,
$table[$prefix."_news"]["text"]["field"]="text";
$table[$prefix."_news"]["text"]["type"]="text";
$table[$prefix."_news"]["text"]["default"]="";
$table[$prefix."_news"]["text"]["null"]="";
$table[$prefix."_news"]["text"]["Extra"]="";

//`text_ori` text,
$table[$prefix."_news"]["text_ori"]["field"]="text_ori";
$table[$prefix."_news"]["text_ori"]["type"]="text";
$table[$prefix."_news"]["text_ori"]["default"]="";
$table[$prefix."_news"]["text_ori"]["null"]="";
$table[$prefix."_news"]["text_ori"]["Extra"]="";

//`full_text` text,
$table[$prefix."_news"]["full_text"]["field"]="full_text";
$table[$prefix."_news"]["full_text"]["type"]="text";
$table[$prefix."_news"]["full_text"]["default"]="";
$table[$prefix."_news"]["full_text"]["null"]="";
$table[$prefix."_news"]["full_text"]["Extra"]="";

//`full_text_ori` text,
$table[$prefix."_news"]["full_text_ori"]["field"]="full_text_ori";
$table[$prefix."_news"]["full_text_ori"]["type"]="text";
$table[$prefix."_news"]["full_text_ori"]["default"]="";
$table[$prefix."_news"]["full_text_ori"]["null"]="";
$table[$prefix."_news"]["full_text_ori"]["Extra"]="";

//`archived` enum('Y','N') NOT NULL default 'N',
$table[$prefix."_news"]["archived"]["field"]="archived";
$table[$prefix."_news"]["archived"]["type"]="enum('Y','N')";
$table[$prefix."_news"]["archived"]["default"]="N";
$table[$prefix."_news"]["archived"]["null"]="";
$table[$prefix."_news"]["archived"]["Extra"]="";

//`sidebox` enum('Y','N') NOT NULL default 'N',
$table[$prefix."_news"]["sidebox"]["field"]="sidebox";
$table[$prefix."_news"]["sidebox"]["type"]="enum('Y','N')";
$table[$prefix."_news"]["sidebox"]["default"]="N";
$table[$prefix."_news"]["sidebox"]["null"]="";
$table[$prefix."_news"]["sidebox"]["Extra"]="";

//`sideboxtitle` varchar(40),
$table[$prefix."_news"]["sideboxtitle"]["field"]="sideboxtitle";
$table[$prefix."_news"]["sideboxtitle"]["type"]="varchar(40)";
$table[$prefix."_news"]["sideboxtitle"]["default"]="";
$table[$prefix."_news"]["sideboxtitle"]["null"]="";
$table[$prefix."_news"]["sideboxtitle"]["Extra"]="";

//`sideboxpos` char(3),
$table[$prefix."_news"]["sideboxpos"]["field"]="sideboxpos";
$table[$prefix."_news"]["sideboxpos"]["type"]="varchar(3)";
$table[$prefix."_news"]["sideboxpos"]["default"]="";
$table[$prefix."_news"]["sideboxpos"]["null"]="";
$table[$prefix."_news"]["sideboxpos"]["Extra"]="";
?>
