<?php
require_once("core/main.php");
require_once("core/parser.php");
if( !check_user_class($config["modmenu"]["articles"]["menu"]["articles_edit"]["class"]) ) exit;
if( !check_module("articles") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["ARTICLES_EDIT_TITLE"];

theme_draw_header();
?>
<script language="JavaScript" type="text/javascript">
function controleer(box)
{
  if (box.checked);
  else editor_setmode('wt_articles_text_ori');
}
</script>
<?php
require_once('phpdbform/phpdbform_'.$config["dbtype"].'.php');
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_articles", "cod", "article_id,page,subtitle", "article_id,page" );

$formdb->add_listbox( "article_id",$lang["ARTICLE_TITLE"], $db, "{$config["prefix"]}_articles_title", "article_id", "title", "title" );
$formdb->add_textbox( "subtitle", $lang["ARTICLE_SUBTITLE"], 60 );
$formdb->add_textbox( "page", $lang["ARTICLE_PAGE"], 3 );
$formdb->add_checkbox( "htmlarticle", $lang["ARTICLE_HTML"], "1", "0", "onclick=editor_setmode('wt_articles_text_ori')");
$formdb->add_textarea( "text_ori", $lang["ARTICLE_TEXT"], 80, 15 );
$formdb->add_hidden( "text" );

function procarticle( &$form )
{
    $text = $form->fields["text_ori"]->value;
	if ( $form->fields["htmlarticle"]->value == 0 )
	{
	    $err = "";
	    parse_tags3( $text, $err );
	    if( !empty($err) )
		{
	        print $err;
	        return false;
	    }
	}
    $form->fields["text"]->value = $text;
    return true;
}

$formdb->onupdate = "procarticle";
$formdb->oninsert = "procarticle";

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
?>
<script language="javascript1.2">
//<!--
   var config = new Object(); // create new config object

   config.width = "100%";
   config.height = "600px";
   config.bodyStyle = 'background-color: white; font-family: "Verdana"; font-size: x-small;';
   config.debug = 0;
   config.toolbar = [
   ['fontname'],
   ['fontsize'],
   ['bold','italic','underline','separator'],
   ['strikethrough','subscript','superscript','separator'],
   ['justifyleft','justifycenter','justifyright','separator'],
   ['OrderedList','UnOrderedList','Outdent','Indent','separator'],
   ['forecolor','backcolor','separator'],
   ['HorizontalRule','Createlink','InsertImage', 'InsertTable','separator']];
   editor_generate('wt_articles_text_ori',config);
<?php
  if ($formdb->fields["htmlarticle"]->value==0) { echo "editor_setmode(\"wt_articles_text_ori\");\n"; };
?>
//-->
</script>
<?php
draw_footer();
?>
