<?php
include_once("core/main.php");
if( !check_module("bmbanners") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );
// this is forced here for security reasons
if( !check_user_class($config["modmenu"]["bmbanner"]["menu"]["bmbanner"]["class"]) ) exit;

$index_page = false;
$page_name = $lang["BMBANNERS_EDIT_TITLE"];

theme_draw_header();

if ( ($config["dbtype"] === "mysql") || ($config["dbtype"] === "pgsql") ) {
    require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
} else {
    require_once("phpdbform/phpdbform_mysql.php");
}
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_bmbanners", "cod", "name", "name" );

// read drectory
$img_files = "none";
$dir = opendir("modules/bmbanners/images/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false ) {
    if($file!="." && $file!="..") $img_files .= ",".$file;
};
closedir($dir);

$formdb->add_textbox( "name", $lang["BMBANNERS_NAME"], 20 );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], "Y", "N" );
$formdb->add_static_listbox( "type", $lang["BMBANNERS_TYPE"], $typeofbnr );
$formdb->add_checkbox( "periode", $lang["BMBANNERS_SHOWLIM"], "Y", "N" );
$formdb->add_textbox( "start_date", $lang["BMBANNERS_SL_SD"], 20 );
$formdb->add_textbox( "end_date", $lang["BMBANNERS_SL_ED"], 20 );
$formdb->add_static_listbox( "image", $lang["BMBANNERS_IMAGE"], $img_files );
$formdb->add_textbox( "url_image", $lang["BMBANNERS_URLIMAGE"], 60 );
$formdb->add_textbox( "url", $lang["BMBANNERS_URL"], 60 );
$formdb->add_textarea( "code", $lang["BMBANNERS_CODE"], 60, 10 );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();

draw_footer();
?>
