<?php
include_once("core/main.php");
// this is forced here for security reasons
if( !check_user_class($config["modmenu"]["downloads"]["menu"]["downloads_cat"]["class"]) ) exit;
if( !check_module("downloads") ) die( $lang["ERR_MODULE_NOT_ENABLED"] );

$index_page = false;
$page_name = $lang["DOWNLOAD_TITLECAT"];

theme_draw_header();

if ( ($config["dbtype"] === "mysql") || ($config["dbtype"] === "pgsql") ) {
    require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
} else {
    require_once("phpdbform/phpdbform_mysql.php");
}
require_once("phpdbform/phpdbform_db.php");

$main_cat="0; ";
$dbq="select cod,name from {$config["prefix"]}_downloadscat";
if ($ret=db_query($dbq))
{
  if (db_num_rows($ret))
  {
    while ($row=db_fetch_array($ret))
    {
      $main_cat.=",".$row["cod"].";".$row["name"];
    }
  }
  db_free_result($ret);
}


$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_downloadscat", "cod", "name", "name" );

$formdb->add_static_listbox( "ref", $lang["DOWNLOAD_MAINCAT"],$main_cat  );
$formdb->add_textbox( "name", $lang["DOWNLOAD_CATEGORY"], 40 );
$formdb->add_textarea( "descr", $lang["WD_DESCRIPTION"], 40, 10 );

theme_draw_centerbox_open( $lang["DOWNLOAD_TITLECAT"] );
$formdb->process();
$formdb->draw();

theme_draw_centerbox_close();
draw_footer();
?>
