<?php
include_once("core/main.php");
if( !check_user_class($config["admmenu"]["sidebox"]["class"]) ) exit;

$index_page = false;
$page_name = $lang["SIDEBOX_EDIT_TITLE"];

theme_draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$ret1 = db_query( "select * from {$config["prefix"]}_config where id='modules'" );
$rcfg=array();
if( db_num_rows($ret1) > 0 ) {
    $rcfg[db_result( $ret1, 0, 0 )] = unserialize(stripslashes(db_result( $ret1, 0, 1 )));
}
db_free_result( $ret1 );
$rcfg["modules"]["index"]=1;
ksort($rcfg["modules"]);

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_sideboxes", "cod", "pos,side,title", "side,pos" );

// read drectory
$img_files = "none";
$dir = opendir("sideboxes/") or die( $ERROR_05 );
while( ($file = readdir($dir))!==false ){
    if($file!="." && $file!="..") $img_files .= ",".substr( $file, 0, strrpos( $file, "." ) );
};
closedir($dir);

$formdb->add_textbox( "pos", $lang["WD_POSITION"], 10 );
$formdb->add_static_listbox( "side", $lang["WD_SIDE"], "left,right" );
$types = array();
$types[] = array( "A",$lang["ACCESS_ET"] );
$types[] = array( "N",$lang["ACCESS_NOTLOG"] );
$types[] = array( "L",$lang["ACCESS_LOGGED"] );
$formdb->add_static_listbox( "type", $lang["ACCESS_WHEN"], $types );
$formdb->add_checkbox( "active", $lang["WD_ACTIVE"], "1", "0" );
$formdb->add_textbox( "title", $lang["WD_TITLE"], 60 );
$formdb->add_textarea( "content", $lang["WD_CONTENT"], 60, 10 );
$formdb->add_static_listbox( "file", $lang["WD_FILE_PHP"], $img_files );
$functions = array();
$functions[] = array( "","none");
reset($config["sidebox"]);
while( $sd = each($config["sidebox"]) ) $functions[] = array( $sd[1]["function"], $sd[1]["title"] );
$formdb->add_static_listbox( "function", $lang["INTERNAL_FUNCTION"], $functions );
$formdb->add_hidden("modules");
theme_draw_centerbox_open($page_name);
if (isset($_POST["submit"])) {
  reset($rcfg["modules"]);
  $tempmod="";
  while ($tcfg=each($rcfg["modules"]))  {
    if (isset($_POST[$tcfg[0]]))    {
      if ($tempmod=="") $tempmod=$tcfg[0];
      else $tempmod=$tempmod.",".$tcfg[0];
    };
  };
  $formdb->fields["modules"]->value=$tempmod;
};
$formdb->process();
?>
<table border=0 cellspacing="0" cellpadding="2">
<tr><td class="centerboxtext"><?php $formdb->selform->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->draw_header(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["pos"]->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["side"]->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["type"]->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["active"]->draw(); ?></td></tr>
<tr><td class="centerboxtext">
<fieldset style="padding: 0">
<Legend><?php echo $lang["SHOW_ONLY"]; ?></legend>
<?php
$mods=explode(',',$formdb->fields["modules"]->value);
reset($rcfg["modules"]);
while ($tcfg1=each($rcfg["modules"])) {
   if ($tcfg1[1])  {
       if (in_array($tcfg1[0],$mods)) echo '<input type="checkbox" name="'.$tcfg1[0].'" value="1" checked>'.($tcfg1[0]=="index" ? "Index Page" :$tcfg1[0]).'<br>';
	   else echo "<input type=\"checkbox\" name=\"".$tcfg1[0]."\" value=\"1\" unchecked>".($tcfg1[0]=="index" ? "Index Page" :$tcfg1[0])."<br>\n";
   };
};
?>
</fieldset>
</td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["title"]->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["file"]->draw(); ?></td></tr>
<tr><td class="centerboxtext"><?php $formdb->fields["function"]->draw(); ?></td></tr>
</table><table width="100%">
<tr><td class="centerboxtext"><?php $formdb->fields["content"]->draw(); ?></td></tr>
</table>
<table>
<tr><td class="centerboxtext">&nbsp;</td></tr>
<tr>
    <td width="50%" align="left"  class="centerboxtext"><?php $formdb->draw_submit( $lang["BUTTON_SUBMIT"], false ); ?></td>
    <td width="50%" align="right" class="centerboxtext"><?php $formdb->draw_delete_button( $lang["BUTTON_DELETE"] ); ?></td>
</tr>
<?php $formdb->draw_footer(); ?>
</table>
<?php
theme_draw_centerbox_close();
include("adm_footer.php");
draw_footer();
?>
