<?php
$config_var["modules"]["core"]["desc"] = $lang["CORE_DESC"];
$config_var["modules"]["core"]["obs"] = $lang["CORE_OBS"];

$config_var["modules"]["theme"]["desc"] = $lang["THEME_DESC"];
$config_var["modules"]["theme"]["obs"] = $lang["THEME_OBS"];

$config_var["core"]["title"]["type"] = "textbox";
$config_var["core"]["title"]["desc"] = $lang["CORE_TITLE_DESC"];
$config_var["core"]["title"]["default"] = "WebThingsUA";
$config_var["core"]["title"]["obs"] = $lang["CORE_TITLE_OBS"];

$config_var["core"]["url"]["type"] = "textbox";
$config_var["core"]["url"]["desc"] = $lang["CORE_URL_DESC"];
$config_var["core"]["url"]["default"] = "http://localhost/";
$config_var["core"]["url"]["obs"] = $lang["CORE_URL_OBS"];

$config_var["core"]["keywords"]["type"] = "textbox";
$config_var["core"]["keywords"]["desc"] = $lang["CORE_KEYWORDS_DESC"];
$config_var["core"]["keywords"]["default"] = "php,mysql,webthingsua";
$config_var["core"]["keywords"]["obs"] = $lang["CORE_KEYWORDS_OBS"];

$config_var["core"]["copyright"]["type"] = "textbox";
$config_var["core"]["copyright"]["desc"] = $lang["CORE_COPYRIGHT_DESC"];
$config_var["core"]["copyright"]["default"] = "powered by WebThingsUA";
$config_var["core"]["copyright"]["obs"] = $lang["CORE_COPYRIGHT_OBS"];

$config_var["core"]["description"]["type"] = "textbox";
$config_var["core"]["description"]["desc"] = $lang["CORE_DESCRIPTION_DESC"];
$config_var["core"]["description"]["default"] = "WebThingsUA is an application to create a cool web site";
$config_var["core"]["description"]["obs"] = $lang["CORE_DESCRIPTION_OBS"];

$config_var["core"]["name_admin"]["type"] = "textbox";
$config_var["core"]["name_admin"]["desc"] = $lang["CORE_NAME_ADMIN_DESC"];
$config_var["core"]["name_admin"]["default"] = "Webmaster";
$config_var["core"]["name_admin"]["obs"] = $lang["CORE_NAME_ADMIN_OBS"];

$config_var["core"]["mail_admin"]["type"] = "textbox";
$config_var["core"]["mail_admin"]["desc"] = $lang["CORE_MAIL_ADMIN_DESC"];
$config_var["core"]["mail_admin"]["default"] = "nobody@localhost";
$config_var["core"]["mail_admin"]["obs"] = $lang["CORE_MAIL_ADMIN_OBS"];

$config_var["core"]["use_gzip_output_buffer"]["type"] = "checkbox";
$config_var["core"]["use_gzip_output_buffer"]["desc"] = $lang["USE_GZIP_OUTPUT_BUFFER_DESC"];
$config_var["core"]["use_gzip_output_buffer"]["default"] = true;
$config_var["core"]["use_gzip_output_buffer"]["obs"] = $lang["USE_GZIP_OUTPUT_BUFFER_OBS"];


$config_var["core"]["lang"]["type"] = "listbox";
$config_var["core"]["lang"]["desc"] = $lang["CORE_LANG_DESC"];
$config_var["core"]["lang"]["default"] = "enus";
$config_var["core"]["lang"]["obs"] = $lang["CORE_LANG_OBS"];

// read drectory
$langs = "";
$dir = opendir("lang/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") {
		if( ereg( "^msg_([a-z]+)\.php$", $file, $regs ) ) {
			if( !empty($langs) ) $langs .= ",";
			$langs .= $regs[1];
		}
	}
}
closedir($dir);
$config_var["core"]["lang"]["values"] = $langs;

$config_var["core"]["theme"]["type"] = "listbox";
$config_var["core"]["theme"]["desc"] = $lang["CORE_THEME_DESC"];
$config_var["core"]["theme"]["default"] = "simple";
$config_var["core"]["theme"]["obs"] = $lang["CORE_THEME_OBS"];
// read drectory
$themes = "";
$dir = opendir("themes/") or die( $lang["ERROR_05"] );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!=".." && $file != "CVS") {
		if( is_dir( "themes/".$file ) ) {
			if( file_exists( "themes/".$file."/main.php" ) ) {
				if( !empty($themes) ) $themes .= ",";
				$themes .= $file;
			}
		}
	}
}
closedir($dir);
$config_var["core"]["theme"]["values"] = $themes;

$config_var["core"]["unreglangchange"]["type"] = "checkbox";
$config_var["core"]["unreglangchange"]["desc"] = $lang["CORE_UNREGLANGCHANGE_DESC"];
$config_var["core"]["unreglangchange"]["default"] = true;
$config_var["core"]["unreglangchange"]["obs"] = $lang["CORE_UNREGLANGCHANGE_OBS"];

$config_var["core"]["numberofflags"]["type"] = "textbox";
$config_var["core"]["numberofflags"]["desc"] = $lang["CORE_NUMBEROFFLAGS_DESC"];
$config_var["core"]["numberofflags"]["default"] = 4;
$config_var["core"]["numberofflags"]["obs"] = $lang["CORE_NUMBEROFFLAGS_OBS"];

$config_var["core"]["unregthemechange"]["type"] = "checkbox";
$config_var["core"]["unregthemechange"]["desc"] = $lang["CORE_UNREGTHEMECHANGE_DESC"];
$config_var["core"]["unregthemechange"]["default"] = false;
$config_var["core"]["unregthemechange"]["obs"] = $lang["CORE_UNREGTHEMECHANGE_OBS"];

$config_var["core"]["show_map"]["type"] = "checkbox";
$config_var["core"]["show_map"]["desc"] = $lang["CORE_SHOW_MAP_DESC"];
$config_var["core"]["show_map"]["default"] = false;
$config_var["core"]["show_map"]["obs"] = $lang["CORE_SHOW_MAP_OBS"];

$config_var["core"]["date_format"]["type"] = "listbox";
$config_var["core"]["date_format"]["desc"] = $lang["CORE_DATE_FORMAT_DESC"];
$config_var["core"]["date_format"]["default"] = "fmtEUR";
$config_var["core"]["date_format"]["obs"] = $lang["CORE_DATE_FORMAT_OBS"];
$config_var["core"]["date_format"]["values"] = "fmtSQL,fmtEUR,fmtUSA";

$config_var["core"]["email_activation"]["type"] = "checkbox";
$config_var["core"]["email_activation"]["desc"] = $lang["CORE_EMAIL_ACTIVATION_DESC"];
$config_var["core"]["email_activation"]["default"] = true;
$config_var["core"]["email_activation"]["obs"] = $lang["CORE_EMAIL_ACTIVATION_OBS"];

$config_var["core"]["mail_new_user"]["type"] = "checkbox";
$config_var["core"]["mail_new_user"]["desc"] = $lang["CORE_MAIL_NEW_USER_DESC"];
$config_var["core"]["mail_new_user"]["default"] = true;
$config_var["core"]["mail_new_user"]["obs"] = $lang["CORE_MAIL_NEW_USER_OBS"];

$config_var["core"]["page_processed"]["type"] = "checkbox";
$config_var["core"]["page_processed"]["desc"] = $lang["CORE_PAGE_PROCESSED_DESC"];
$config_var["core"]["page_processed"]["default"] = true;
$config_var["core"]["page_processed"]["obs"] = $lang["CORE_PAGE_PROCESSED_OBS"];

$config_var["core"]["avatars"]["type"] = "checkbox";
$config_var["core"]["avatars"]["desc"] = $lang["CORE_AVATARS_DESC"];
$config_var["core"]["avatars"]["default"] = true;
$config_var["core"]["avatars"]["obs"] = $lang["CORE_AVATARS_OBS"];

$config_var["core"]["avatars_folder"]["type"] = "textbox";
$config_var["core"]["avatars_folder"]["desc"] = $lang["CORE_AVATARS_FOLDER_DESC"];
$config_var["core"]["avatars_folder"]["default"] = "var/avatars/";
$config_var["core"]["avatars_folder"]["obs"] = $lang["CORE_AVATARS_FOLDER_OBS"];

$config_var["core"]["sendmail_qtde"]["type"] = "textbox";
$config_var["core"]["sendmail_qtde"]["desc"] = $lang["CORE_SENDMAIL_QTDE_DESC"];
$config_var["core"]["sendmail_qtde"]["default"] = 300;
$config_var["core"]["sendmail_qtde"]["obs"] = $lang["CORE_SENDMAIL_QTDE_OBS"];

$config_var["theme"]["draw_horizontal_menu_top"]["type"] = "checkbox";
$config_var["theme"]["draw_horizontal_menu_top"]["desc"] = $lang["CORE_DRAW_HORIZONTAL_MENU_TOP_DESC"];
$config_var["theme"]["draw_horizontal_menu_top"]["default"] = true;
$config_var["theme"]["draw_horizontal_menu_top"]["obs"] = $lang["CORE_DRAW_HORIZONTAL_MENU_TOP_OBS"];

$config_var["theme"]["draw_horizontal_menu_bot"]["type"] = "checkbox";
$config_var["theme"]["draw_horizontal_menu_bot"]["desc"] = $lang["CORE_DRAW_HORIZONTAL_MENU_BOT_DESC"];
$config_var["theme"]["draw_horizontal_menu_bot"]["default"] = true;
$config_var["theme"]["draw_horizontal_menu_bot"]["obs"] = $lang["CORE_DRAW_HORIZONTAL_MENU_BOT_OBS"];

$config_var["theme"]["draw_left_sbs"]["type"] = "checkbox";
$config_var["theme"]["draw_left_sbs"]["desc"] = $lang["CORE_DRAW_LEFT_SBS_DESC"];
$config_var["theme"]["draw_left_sbs"]["default"] = true;
$config_var["theme"]["draw_left_sbs"]["obs"] = $lang["CORE_DRAW_LEFT_SBS_OBS"];

$config_var["theme"]["draw_right_sbs"]["type"] = "checkbox";
$config_var["theme"]["draw_right_sbs"]["desc"] = $lang["CORE_DRAW_RIGHT_SBS_DESC"];
$config_var["theme"]["draw_right_sbs"]["default"] = true;
$config_var["theme"]["draw_right_sbs"]["obs"] = $lang["CORE_DRAW_RIGHT_SBS_OBS"];

$config_var["theme"]["width_lsb"]["type"] = "textbox";
$config_var["theme"]["width_lsb"]["desc"] = $lang["CORE_WIDTH_LSB_DESC"];
$config_var["theme"]["width_lsb"]["default"] = 120;
$config_var["theme"]["width_lsb"]["obs"] = $lang["CORE_WIDTH_LSB_OBS"];

$config_var["theme"]["width_rsb"]["type"] = "textbox";
$config_var["theme"]["width_rsb"]["desc"] = $lang["CORE_WIDTH_RSB_DESC"];
$config_var["theme"]["width_rsb"]["default"] = 120;
$config_var["theme"]["width_rsb"]["obs"] = $lang["CORE_WIDTH_RSB_OBS"];

?>