<?php
function draw_login_box($side) {
  global $config,$lang,$cfg;
  $content = "";
  if($side=="right") theme_draw_rightbox_open( $lang["LOGIN_TITLE"], $cfg["theme"]["width_rsb"] );
  else theme_draw_leftbox_open( $lang["LOGIN_TITLE"], $cfg["theme"]["width_lsb"] );
  if(!$_SESSION["wt"]["logged"]) {
    if((isset($_SESSION["wt"]["error"])) && (strlen($_SESSION["wt"]["error"])>0)) {
      echo "<span class='error'>".$_SESSION["wt"]["error"]."</span>\n";
    };
    $jumpto = (isset($_SERVER["REQUEST_URI"])? $_SERVER["REQUEST_URI"]:"index.php");
    $acturl = (isset($_GET["act"])?$_GET["act"]:"");
    if ( $acturl=="logout" ) $jumpto="index.php";
    echo "<form name='login_form' id='login_form' action='".$jumpto."' method='post'>\n";
?>
<table border=0 cellpadding=2 cellspacing=0>
<tr><td class='sideboxtext'><?php echo $lang["LOGIN_NAME"]; ?><br>
<input type='text' name='login_name' size=15 maxlength=20 class='field_textbox'><br>
<?php echo $lang["LOGIN_PASSWD"]; ?><br>
<input type='password' name='login_passwd' size=15 maxlength=20 class='field_textbox'><br>
<input type='checkbox' name='login_auto' value='1' class='field_checkbox'><?php echo $lang["LOGIN_AUTOLOGIN"]; ?>
</td></tr>
<tr><td class='sideboxtext' align='center'><input type='submit' name='submit_login' value='<?php echo $lang["LOGIN_BUTTON"]; ?>' class='button'></td></tr>
</table></form>
<div align='center'>
<a href="newuser.php"><?php echo stripslashes($lang["LOGIN_REGISTER"]); ?></a><br>
<a href="lostpasswd.php"><?php echo stripslashes($lang["LOGIN_LOST_PWD"]); ?></a><br>
<?php
    echo "<small>".$_SESSION["wt"]["ip"]."</small></div>\n";
  } else {
?>
<script language="JavaScript1.2" type="text/javascript">
<!--
	function DoConfirmlo(message, url) {
		if (confirm(message))
		location.href = url;
	}
//-->
</script>
<?php
    printf( $lang["LOGIN_WELCOME"], $_SESSION["wt"]["name"] );
    // if message module is on, show how many messages the user has
    if( check_module("messages") ) {
			print check_user_messages();
    };
    echo "<br><br><div align='center'>\n";
    echo "<a href='javascript:DoConfirmlo(\"";
    echo stripslashes($lang["LOGOUT_WARNING"]);
    echo "\",\"index.php?act=logout\")'>";
    echo stripslashes($lang["LOGIN_LOGOUT"])."</a>\n";
    echo "<br><small>".$_SESSION["wt"]["ip"]."</small></div>\n";
    }
  if($side=="right") theme_draw_rightbox_close();
  else theme_draw_leftbox_close();
}

function draw_users_online_top()
{
    global $config, $lang, $cfg;
    // Users online - 5 minutes to invalidate the session
    $ctime = time()-300;
    db_query("delete from ".$config["prefix"]."_online where time < '".$ctime."'");
    if($_SESSION["wt"]["logged"]) $user = $_SESSION["wt"]["uid"];
    else $user = 0;
    $ret=db_query("select id from ".$config["prefix"]."_online where id='".session_id()."'");
    if(db_num_rows($ret)) db_query("update ".$config["prefix"]."_online set time='".time()."', uid='".$user."' where id='".session_id()."'");
    else db_query("insert into ".$config["prefix"]."_online(id,time,uid) values('".session_id()."','".time()."','".$user."')");
    db_free_result($ret);

    $ret = db_query("select count(id) from ".$config["prefix"]."_online");
    $tot_users = db_result($ret,0,0);
    db_free_result($ret);

    $ret = db_query("select count(id) from ".$config["prefix"]."_online where uid=0");
    $tot_guests = db_result($ret,0,0);
    db_free_result($ret);
    printf( $lang["USERS_ONLINE_TEXT_TOP"], ($tot_users-$tot_guests), $tot_guests, "<a style=\"color: #ffffff\" href=\"online.php\">", "</a>" );
}

function check_user_class( $attr )
{
    // classes used in WebThingsUA
    // normal - normal user
    // admin - superuser

    // $_SESSION["wt"]["access"]{"modulename"] == true for every access module
    if( !isset($_SESSION["wt"]) || !$_SESSION["wt"]["logged"] ) return false;
    if( $_SESSION["wt"]["class"] == "admin" ) return true;
    // if user is not admin, and the class must be admin, returns
    if( $attr == "admin" ) return false;
    if( isset($_SESSION["wt"]["access"][$attr]) && $_SESSION["wt"]["access"][$attr] == true ) return true;
    else return false;
}

function draw_language_select($side)
{
	require("core/language.php" );
	global $cfg,$lang;
  if($side=="right") theme_draw_rightbox_open( $lang["SB_TITLE_LANG"], $cfg["theme"]["width_rsb"] );
  else theme_draw_leftbox_open( $lang["SB_TITLE_LANG"], $cfg["theme"]["width_lsb"] );
	$currlang = $cfg["core"]["lang"];
	$select="";
	$dir = opendir("lang/") or die( $lang["ERROR_05"] );
	while( ($file = readdir($dir))!==false )
	{
		if($file!="." && $file!="..")
		{
			if( preg_match( "^msg_([a-z]+)\.php$^", $file, $regs ) )
			{
				$selected = ($currlang==$regs[1])?"selected":"";
				$select .= "<option value=\"".$regs[1]."\" ".$selected.">".$language[$regs[1]]."</option>\n";
			}
		}
	}
	closedir($dir);
?>

<form action="index.php" name="user_form1" id="user_form1" method="post">
<select name="form_user_lang" class="field_selectbox">
<?php echo $select; ?>
</select><br><br>
<input type="submit" name="submit_language" value="submit" class="button">
</form>
<?php
  if($side=="right") theme_draw_rightbox_close();
  else theme_draw_leftbox_close();
}

function draw_language_select_flag($side)
{
	require("core/language.php" );
	global $cfg,$lang;
  if($side=="right") theme_draw_rightbox_open( $lang["SB_TITLE_LANG"], $cfg["theme"]["width_rsb"] );
  else theme_draw_leftbox_open( $lang["SB_TITLE_LANG"], $cfg["theme"]["width_lsb"] );
	$currlang = $cfg["core"]["lang"];
	$select="";
	$nrflags=1;
	echo "<br><center>";
	$dir = opendir("lang/") or die( $lang["ERROR_05"] );
	while( ($file = readdir($dir))!==false )
	{
		if($file!="." && $file!="..")
		{
			if( preg_match( "^msg_([a-z]+)\.php$^", $file, $regs ) )
			{
        echo "<a href=\"index.php?form_user_lang={$regs[1]}\">"
            ."<img src=\"images/flag/".$regs[1].".png\" border=\"0\" width=\"30\" height=\"16\" alt=\""
            .$language[$regs[1]]."\" title=\"".$language[$regs[1]]."\">"
            ."</a>&nbsp;";
        if ($nrflags==$cfg["core"]["numberofflags"])
        {
          echo "<br>";
          $nrflags=0;
        }
        ++$nrflags;
			}
		}
	}
	if ($nrflags>0) echo "<br><br></center>";
	else echo "<br></center>";
	closedir($dir);
  if($side=="right") theme_draw_rightbox_close();
  else theme_draw_leftbox_close();
}

function draw_theme_select($side)
{
	global $lang, $cfg;
  if($side=="right") theme_draw_rightbox_open( $lang["MYACCT_FORM_THEME"], $cfg["theme"]["width_rsb"] );
  else theme_draw_leftbox_open( $lang["MYACCT_FORM_THEME"], $cfg["theme"]["width_lsb"] );
	$theme = " ";
	$temptheme= " ";
	$currtheme = $cfg["core"]["theme"];
	$select = "";
	echo "<center><img src='themes/".$currtheme."/theme_thumb.png' name='themethumb' border=0 width=128 height=90 alt=''></center>";
	?>
  <script language='JavaScript1.2' type='text/javascript'>
  function getSelectedValue(list){
	 for(i=0; i<list.length; i++){
		if(list[ i].selected){
			return list[ i].value;
		}
	 }
  }
	function showimageprev() {
		if (!document.images) return;
		document.images.themethumb.src = 'themes/'
			+ getSelectedValue( user_form.form_user_theme )
			+ '/theme_thumb.png';
	}
  </script>
  <?php
	$dir = opendir("themes/") or die( $lang["ERROR_05"] );
	while( ($file = readdir($dir))!==false )	{
		if($file!="." && $file!=".." && $file != "CVS")	{
			if( is_dir( "themes/".$file ) )	{
				if( file_exists( "themes/".$file."/main.php" ) ) {
					$selected = ($currtheme==$file)?"selected=\"selected\"":"";
					$select .= "<option value=\"".$file."\" ".$selected.">".$file."</option>\n";
				}
			}
		}
	}
	closedir($dir);
?>
<div align="center">
<form action="index.php" name="user_form" id="user_form" method="post">
<select name="form_user_theme" class="field_selectbox" onChange="showimageprev()">
<?php echo $select; ?>
</select><br><br>
<input type='submit' name='submit_theme' value='<?php echo $lang["BUTTON_SUBMIT"]; ?>' class='button'>
</form>
</div>
<?php
  if($side=="right") theme_draw_rightbox_close();
  else theme_draw_leftbox_close();
}

function draw_admin_box($side)
{
	global $lang, $cfg;
    if( !check_user_class( "admin" ) ) return;
    $content = "";

    global $config;
    $admmenu = '<div align="left">';
    asort($config["admmenu"]);
    while( $entry = each( $config["admmenu"] ) )
    {
        if( check_user_class($entry[1]["class"]) ) $admmenu .= "<a href=\"".$entry[1]["file"]."\">".$entry[1]["title"]."</a><br>\n";
    };
	$admmenu .= "</div>";
    if( strlen($admmenu)>0) {
    if($side=="right") theme_draw_rightbox_open( $lang["SB_TITLE_ADMIN"], $cfg["theme"]["width_rsb"] );
    else theme_draw_leftbox_open( $lang["SB_TITLE_ADMIN"], $cfg["theme"]["width_lsb"] );
		print $admmenu;
    if($side=="right") theme_draw_rightbox_close();
    else theme_draw_leftbox_close();
	}
}

function draw_modmenu_box($side) {
	global $lang,$config, $cfg;
    if( !$_SESSION["wt"]["logged"] ) return;
    $content = "";
    $modmenu = "<div align=left>";
	asort($config["modmenu"]);
	foreach ($config["modmenu"] as $mm ) {
		$modmenu .="<div class=sideboxtitle align=center>".$mm["modtitle"]."</div>";
		foreach ($mm["menu"] as $hh) {
			if( check_user_class($hh["class"]) ) $modmenu .= "<a href=\"".$hh["file"]."\">".$hh["title"]."</a><br>\n";
		};
	};
	$modmenu .= "</div>";
    if( strlen($modmenu)>0) {
	    if($side=="right") theme_draw_rightbox_open( $lang["SB_TITLE_MB"], $cfg["theme"]["width_rsb"] );
		else theme_draw_leftbox_open( $lang["SB_TITLE_MB"] , $cfg["theme"]["width_lsb"]);
		print $modmenu;
		if($side=="right") theme_draw_rightbox_close();
		else theme_draw_leftbox_close();
	};
};

function draw_users_online($side) {
    global $config, $lang, $cfg;
    // Users online - 5 minutes to invalidate the session
    $ctime = time()-300;
    db_query("delete from {$config["prefix"]}_online where time < '$ctime'");
    if($_SESSION["wt"]["logged"]) $user = $_SESSION["wt"]["uid"];
    else $user = 0;
    $ret=db_query("select id from {$config["prefix"]}_online where id='".session_id()."'");
    if(db_num_rows($ret)) db_query("update ".$config["prefix"]."_online set time='".time()."', uid='".$user."' where id='".session_id()."'");
    else db_query("insert into ".$config["prefix"]."_online(id,time,uid) values('".session_id()."','".time()."','".$user."')");
    db_free_result($ret);

    $ret = db_query("select count(id) from ".$config["prefix"]."_online");
    $tot_users = db_result($ret,0,0);
    db_free_result($ret);

    $ret = db_query("select count(id) from ".$config["prefix"]."_online where uid=0");
    $tot_guests = db_result($ret,0,0);
    db_free_result($ret);
    if($side=="right") theme_draw_rightbox_open( $lang["USERS_ONLINE"], $cfg["theme"]["width_rsb"] );
    else theme_draw_leftbox_open( $lang["USERS_ONLINE"], $cfg["theme"]["width_lsb"] );
    printf( $lang["USERS_ONLINE_TEXT"], ($tot_users-$tot_guests), $tot_guests, "<a href=\"online.php\">", "</a>" );
    if($side=="right") theme_draw_rightbox_close();
    else theme_draw_leftbox_close();
}

function clear_login() {
	global $cfg, $modules;
	$wt = array();
	// All session vars used may be listed here
	$_SESSION["wt"] = array();
	$_SESSION["wt"]["uid"]=0;
	$_SESSION["wt"]["name"]="";
	$_SESSION["wt"]["class"]="normal";
	$_SESSION["wt"]["logged"]=false;
	$_SESSION["wt"]["style"]="style.css";
	$_SESSION["wt"]["url"] = $cfg["core"]["url"];
	$_SESSION["wt"]["theme"] = $cfg["core"]["theme"];
	$_SESSION["wt"]["lang"] = $cfg["core"]["lang"];
	$_SESSION["wt"]["access"] = array();
	$_SESSION["wt"]["ip"] = wtua_get_ip();
	if( check_module("picofday") ) picofday_select();
}

function do_login() {
    global $config,$cfg, $lang;
    clear_login();

    $login_name = addslashes(delmagic($_POST["login_name"]));
    $login_passwd = md5(addslashes(delmagic($_POST["login_passwd"])));

    $ret = db_query("select uid from ".$config["prefix"]."_users where name='".$login_name."' and password='".$login_passwd."' and active='Y' and banned='N'");
    if(!$ret) {
        $_SESSION["wt"]["error"] = $lang["LOGIN_ERR01"];
    } else {
        if(db_num_rows($ret)!=1) {
            $_SESSION["wt"]["error"] = $lang["LOGIN_FILED"];
        } else {
            $row = db_fetch_array($ret);
            $autologin = ( isset($_POST["login_auto"]) && $_POST["login_auto"] == 1 );
            fill_login( $row["uid"], $autologin, $login_passwd );
        }
        db_free_result( $ret );
    }
}

function fill_login( $uid, $autologin = false, $login_passwd = "" )
{
    // fills session with login data
    global $config, $cfg;

    $uid = intval( $uid );
    
    $ret = db_query("select uid, name, class, session, lang, theme from ".$config["prefix"]."_users where uid='".$uid."' and active='Y'");
    if(!$ret || db_num_rows($ret)!=1) {
        $_SESSION["wt"]["error"] = "An error ocurred trying to fill login data";
    } else {
        $row = db_fetch_array($ret);

        $_SESSION["wt"]["uid"] = $row["uid"];
        $_SESSION["wt"]["name"] = $row["name"];
        $_SESSION["wt"]["class"] = $row["class"];
        $_SESSION["wt"]["logged"] = true;
		$_SESSION["wt"]["ip"] = wtua_get_ip();
		if( $cfg["core"]["unreglangchange"] )
			$_SESSION["wt"]["lang"] = $row["lang"];
		if( $cfg["core"]["unregthemechange"] )
			$_SESSION["wt"]["theme"] = $row["theme"];

        // get modules access for the user
        $retacc = db_query("select module from ".$config["prefix"]."_user_access where userid=".$uid);
        if(!$retacc) {
            $_SESSION["wt"]["error"] = "An error ocurred trying to get access";
        } else {
            while( $row_access = db_fetch_array($retacc) ) {
                $_SESSION["wt"]["access"][$row_access["module"]] = true;
            }
            db_free_result( $retacc );
        }
        // update some data into user table
        @db_query("update ".$config["prefix"]."_users set lastvisit=NOW(), logins=logins+1 where uid='".$uid."'");

        // if user checked auto_login...
        if( $autologin ) create_autologin( $login_passwd, $row["session"] );
    }
    db_free_result( $ret );
}

function create_autologin( $passwd, $activate_session )
{
	global $cfg;
    $sess = $_SESSION["wt"];
    if( !$sess["logged"] ) return;

    $cookie = sprintf( "%010d", $sess["uid"] );
    $cookie .= substr(md5($sess["name"]),0,16);
    $cookie .= substr(md5($passwd),0,16);
    $cookie .= substr(md5($activate_session),0,16);
	$cookie .= substr(md5($cfg["core"]["url"]),0,16);
    setcookie( "webthingsua", $cookie, time()+2592000 );
}

function delete_autologin()
{
    if( isset($_COOKIE["webthingsua"]) )
    {
        setcookie( "webthingsua", "", time()-3600 );
    }
}

function check_autologin()
{
    // If user not logged, try autologin
    global $config, $cfg;
    if( !isset( $_COOKIE["webthingsua"] ) ) return;
    $cookie = $_COOKIE["webthingsua"];
    $id = intval(substr($cookie,0,10));
    $ret = db_query("select uid, name, password, session from ".$config["prefix"]."_users where uid='".$id."' and active='Y' and banned='N'");
    if(!$ret)
    {
        delete_autologin();
        clear_login();
        $_SESSION["wt"]["error"] = "An error ocurred trying to check auto-login";
        return;
    }
    if(db_num_rows($ret)!=1)
    {
        db_free_result($ret);
        delete_autologin();
        clear_login();
        $_SESSION["wt"]["error"] = "Auto login failed";
        return;
    }
    $row = db_fetch_array($ret);
    db_free_result($ret);

    $mdh = substr($cookie,10,64);
    $mdr = substr(md5($row["name"]),0,16).substr(md5($row["password"]),0,16).substr(md5($row["session"]),0,16).substr(md5($cfg["core"]["url"]),0,16);
    if( $mdh != $mdr )
    {
        delete_autologin();
        clear_login();
        $_SESSION["wt"]["error"] = "Auto login failed";
        return;
    }
    // setup the session
    fill_login( $id );
}
?>
