<?php
session_start();
//     
if (strstr($_SERVER["PHP_SELF"], "/core/")) {
  Header("Location: ../index.php?err=20");
  exit;
};
//   
$wtua_err_string="";
error_reporting(0); //     PHP,   
$old_error_handler = set_error_handler("wtuaErrorHandler");
$ferrlog ="";
$wtua_errors = array();

//   
$time_start = getmicrotime();
$modules = array();
$headcode = "";
$config = array();
$lang = array();
$page_name = "";
$page_started = FALSE;

$config["webthingsua"]["devurl"] ="http://webthings.iatp.org.ua";
$config["webthingsua"]["version"]="0.0.5";
$lang["CHARSET"]="iso-8859-1";

$wtua_config_file_loaded = FALSE;
$wtua_config_loaded = FALSE;
$wtua_connected_db = FALSE;

//    
if (file_exists("wt_config.php")) {
  require_once("wt_config.php");
  $wtua_config_file_loaded = TRUE;
} else { 
  trigger_error("Can't load main configuration file, wtuaErrCode = <b>1</b>, see manual", E_USER_ERROR );
};
// ,   
if (!isset($config['logerrors'])) {
  $config['logerrors']=0; //  WebThingsUA      
};
if (!isset($config['deflang'])) {
  $config['deflang']='enus'; //  WebThingsUA    
};
if (file_exists("lang/msg_".$config['deflang'].".php")) {
  require_once( "lang/msg_".$config['deflang'].".php" ); 
} else {
  trigger_error("Can't load main language file, wtuaErrCode = <b>2</b>, see manual", E_USER_ERROR );
};
if (!isset($config['deftheme'])) {
  $config['deftheme']= 'watbfb'; //  WebThingsUA    'watbfb',    
};
if (!isset($config['prefix'])) {
  trigger_error($lang["CORE_ERROR_NOT_DIFINED_PREFIX"], E_USER_ERROR );
};
if (!isset($config['database'])) {
  trigger_error($lang["CORE_ERROR_NOT_DIFINED_DATABASE"], E_USER_ERROR );
};
if (!isset($config['user'])) {
  trigger_error($lang["CORE_ERROR_NOT_DIFINED_USER"], E_USER_ERROR );
};
if (!isset($config['host'])) {
  trigger_error($lang["CORE_ERROR_NOT_DIFINED_HOST"], E_USER_ERROR );
};
if (!isset($config['dbtype'])) {
  trigger_error($lang["CORE_ERROR_NOT_DIFINED_DBTYPE"], E_USER_ERROR );
} else {
  if (file_exists("core/".$config["dbtype"].".lib.php")) {
    require_once( "core/".$config["dbtype"].".lib.php" ); 
  } else {
    trigger_error($lang["CORE_ERROR_UNKNOWN_DBTYPE"], E_USER_ERROR );
  };
};
//,       
verify_core_errors();
$wtua_config_file_loaded = TRUE;
//   
$conn = db_connect( $config["host"], $config["database"], $config["user"], $config["password"] );
//,      
verify_core_errors();
$wtua_connected_db = TRUE;
//   
$cfg = array();

$ret = db_query( "select * from ".$config["prefix"]."_config" );
if( !$ret ) {
    trigger_error($lang["CORE_ERROR_WHILE_LOADING_CONFIG_FROM_DB"], E_USER_ERROR );
} else {
    while( $rowcfg = db_fetch_array($ret) ) {
        $cfg[$rowcfg["id"]] = unserialize(stripslashes($rowcfg["config"]));
    };
};
//,     
verify_core_errors();
db_free_result($ret);
$wtua_config_loaded = TRUE; //   

if (isset($cfg["core"]["use_gzip_output_buffer"])) {  //   , 
    ob_start ("ob_gzhandler");
};

if (file_exists("core/login.php")) {
  require_once("core/login.php");
} else {
  trigger_error($lang["CORE_ERROR_FILE_NOT_EXISTS"]."core/login.php", E_USER_ERROR );
};
verify_core_errors();
//     WebThingsUA,    url, ,
//         WebThingsUA,   .
//    ,  
if( isset($_SESSION["wt"]) ) {
    if( $_SESSION["wt"]["url"] != $cfg["core"]["url"] ) clear_login();
} else clear_login();

//   
if( isset($_POST["submit_login"]) ) do_login();
else if( !$_SESSION["wt"]["logged"] ) check_autologin();
//  
if( isset($_GET["act"]) && $_GET["act"]=="logout") {
    clear_login();
    delete_autologin();
};
//     
if( $cfg["core"]["unreglangchange"] ) {
    if( isset($_POST["form_user_lang"]) and $_POST["form_user_lang"]<>" " ) {
        $_SESSION["wt"]["lang"] = check_lang($_POST["form_user_lang"]);
    }   else    {
       if (isset($_GET["form_user_lang"])) $_SESSION["wt"]["lang"]= check_lang($_GET["form_user_lang"]);
    };
};
//    
if($cfg["core"]["unregthemechange"]) {
    if( isset($_POST["form_user_theme"])) {
        $ntheme = $_POST["form_user_theme"];
    if( is_dir("themes/".$ntheme)   && file_exists("themes/$ntheme/main.php") ) {
          $_SESSION["wt"]["theme"]=$ntheme;
        };
    };
};
// set cfg from session so wt be happy
if (isset($_SESSION["wt"]["lang"]) and $_SESSION["wt"]["lang"]<>"") {
 $cfg["core"]["lang"] = $_SESSION["wt"]["lang"];
};
if (isset($_SESSION["wt"]["theme"])and $_SESSION["wt"]["theme"]<>"") $cfg["core"]["theme"] = $_SESSION["wt"]["theme"];

//     .   ,   .
if (file_exists("lang/msg_".$cfg["core"]["lang"].".php")) {
  require_once("lang/msg_".$cfg["core"]["lang"].".php");
};
if( !isset($cfg["core"]["theme"]) ) $cfg["core"]["theme"] = "watbfb"; // 'watbfb'    WebThingsUA
if (file_exists("themes/".$cfg["core"]["theme"]."/main.php")) {
  require_once("themes/".$cfg["core"]["theme"]."/main.php");
};

require_once( "core/menu.php" );
// Pending actions
$pending_actions = array();

foreach($cfg["modules"] as $mid=>$enabled) {
  $modules[$mid] = false;
  if ($enabled) include_once("modules/".$mid."/main.php");
};

if( check_module("fileman") && $cfg["core"]["avatars"] )
    $config["fileman"]["avatars"] = array( "name"=>"Avatars", "folder"=>$cfg["core"]["avatars_folder"] );

// loads the user menu from database
$ret = db_query( "select * from ".$config["prefix"]."_menu where lang='".$cfg["core"]["lang"]."' order by pos" );
if( !$ret ) {
    print "<div class='error'>An error has ocurred while loading user menu.</div>";
} else {
    while( $rmenu = db_fetch_array($ret) ) {
        $pos = $rmenu["pos"];
        $c = 0;
        while( isset($config["menu"][$pos]) ) {
            $pos++;
            // if this happens, thre is something very wrong
            if( ++$c > 100 ) {
                print "<div class='error'>The menu is full.</div>";
                break;
            }
        }
        $config["menu"][$pos] = array( "title"=>$rmenu["title"], "file"=>$rmenu["url"], "type"=>$rmenu["type"], "newwindow"=>$rmenu["newwindow"] );
    }
}
db_free_result($ret);

reset($config["menu"]);
while ($rtl= each($config["menu"]) ) {
  $config["menu"][$rtl[0]]["title"]= stripslashes($config["menu"][$rtl[0]]["title"]);
};

//   WebThingsUA
function core_page_begin() {
  global $lang,$config,$wtua_config_loaded,$cfg,$page_name,$modules,$page_started;
  $page_started = TRUE;

  echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
  echo "\n";
  echo "<html>\n";
  echo "<head>\n";
  echo "<title>";
  if(isset($page_name)) {
    if ($wtua_config_loaded) {
      echo $cfg["core"]["title"]." - ";
    };
    echo $page_name;
  };
  echo "</title>\n";
    echo '<meta http-equiv="Content-Type" content="text/html; charset='.$lang["CHARSET"].'">';
  echo "\n";
    echo '<meta http-equiv="Generator" content="WebThingsUA '.$config["webthingsua"]["version"].'">';
  echo "\n";
  echo "<meta http-equiv=\"Pragma\" content=\"no-cache\">\n";
  if ($wtua_config_loaded) {
    echo '<link rel="shortcut icon" href="'.$cfg["core"]["url"].'favicon.ico">';
    echo "\n";
    echo "<meta name=\"Keywords\" content=\"".$cfg["core"]["keywords"]."\">\n"
        ."<meta name=\"Description\" content=\"".$cfg["core"]["description"]."\">\n"
        ."<meta name=\"DC.Description\" content=\"".$cfg["core"]["description"]."\">\n"
        ."<meta name=\"copyright\" content=\"".$cfg["core"]["copyright"]."\">\n"
    ."<meta name=\"date\" content=\"".date("Y-m-d")."\">\n"
    ."<meta name=\"robots\" content=\"index,follow\">\n"
    ."<meta name=\"revisit-after\" content=\"after 20 days\">\n"
    ."<meta name=\"pragma\" content=\"no-cache\">\n";
    echo '<link rel="stylesheet" href="'.$cfg["core"]["url"].'themes/'.$cfg["core"]["theme"].'/style.css.php" type="text/css">';
    echo "\n";
    if(isset($modules)) {
      while( $mod = each($modules) ) {
        if( $mod[1] ) {
          if( isset($config["stylecss"][$mod[0]]) && $config["stylecss"][$mod[0]] ) {
            echo '<link rel="stylesheet" href="'.$cfg["core"]["url"].'themes/'.$cfg["core"]["theme"].'/'.$mod[0].'.css.php" type="text/css">';
            echo "\n";
          };
        };
      };
    };
    if( check_user_class("admin") ) include_once("core/htmlarea.php");
  };
  echo "</head>\n";
  echo "<body>\n";
};

function core_page_end() {
  echo "\n</body>\n</html>\n";
};

function delmagic( $value ) {
    // this function removes backslashes ig magic_quotes_gpc is on
    if( get_magic_quotes_gpc() ) return stripslashes( $value );
    else return $value;
};

function cr2br1($replace_string) {
    $cr=chr(13).chr(10);
    $temp=explode($cr,$replace_string);
    $replace_string=implode("<BR>",$temp);
    return($replace_string);
};

function showavatar( $avatar, $realname ) {
    global $cfg;
    if( $cfg["core"]["avatars"] && $avatar != "" )
        return "<img src='".$cfg["core"]["avatars_folder"]."/".$avatar."' alt='".$realname."' title='".$realname."' width=100 height=100 border=0>";
    else return "&nbsp;";
};

function check_module( $module ) {
    global $modules;
    if( !isset($modules[$module]) ) return false;
    return $modules[$module];
};

function show_date( $date, $showtime=true ) {
    global $cfg;
    switch( $cfg["core"]["date_format"] ) {
        case "fmtEUR": $date_str = substr($date,8,2)."/".substr($date,5,2)."/".substr($date,0,4); break;
        case "fmtUSA": $date_str = substr($date,5,2)."/".substr($date,8,2)."/".substr($date,0,4); break;
        default:       $date_str = substr($date,0,4)."-".substr($date,5,2)."-".substr($date,8,2); break;
    };
    if( $showtime ) $date_str .= " ".substr($date,11,5);
    return $date_str;
};

function crop_string( $text, $maxlen ) {
    if( strlen($text) <= $maxlen ) return $text;
    else return( substr( $text, 0, ($maxlen-3) ) . "..." );
};

function conv_date( $date, $showtime=true ) {
    global $cfg;
    switch( $cfg["core"]["date_format"] )   {
        case "fmtEUR":  $date_str = substr($date,6,4)."-".substr($date,3,2)."-".substr($date,0,2); break;
        case "fmtUSA":  $date_str = substr($date,6,4)."/".substr($date,0,2)."/".substr($date,3,2); break;
        default:        $date_str = substr($date,0,4)."-".substr($date,5,2)."-".substr($date,8,2); break;
    };
    if( $showtime ) $date_str .= " ".substr($date,11,5);
    return $date_str;
};

function getmicrotime() { 
    list($usec, $sec) = explode(" ",microtime()); 
    return ((float)$usec + (float)$sec); 
};

function check_lang( $lang ) {
    global $config;
    // up to only 4 letters
    $ret = substr( $lang, 0, 4 );
    if( ereg("^[a-z]{2,4}$", $ret) ) return $ret;
    else {
        return $config['deflang'];
    };
};

function  hex_encode($encode) {
  $length=strlen($encode);
  $hexencode="";
  for ($i=0 ; $i<$length; $i++)  {
    $hexencode=$hexencode."%".strval(dechex(ord(substr($encode,$i,1))));
  };
  return $hexencode;
};

function wtua_get_ip() {
    // Get some headers that may contain the IP address
    $SimpleIP = (isset($REMOTE_ADDR) ? $REMOTE_ADDR : getenv("REMOTE_ADDR"));

    $TrueIP = (isset($HTTP_X_FORWARDED_FOR) ? $HTTP_X_FORWARDED_FOR : getenv("HTTP_X_FORWARDED_FOR"));
    if ($TrueIP == "") $TrueIP = (isset($HTTP_X_FORWARDED) ? $HTTP_X_FORWARDED : getenv("HTTP_X_FORWARDED"));
    if ($TrueIP == "") $TrueIP = (isset($HTTP_FORWARDED_FOR) ? $HTTP_FORWARDED_FOR : getenv("HTTP_FORWARDED_FOR"));
    if ($TrueIP == "") $TrueIP = (isset($HTTP_FORWARDED) ? $HTTP_FORWARDED : getenv("HTTP_FORWARDED"));
    $GetProxy = ($TrueIP == "" ? "0":"1");

    if ($GetProxy == "0")
    {
        $TrueIP = (isset($HTTP_VIA) ? $HTTP_VIA : getenv("HTTP_VIA"));
        if ($TrueIP == "") $TrueIP = (isset($HTTP_X_COMING_FROM) ? $HTTP_X_COMING_FROM : getenv("HTTP_X_COMING_FROM"));
        if ($TrueIP == "") $TrueIP = (isset($HTTP_COMING_FROM) ? $HTTP_COMING_FROM : getenv("HTTP_COMING_FROM"));
        if ($TrueIP != "") $GetProxy = "2";
    };

    if ($TrueIP == $SimpleIP) $GetProxy = "0";

    // Return the true IP if found, else the proxy IP with a 'p' at the begining
    switch ($GetProxy)
    {
        case '0':
            // True IP without proxy
            $IP = $SimpleIP;
            break;
        case '1':
            $b = ereg ("^([0-9]{1,3}\.){3,3}[0-9]{1,3}", $TrueIP, $IP_array);
            if ($b && (count($IP_array)>0))
            {
                // True IP behind a proxy
                $IP = $IP_array[0];
            }
            else
            {
                // Proxy IP
                $IP = "p".$SimpleIP;
            };
            break;
        case '2':
            // Proxy IP
            $IP = "p".$SimpleIP;
    };
    return $IP;
};

function core_draw_errors( ) {
  global $page_name, $page_started, $wtua_errors;
  
  if (!$page_started) { 
      $page_name = "WebThingsUA: Errors :(";
      core_page_begin(); 
  };
  foreach($wtua_errors as $errstr) {
    echo $errstr;
  };

  //echo "WebThingsUA:&nbsp;<b>".$errcode."</b><br>&nbsp;".$wtua_err_string;
  if ($page_started) { core_page_end();  };
};

//    WebthingsUA
function wtuaErrorHandler( $errno, $errstr, $errfile, $errline ) {
  global $wtua_err_string,$lang,$ferrlog,$wtua_errors;
  $dt = date("Y-m-d H_i_s");
  $wtua_err_string= "[<b>".$dt."</b>]&nbsp;<b>".$errno."</b>&nbsp;".$errstr."&nbsp;".$errfile."&nbsp;".$errline."<br>\n";
  $wtua_errors[] = $wtua_err_string;
  if ($config['logerrors']==1) {
    $ferrlog = fopen("var/errors/".$dt.".log","a+");
    if (!$ferrlog) {
      //    
    } else {
      @fwrite($ferrlog, $wtua_err_string);
      @fclose($ferrlog);
    };
  };
};
//
function verify_core_errors() {
  global $wtua_errors;
  if (sizeof($wtua_errors)>0) {
    core_draw_errors();
    die();
  };
};

function draw_copyright() {
    global $cfg, $time_start, $lang, $qtde_qry,$config;
    echo "&nbsp;This website was created with <a href=\"http://webthings.iatp.org.ua\" target=\"_blank\">WebThingsUA</a> ".$config["webthingsua"]["version"].".";
    if( $cfg["core"]["page_processed"] )
      printf( "<br><span class='pgprocessed'>&nbsp;&nbsp;".$lang["PAGE_PROCESSED"]." - ".$qtde_qry." queries<br><br></span>",(getmicrotime() - $time_start));
    else echo "&nbsp;";
}

//function theme_draw_style() { //   
//};

function draw_pending_actions()
{
  global $cfg;
    if( !$_SESSION["wt"]["logged"] ) return;
    global $pending_actions;
    if( count($pending_actions) == 0 ) return;
    theme_draw_leftbox_open( "Pending actions", $cfg["theme"]["width_lsb"] );
    print "<table border=0 cellpadding=1 cellspacing=0>\n";
    reset($pending_actions);
    while( $item = each($pending_actions) ) {
        print "<tr><td><a href='".$item[1]["link"]."'>".$item[1]["title"]
         ."</a></td><td align='right'>".$item[1]["qty"]."</td></tr>\n";
    };
    print "</table>";
    theme_draw_leftbox_close();
}

function draw_sideboxes($side, $width = "150" )
{
    global $index_page, $config,$cfg,$module_name,$module_loaded;
    if (( $side == "left" ) && (!$cfg["theme"]["draw_left_sbs"]) ) {
        echo "<td width='1'>&nbsp;</td>";
        return;
    };
    if (( $side == "right" ) && (!$cfg["theme"]["draw_right_sbs"]) ) {
        echo "<td width='1'>&nbsp;</td>";
        return;
    };
    echo '<td width="'.$width.'" valign="top">';

    $stmt = "select * from ".$config["prefix"]."_sideboxes where side='".$side."' AND active=1  order by pos";
    $ret = db_query($stmt);
    print db_error();
    while($row=db_fetch_array($ret))
    {
        if(isset($row["type"])) $type=$row["type"];
        if( $type != "A" ) {
            if( $type == "L" ) {
                if( !$_SESSION["wt"]["logged"] ) continue;
            } else if(  $type == "N" ) {
                if( $_SESSION["wt"]["logged"] ) continue;
            }
        }
        $mods=array();
        $mods=explode(',',$row["modules"]);
        if (count($mods)==1 and $mods[0]=="") $mods=array();
        if (count($mods)>0) {
          if (isset($module_loaded)) {
            if (!in_array($module_loaded,$mods)) continue;
          }
        // else continue;
        }
        if( !empty($row["function"]) )
        {
          if ($row["function"]=="draw_language_select" and !$cfg["core"]["unreglangchange"]) continue;
        else
            if ($row["function"]=="draw_theme_select" and !$cfg["core"]["unregthemechange"]) continue;
            else
        {
          if (function_exists($row["function"])) $row["function"]($row["side"]);
              continue;
        }
        }
        if( $side == "left" ) theme_draw_leftbox_open( $row["title"], $width );
        else theme_draw_rightbox_open( $row["title"], $width );
        if( strlen($row["file"]) > 0 && $row["file"] != "none" && $row["file"] != "index"  )
        {
            include_once( "sideboxes/".$row["file"].".php" );
        }
        else
        {
            echo $row["content"];
        }
        if( $side == "left" ) theme_draw_leftbox_close();
        else theme_draw_rightbox_close();
    }
    db_free_result($ret);
    echo "</td>";
}

function draw_centerboxes($id)
{
    global $config;

    $stmt = "SELECT * FROM ".$config["prefix"]."_centerboxes
          WHERE active = 1
          AND (menuoption = '".$id."'
          OR oneverypage = 1)
          ORDER BY oneverypage DESC,pos";
    $ret  = db_query($stmt);
  while($row=db_fetch_array($ret))
  {
    if (isset($row["type"])) $type=$row["type"];
    elseif (isset($row["TYPE"])) $type=$row["TYPE"];
    if( $type != "A" ) {
      if( $type == "L" ) {
        if( !$_SESSION["wt"]["logged"] ) continue;
      }
      else if(  $type == "N" ) {
          if( $_SESSION["wt"]["logged"] ) continue;
      }
    }
    draw_cb_content($row);
  }

  db_free_result($ret);
}

function draw_cb_content($row)
{
  if ($row["draw_box"]=='Y') theme_draw_centerbox_open( $row["title"] );
  if( strlen($row["file"]) > 0
      && $row["file"] != "none"
      && $row["file"] != "index.php"  )
        include_once( "centerboxes/".$row["file"] );
  else  echo $row["content"];
  if ($row["draw_box"]=='Y') theme_draw_centerbox_close( );
}

?>
