<?php
// configure menu's items for main menu, adm menu and 
// default sideboxes' functions
// this file should be included after lang has been processed
// and before processing modules

$config["menu"] = array();
// Links at main box
$config["menu"][10] = array( "title"=>$lang["HOME_TITLE"], "file"=>"index.php", "type"=>"A", "newwindow"=>"N" );
$config["menu"][110] = array( "title"=>$lang["NEW_USER_LINK"], "file"=>"newuser.php", "type"=>"N", "newwindow"=>"N" );
$config["menu"][120] = array( "title"=>$lang["MYACCT_TITLE"], "file"=>"myaccount.php", "type"=>"L", "newwindow"=>"N" );
$config["menu"][130] = array( "title"=>$lang["STATS_TITLE"], "file"=>"stats.php", "type"=>"A", "newwindow"=>"N" );

// Links at admmenu
$config["admmenu"] = array();
$config["admmenu"]["langedit"] = array( "title"=>$lang["LANG_EDIT_TITLE"], "file"=>"langedit.php", "class"=>"langedit" );
$config["admmenu"]["sidebox"] = array( "title"=>$lang["SIDEBOX_EDIT_TITLE"], "file"=>"adm_sideboxes.php", "class"=>"sideboxes" );
$config["admmenu"]["info"] = array( "title"=>$lang["ADMMNU_INFO"], "file"=>"adm_info.php", "class"=>"admin" );
$config["admmenu"]["Install Module"] = array( "title"=>$lang["MODULE_INSTALL_TITLE"], "file"=>"adm_install_module.php", "class"=>"admin" );
$config["admmenu"]["sendemail"] = array( "title"=>$lang["ADMMNU_SENDEMAIL"], "file"=>"adm_sendmail.php", "class"=>"admin" );
$config["admmenu"]["Center Boxes"] = array( "title"=>$lang["CENTERBOX_TITLE"], "file"=>"adm_centerboxes.php", "class"=>"centerboxes" );
$config["admmenu"]["users"] = array( "title"=>$lang["ADMMNU_USERS"], "file"=>"adm_users.php", "class"=>"admin" );
$config["admmenu"]["user_access"] = array( "title"=>$lang["ADMMNU_USERACCESS"], "file"=>"adm_access.php", "class"=>"admin" );
$config["admmenu"]["menu"] = array( "title"=>$lang["ADMMNU_MENU"], "file"=>"adm_menu.php", "class"=>"admin" );

// links modmenu
$config["modmenu"] = array();

// sideboxes
$config["sidebox"] = array();
$config["sidebox"][] = array( "title"=>$lang["ADMMNU_MENU"], "function"=>"draw_menu" );
$config["sidebox"][] = array( "title"=>$lang["LOGIN_SB_NAME"], "function"=>"draw_login_box" );
$config["sidebox"][] = array( "title"=>$lang["UONL_SB_NAME"], "function"=>"draw_users_online" );
$config["sidebox"][] = array( "title"=>$lang["ADMMEN_SB_NAME"], "function"=>"draw_admin_box" );
$config["sidebox"][] = array( "title"=>$lang["MB_SB_NAME"], "function"=>"draw_modmenu_box" );
$config["sidebox"][] = array( "title"=>$lang["PA_SB_NAME"], "function"=>"draw_pending_actions" );
$config["sidebox"][] = array( "title"=>$lang["LS_SB_NAME"], "function"=>"draw_language_select" );
$config["sidebox"][] = array( "title"=>$lang["LSF_SB_NAME"], "function"=>"draw_language_select_flag" );
$config["sidebox"][] = array( "title"=>$lang["TS_SB_NAME"], "function"=>"draw_theme_select" );

?>
