<?php
/*****************************************************************************
* tab_articles_title.php                                                     *
******************************************************************************
* created:      2005-04-12                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_articles_title"]="CREATE TABLE `".$prefix."_articles_title` ("
                                        ." `article_id` int(10) unsigned NOT NULL auto_increment,"
                                        ." `category` int(10) unsigned NOT NULL default '0',"
                                        ." `title` varchar(80) NOT NULL default '',"
										." `autor` varchar(30) NOT NULL default '',"
										." `source` varchar(80) NOT NULL default '',"
                                        ." `active` tinyint(3) unsigned NOT NULL default '1',"
                                        ." `date` date NOT NULL default '0000-00-00',"
                                        ." `userid` int(10) unsigned NOT NULL default '0',"
                                        ." `views` int(10) unsigned NOT NULL default '0',"
                                        ." PRIMARY KEY  (`article_id`),"
                                        ." KEY `CatInd` (`category`,`date`)"
                                        ." ) TYPE=MyISAM";


$table_index[$prefix."_articles_title"][]="PRIMARY KEY  (`article_id`)";
$table_index[$prefix."_articles_title"][]="KEY `CatInd` (`category`,`date`)";

//`article_id` int(10) unsigned NOT NULL auto_increment,
$table[$prefix."_articles_title"]["article_id"]["field"]="article_id";
$table[$prefix."_articles_title"]["article_id"]["type"]="int(10) unsigned";
$table[$prefix."_articles_title"]["article_id"]["default"]="";
$table[$prefix."_articles_title"]["article_id"]["null"]="";
$table[$prefix."_articles_title"]["article_id"]["Extra"]="auto_increment";

//`category` int(10) unsigned NOT NULL default '0',
$table[$prefix."_articles_title"]["category"]["field"]="category";
$table[$prefix."_articles_title"]["category"]["type"]="int(10) unsigned";
$table[$prefix."_articles_title"]["category"]["default"]="0";
$table[$prefix."_articles_title"]["category"]["null"]="";
$table[$prefix."_articles_title"]["category"]["Extra"]="";

//`title` varchar(80) NOT NULL default '',
$table[$prefix."_articles_title"]["title"]["field"]="title";
$table[$prefix."_articles_title"]["title"]["type"]="varchar(80)";
$table[$prefix."_articles_title"]["title"]["default"]="";
$table[$prefix."_articles_title"]["title"]["null"]="";
$table[$prefix."_articles_title"]["title"]["Extra"]="";

//`autor` varchar(30) NOT NULL default '',
$table[$prefix."_articles_title"]["autor"]["field"]="autor";
$table[$prefix."_articles_title"]["autor"]["type"]="varchar(30)";
$table[$prefix."_articles_title"]["autor"]["default"]="";
$table[$prefix."_articles_title"]["autor"]["null"]="";
$table[$prefix."_articles_title"]["autor"]["Extra"]="";

//`source` varchar(80) NOT NULL default '',
$table[$prefix."_articles_title"]["source"]["field"]="source";
$table[$prefix."_articles_title"]["source"]["type"]="varchar(80)";
$table[$prefix."_articles_title"]["source"]["default"]="";
$table[$prefix."_articles_title"]["source"]["null"]="";
$table[$prefix."_articles_title"]["source"]["Extra"]="";

//`active` tinyint(3) unsigned NOT NULL default '0'
$table[$prefix."_articles_title"]["active"]["field"]="active";
$table[$prefix."_articles_title"]["active"]["type"]="tinyint(3) unsigned";
$table[$prefix."_articles_title"]["active"]["default"]="1";
$table[$prefix."_articles_title"]["active"]["null"]="";
$table[$prefix."_articles_title"]["active"]["Extra"]="";

//`date` date NOT NULL default '0000-00-00',
$table[$prefix."_articles_title"]["date"]["field"]="date";
$table[$prefix."_articles_title"]["date"]["type"]="date";
$table[$prefix."_articles_title"]["date"]["default"]="0000-00-00";
$table[$prefix."_articles_title"]["date"]["null"]="";
$table[$prefix."_articles_title"]["date"]["Extra"]="";

//`userid` int(10) unsigned NOT NULL default '0',
$table[$prefix."_articles_title"]["userid"]["field"]="userid";
$table[$prefix."_articles_title"]["userid"]["type"]="int(10) unsigned";
$table[$prefix."_articles_title"]["userid"]["default"]="0";
$table[$prefix."_articles_title"]["userid"]["null"]="";
$table[$prefix."_articles_title"]["userid"]["Extra"]="";

//`views` int(10) unsigned NOT NULL default '0',
$table[$prefix."_articles_title"]["views"]["field"]="views";
$table[$prefix."_articles_title"]["views"]["type"]="int(10) unsigned";
$table[$prefix."_articles_title"]["views"]["default"]="0";
$table[$prefix."_articles_title"]["views"]["null"]="";
$table[$prefix."_articles_title"]["views"]["Extra"]="";

?>
