<?php
/*****************************************************************************
* tab_downloads.php                                                          *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_downloads"]="CREATE TABLE `".$prefix."_downloads` ( `id` int(10) unsigned NOT NULL auto_increment,"
                                   ." `category` int(10) unsigned NOT NULL default '0',"
                                   ." `name` varchar(80) NOT NULL default '',"
                                   ." `active` ENUM('Y','N')  DEFAULT 'N' NOT NULL,"
                                   ." `url` varchar(255) NOT NULL default '',"
                                   ." `date` datetime NOT NULL default '0000-00-00 00:00:00',"
                                   ." `size` int(10) unsigned NOT NULL default '0',"
                                   ." `count` int(10) unsigned NOT NULL default '0',"
                                   ." `rate_sum` int(10) unsigned NOT NULL default '0',"
                                   ." `rate_count` int(10) unsigned NOT NULL default '0',"
                                   ." `short_description` tinytext NOT NULL,"
                                   ." `description` text NOT NULL,"
                                   ." `small_picture` varchar(40) NOT NULL default 'none',"
                                   ." `big_picture` varchar(40) NOT NULL default 'none',"
                                   ." `author_name` VARCHAR(30) NOT NULL default '',"
                                   ." `author_email` VARCHAR(50) NOT NULL  default '',"
                                   ." `comments` TEXT NOT NULL default '',"
                                   ." `url_screenshot` VARCHAR(127) NOT NULL default '',"
                                   ." `license` ENUM('Y','N') DEFAULT 'N' NOT NULL,"
                                   ." `license_text` TEXT NOT NULL default '',"
                                   ." PRIMARY KEY  (`id`), KEY `category` (`category`) ) TYPE=MyISAM";

$table_index[$prefix."_downloads"][]="PRIMARY KEY  (`id`)";
$table_index[$prefix."_downloads"][]="KEY `category` (`category`)";

//`id` int(10) unsigned NOT NULL auto_increment
$table[$prefix."_downloads"]["id"]["field"]="id";
$table[$prefix."_downloads"]["id"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["id"]["default"]="";
$table[$prefix."_downloads"]["id"]["null"]="";
$table[$prefix."_downloads"]["id"]["Extra"]="auto_increment";

//`category` int(10) unsigned NOT NULL default '0',"
$table[$prefix."_downloads"]["category"]["field"]="category";
$table[$prefix."_downloads"]["category"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["category"]["default"]="0";
$table[$prefix."_downloads"]["category"]["null"]="";
$table[$prefix."_downloads"]["category"]["Extra"]="";

//`name` varchar(80) NOT NULL default ''
$table[$prefix."_downloads"]["name"]["field"]="name";
$table[$prefix."_downloads"]["name"]["type"]="varchar(80)";
$table[$prefix."_downloads"]["name"]["default"]="";
$table[$prefix."_downloads"]["name"]["null"]="";
$table[$prefix."_downloads"]["name"]["Extra"]="";

//`active` ENUM('Y','N')  DEFAULT 'N' NOT NULL,"
$table[$prefix."_downloads"]["active"]["field"]="active";
$table[$prefix."_downloads"]["active"]["type"]="enum('Y','N')";
$table[$prefix."_downloads"]["active"]["default"]="N";
$table[$prefix."_downloads"]["active"]["null"]="";
$table[$prefix."_downloads"]["active"]["Extra"]="";

//`url` varchar(255) NOT NULL default '',"
$table[$prefix."_downloads"]["url"]["field"]="url";
$table[$prefix."_downloads"]["url"]["type"]="varchar(255)";
$table[$prefix."_downloads"]["url"]["default"]="";
$table[$prefix."_downloads"]["url"]["null"]="";
$table[$prefix."_downloads"]["url"]["Extra"]="";

//`date` datetime NOT NULL default '0000-00-00 00:00:00',"
$table[$prefix."_downloads"]["date"]["field"]="date";
$table[$prefix."_downloads"]["date"]["type"]="datetime";
$table[$prefix."_downloads"]["date"]["default"]="0000-00-00 00:00:00";
$table[$prefix."_downloads"]["date"]["null"]="";
$table[$prefix."_downloads"]["date"]["Extra"]="";

//`size` int(10) unsigned NOT NULL default '0',"
$table[$prefix."_downloads"]["size"]["field"]="size";
$table[$prefix."_downloads"]["size"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["size"]["default"]="0";
$table[$prefix."_downloads"]["size"]["null"]="";
$table[$prefix."_downloads"]["size"]["Extra"]="";

//`count` int(10) unsigned NOT NULL default '0',"
$table[$prefix."_downloads"]["count"]["field"]="count";
$table[$prefix."_downloads"]["count"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["count"]["default"]="0";
$table[$prefix."_downloads"]["count"]["null"]="";
$table[$prefix."_downloads"]["count"]["Extra"]="";

//`rate_sum` int(10) unsigned NOT NULL default '0',"
$table[$prefix."_downloads"]["rate_sum"]["field"]="rate_sum";
$table[$prefix."_downloads"]["rate_sum"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["rate_sum"]["default"]="0";
$table[$prefix."_downloads"]["rate_sum"]["null"]="";
$table[$prefix."_downloads"]["rate_sum"]["Extra"]="";

//`rate_count` int(10) unsigned NOT NULL default '0',"
$table[$prefix."_downloads"]["rate_count"]["field"]="rate_count";
$table[$prefix."_downloads"]["rate_count"]["type"]="int(10) unsigned";
$table[$prefix."_downloads"]["rate_count"]["default"]="0";
$table[$prefix."_downloads"]["rate_count"]["null"]="";
$table[$prefix."_downloads"]["rate_count"]["Extra"]="";

//`short_description` tinytext NOT NULL,"
$table[$prefix."_downloads"]["short_description"]["field"]="short_description";
$table[$prefix."_downloads"]["short_description"]["type"]="tinytext";
$table[$prefix."_downloads"]["short_description"]["default"]="";
$table[$prefix."_downloads"]["short_description"]["null"]="";
$table[$prefix."_downloads"]["short_description"]["Extra"]="";

//`description` text NOT NULL,"
$table[$prefix."_downloads"]["description"]["field"]="description";
$table[$prefix."_downloads"]["description"]["type"]="text";
$table[$prefix."_downloads"]["description"]["default"]="";
$table[$prefix."_downloads"]["description"]["null"]="";
$table[$prefix."_downloads"]["description"]["Extra"]="";

//`small_picture` varchar(40) NOT NULL default 'none',"
$table[$prefix."_downloads"]["small_picture"]["field"]="small_picture";
$table[$prefix."_downloads"]["small_picture"]["type"]="varchar(40)";
$table[$prefix."_downloads"]["small_picture"]["default"]="none";
$table[$prefix."_downloads"]["small_picture"]["null"]="";
$table[$prefix."_downloads"]["small_picture"]["Extra"]="";

//`big_picture` varchar(40) NOT NULL default 'none',"
$table[$prefix."_downloads"]["big_picture"]["field"]="big_picture";
$table[$prefix."_downloads"]["big_picture"]["type"]="varchar(40)";
$table[$prefix."_downloads"]["big_picture"]["default"]="none";
$table[$prefix."_downloads"]["big_picture"]["null"]="";
$table[$prefix."_downloads"]["big_picture"]["Extra"]="";

//`author_name` VARCHAR(30),"
$table[$prefix."_downloads"]["author_name"]["field"]="author_name";
$table[$prefix."_downloads"]["author_name"]["type"]="varchar(30)";
$table[$prefix."_downloads"]["author_name"]["default"]="";
$table[$prefix."_downloads"]["author_name"]["null"]="";
$table[$prefix."_downloads"]["author_name"]["Extra"]="";

//`author_email` VARCHAR(50),"
$table[$prefix."_downloads"]["author_email"]["field"]="author_email";
$table[$prefix."_downloads"]["author_email"]["type"]="varchar(50)";
$table[$prefix."_downloads"]["author_email"]["default"]="";
$table[$prefix."_downloads"]["author_email"]["null"]="";
$table[$prefix."_downloads"]["author_email"]["Extra"]="";

//`comments` TEXT,"
$table[$prefix."_downloads"]["descr"]["field"]="comments";
$table[$prefix."_downloads"]["descr"]["type"]="text";
$table[$prefix."_downloads"]["descr"]["default"]="";
$table[$prefix."_downloads"]["descr"]["null"]="";
$table[$prefix."_downloads"]["descr"]["Extra"]="";

//`url_screenshot` VARCHAR(127),"
$table[$prefix."_downloads"]["url_screenshot"]["field"]="url_screenshot";
$table[$prefix."_downloads"]["url_screenshot"]["type"]="varchar(127)";
$table[$prefix."_downloads"]["url_screenshot"]["default"]="";
$table[$prefix."_downloads"]["url_screenshot"]["null"]="";
$table[$prefix."_downloads"]["url_screenshot"]["Extra"]="";

//`license` ENUM('Y','N') DEFAULT 'N' NOT NULL,"
$table[$prefix."_downloads"]["license"]["field"]="license";
$table[$prefix."_downloads"]["license"]["type"]="enum('Y','N')";
$table[$prefix."_downloads"]["license"]["default"]="N";
$table[$prefix."_downloads"]["license"]["null"]="";
$table[$prefix."_downloads"]["license"]["Extra"]="";

//`license_text` TEXT,"
$table[$prefix."_downloads"]["license_text"]["field"]="license_text";
$table[$prefix."_downloads"]["license_text"]["type"]="text";
$table[$prefix."_downloads"]["license_text"]["default"]="";
$table[$prefix."_downloads"]["license_text"]["null"]="";
$table[$prefix."_downloads"]["license_text"]["Extra"]="";
?>
