<?php

function check_moderator($forum,$uid)
{
   global $config;
   $stmt = "SELECT count(*) FROM {$config["prefix"]}_forums_mod
            WHERE forum=$forum AND userid=$uid and type='moderator'";
	if( !($ret = db_query($stmt)) ) return false;
	$c = db_result($ret,0,0);
	db_free_result($ret);
	return ($c == 1);
}

function check_admin($forum,$uid)
{
   global $config;
   if (!$ret = db_query("SELECT class FROM {$config["prefix"]}_users WHERE uid=$uid;")){
      return false;
   }
   else{
      $result=db_fetch_array($ret);
      db_free_result($ret);
      if ($result["class"]=='admin'){
         return true;
      }
      else {
         return false;
      }
   }
}



function getNameById($uid) {
	global $cfg,$lang,$config;
	if ($uid == 0) {
      $author = $cfg["forum"]["anonymous"];
    } else {
      $ret = db_query("SELECT name FROM {$config["prefix"]}_users WHERE uid=$uid");
	  if( $ret && (db_num_rows($ret) == 1) ) $author = db_result($ret);
	  else $author = $lang["FORUM_NOUSER"];
      db_free_result($ret);
    }
    return $author;
}

function forum_user_allowed( $forum ) {
    global $config;
	if( !$_SESSION["wt"]["logged"] ) return false;
    if( check_user_class($config["admmenu"]["forums"]["class"]) ) {
        return true;
    }
	$stmt = "select count(*) from {$config["prefix"]}_forums_mod
           where forum=$forum
           and userid={$_SESSION["wt"]["uid"]}
           and (type='allowed' or type='moderator')";
	if( !($ret = db_query($stmt)) ) return false;
	$c = db_result($ret,0,0);
	db_free_result($ret);
	return ($c == 1);
}

function draw_fs_form() {
	global $lang,$config;
  if (isset($_GET["forum"]) or isset($_POST["sforum"])or isset($_GET["sforum"]))
  {
        if(isset($_GET["forum"])) $forumcod=$_GET["forum"];
        elseif (isset($_GET["sforum"])) $forumcod=$_GET["sforum"];
        else $forumcod=$_POST["sforum"];
        $stmt = "select * from {$config["prefix"]}_forums where cod=$forumcod";
        if( !($ret = db_query($stmt)) ) {
                print $lang["ERROR_04"].": ".db_error();
                return;
        }
        $forum = db_fetch_array($ret);
        db_free_result($ret);
        theme_draw_centerbox_open( $lang["FORUM_SEARCH_TITLE"]." - ".$forum["title"] );

  }	
  else  theme_draw_centerbox_open( $lang["FORUM_SEARCH_TITLE"] );
?>
<form method="post" action="forum.php">
<table border="0" cellspacing="0" cellpadding="4" align="center">
<tr>
<td class="centerboxtext"><?php if (isset($forumcod)){echo '<input type="hidden" value="'.$forumcod.'" name="sforum">';} ?>
<input name="forum_searchterms" class="field_textbox" size="60"></td>
<td><input type="submit" name="submit_fs" value="<?php print $lang["FS_FORM_SEARCHSUBMIT"]; ?>" class="button"></td>
</tr>
</table>
</form>
<?php
    theme_draw_centerbox_close();
}

function fs_parse_search($text)
{
  global $cfg;
	$parsql = "";
	$par = explode(" ", $text);
	if ($par):
		foreach($par as $value)
		{
			$parsql = $parsql  . "(title LIKE " . "'%" . $value . "%' OR text_ori LIKE " . "'%" . $value  . "%') AND ";
		}
	endif;

	$parsql = substr($parsql, 0, -4);
//	echo $parsql;
	return $parsql;
}


function draw_fs_small( )
{
	global $config, $lang, $cfg;
	$SQL = "";
	$searchstring="";
	$sforum="";
	$order="title";
	$direction="asc";
	if( isset($_GET["page"]) ) $page = intval($_GET["page"]);
	else $page=1;
	if( $page <= 0 ) $page = 1;
  if (isset($_POST['forum_searchterms'])) $searchstring=$_POST['forum_searchterms'];
  if (isset($_GET['forum_searchterms'])) $searchstring=$_GET['forum_searchterms'];
  if (isset($_GET['order'])) $order=$_GET['order'];
  if (isset($_POST['order'])) $order=$_POST['order'];
  if (isset($_GET['direction'])) $direction=$_GET['direction'];
  if (isset($_POST['direction'])) $direction=$_POST['direction'];
	 theme_draw_centerbox_open( $lang["FORUM_TITLE"]." - ".$lang["FORUM_SUMMARY"] );
	 if (isset($_POST['sforum'])) $sforum=$_POST['sforum'];
   if (isset($_GET['sforum'])) $sforum=$_GET['sforum'];
  if ($searchstring<>"")
  {
   switch ($order){
    case "title" : $orderstring='F.title';
                   break;
    case "date"  : $orderstring='F.date';
                   break;
    case "user"  : $orderstring='U.name';
                   break;
    }

	 if ($sforum<>"")
	 {
		    $SQL = "select F.cod,F.msg_ref,F.forum,F.title,F.date,F.userid,U.name from {$config["prefix"]}_forum_msgs F left outer join {$config["prefix"]}_users U on (F.userid = U.uid) where F.forum=$sforum AND (".fs_parse_search(addslashes($searchstring)).") order by ".$orderstring." ".$direction;
   }
   else
	 {
		    $SQL = "select F.cod,F.msg_ref,F.forum,F.title,F.date,F.userid,U.name from {$config["prefix"]}_forum_msgs F left outer join {$config["prefix"]}_users U on (F.userid = U.uid) where ".fs_parse_search(addslashes($searchstring))." order by ".$orderstring." ".$direction;
   }
	 $ret = db_query($SQL);
	 if( !$ret ) {
		   print $lang["ERROR_04"].": ".db_error();
		   return;
	 }
   $regels=db_num_rows($ret);
   db_free_result($ret);
   if ($regels>$cfg["forum"]["nbsearch"]) $aantal=$page*$cfg["forum"]["nbsearch"];
   else $aantal = $regels;
   if ($aantal>$regels) $aantal=$regels;
   $start=($page-1)*$cfg["forum"]["nbsearch"]+1;
   switch ( $config["dbtype"] )
   {
    case "mysql":
       $SQL = $SQL." LIMIT ".(($page-1)*$cfg["forum"]["nbsearch"]).",".$cfg["forum"]["nbsearch"];
       break;
    case "pgsql":
       $SQL = $SQL." LIMIT ".$cfg["forum"]["nbsearch"]." OFFSET ".(($page-1)*$cfg["forum"]["nbsearch"]);
    }
    $ret = db_query($SQL);
	  if( !$ret ) {
		    print $lang["ERROR_04"].": ".db_error();
		    return;
	  }
         $bladen=ceil($regels/$cfg["forum"]["nbsearch"]);

?>
		<table width="100%" border="0" cellpadding="2" cellspacing="0">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="400" height="1" alt="" border="0"></td>
    </tr>
    <tr>
        <td width="100%">&nbsp;</td>
    </tr>
    <tr>
        <td width="100%" class="row0" align="right"><?php echo sprintf($lang["FORUM_SEARCH_RESULT"],$regels,$bladen); ?>&nbsp;</td>
    </tr>
    <tr>
        <td width="100%">&nbsp;</td>
    </tr>
    </table>

		<table width="100%" border="0" cellpadding="2" cellspacing="0">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="200" height="1" alt="" border="0"></td>
        <td width="100" height="1"><img src="images/shim.gif" width="100" height="1" alt="" border="0"></td>
        <td width="100" height="1"><img src="images/shim.gif" width="100" height="1" alt="" border="0"></td>
   </tr>
<tr>
        <td class="row0">
        <?php
          print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=title&page=$page>".$lang["FORUM_HEADER_TITLE"]."</a>";
          if ($direction=="asc")
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=title&page=$page&direction=desc>&nbsp;&#8593;</a>";
          else
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=title&page=$page&direction=asc>&nbsp;&#8595;</a>";
        ?>
        </td>
        <td class="row0" align="right">
        <?php
          if ($direction=="asc")
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=date&page=$page&direction=desc>&#8593;&nbsp;</a>";
          else
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=date&page=$page&direction=asc>&#8595;&nbsp;</a>";
          print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=date&page=$page>".$lang["FORUM_POSTED"]."</a>";
        ?>
        </td>
        <td class="row0" align="right">
        <?php
          if ($direction=="asc")
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=user&page=$page&direction=desc>&#8593;&nbsp;</a>";
          else
            print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=user&page=$page&direction=asc>&#8595;&nbsp;</a>";
          print "<a href=forum.php?".($sforum<>"" ? "&sforum=$sforum": "")."&forum_searchterms=$searchstring&order=user&page=$page>".$lang["FORUM_BY"]."</a>";
        ?>
        </td>
</tr>
<?php
	 $n=0;
	 while( $row=db_fetch_array($ret) )
	 {
    $stmt = "select locked from {$config["prefix"]}_forums where cod={$row["forum"]}";
    if( !($ret1 = db_query($stmt)) ) {
            print $lang["ERROR_04"].": ".db_error();
            return;
    }
    $forum = db_fetch_array($ret1);
    db_free_result($ret1);
    if( $forum["locked"] == "Y" ) {
      if( forum_user_allowed( $forum["cod"] ) ) {
		    $rclass = sprintf( "row%d", ($n++ % 2)+1 );
        $msgref=$row["msg_ref"];
		    if ($msgref==0) $msgref=$row["cod"];
		    print "<tr><td class=\"$rclass\"><a href=\"forum.php?forum={$row["forum"]}&page=1&msg=$msgref&msgref={$row["cod"]}#anch{$row["cod"]}\" class=\"kbitemlink\">".$row["title"]."</a></td><td class=\"$rclass\" align=\"right\">".show_date($row["date"],0)."</td><td class=\"$rclass\" align=\"right\">".$row["name"]."</td></tr>\n";
      }
    }
    else
    {
		    $rclass = sprintf( "row%d", ($n++ % 2)+1 );
        $msgref=$row["msg_ref"];
		    if ($msgref==0) $msgref=$row["cod"];
		    print "<tr><td class=\"$rclass\" ><a href=\"forum.php?forum={$row["forum"]}&page=1&msg=$msgref&msgref={$row["cod"]}#anch{$row["cod"]}\" class=\"kbitemlink\">".$row["title"]."</a></td><td class=\"$rclass\" align=\"right\">".show_date($row["date"],0)."</td><td class=\"$rclass\" align=\"right\">".$row["name"]."</td></tr>\n";
    }
	 }

		print "</table>\n";

	 db_free_result($ret);
// begin bladen
        $linkstr="";
        if ($regels>$cfg["forum"]["nbsearch"])
        {
         $bladen=ceil($regels/$cfg["forum"]["nbsearch"]);
         if (($page+4)>$bladen) $blok=$bladen;
         else $blok=$page+4;
         if (($blok-9)>0) $start=$blok-9;
         else $start=1;
         if ($page>1)
         {
          $pag1=$page-1;
          $linkstr=$linkstr."&nbsp;<a href=\"{$_SERVER["PHP_SELF"]}?forum_searchterms=$searchstring&order=$order&direction=$direction";
          if ($sforum<>"") $linkstr=$linkstr."&sforum=$sforum";
          $linkstr=$linkstr."&page=$pag1\">{$lang["FORUM_PREVIOUS"]}</a>";
         }
         $linkstr=$linkstr."[";
         for ($i=$start;$i<=$blok;$i=$i+1)
         {
               if ($i<>$page)
               {
                  $linkstr=$linkstr."&nbsp;<a href=\"{$_SERVER["PHP_SELF"]}?forum_searchterms=$searchstring&order=$order&direction=$direction";
                  if ($sforum<>"") $linkstr=$linkstr."&sforum=$sforum";
                  $linkstr=$linkstr."&page=$i\">$i</a>";
               }
               else $linkstr=$linkstr."&nbsp;<b>$i</b>";
         }
         $linkstr=$linkstr."&nbsp;]";
         if ($page<$bladen)
         {
          $pag1=$page+1;
          $linkstr=$linkstr."&nbsp;<a href=\"{$_SERVER["PHP_SELF"]}?forum_searchterms=$searchstring&order=$order&direction=$direction";
          if ($sforum<>"") $linkstr=$linkstr."&sforum=$sforum";
          $linkstr=$linkstr."&page=$pag1\">{$lang["FORUM_NEXT"]}</a>";
         }
         echo "<table width=\"100%\">\n"
         ."<tr>\n"
         ."<td align=\"left\" >";
         if (!empty($sforum)) print "<br><a href=\"forum.php?forum=$sforum\">{$lang["FORUM_GOUP"]}</a>";
         else  print "<br><a href=\"forum.php\">{$lang["FORUM_GOUP"]}</a>";
         echo "</TD>\n"
         ."<td align=\"right\">$linkstr</font>\n"
         ."</tr>\n"
         ."</table>\n";
        }
        else
        {
         echo "<table width=\"100%\">\n"
         ."<tr>\n"
         ."<td align=\"left\" >";
         if (!empty($sforum)) print "<br><a href=\"forum.php?forum=$sforum\">{$lang["FORUM_GOUP"]}</a>";
         else  print "<br><a href=\"forum.php\">{$lang["FORUM_GOUP"]}</a>";
         echo"</TD>\n"
         ."<td align=\"right\">&nbsp;</font>\n"
         ."</tr>\n"
         ."</table>\n";
        }
// einde bladindex
  }
  theme_draw_centerbox_close();
  print "<br>";
}

function notify_users ($msgid,$lmsgid,$title,$forum)
{
	global $config,$cfg,$lang;
	if ($msgid==0) $msgid=$lmsgid;
  include("modules/forum/lang/notifymsg.php");
  $langset=check_lang_field();
	$request1 = db_query("	SELECT notifies
		FROM {$config["prefix"]}_forum_msgs
		WHERE (cod = $msgid
			AND notifies != '')
			LIMIT 1");

	$request2 = db_query("	SELECT notifies
		FROM {$config["prefix"]}_forums
		WHERE (cod = $forum
			AND notifies != '')
			LIMIT 1");
			
	if (db_num_rows($request1)!=0 or db_num_rows($request2)!=0) {
		$row1=db_fetch_row($request1);
		$row2=db_fetch_row($request2);
		$usernotifies1=explode(',', $row1[0]);
		$usernotifies2=explode(',', $row2[0]);
		// Build a string of the union of the two sets of users
		$reeks=implode("','",array_merge($usernotifies1,array_diff($usernotifies2,$usernotifies1)));
/*  	$request = db_query("	SELECT notifies
		FROM {$config["prefix"]}_forum_msgs
		WHERE (cod = $msgid
			AND notifies != '')
			LIMIT 1");
			
	if (db_num_rows($request) != 0)
	{
		$row = db_fetch_row($request);
    $reeks=implode("','", explode(',', $row[0])); */
    if ($langset)
    {	
		  $members = db_query("
			SELECT uid, email, realname, lang
			FROM {$config["prefix"]}_users
			WHERE uid IN (' $reeks ')
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]}");
		}
		else
		{
		  $members = db_query("
			SELECT uid, email, realname
			FROM {$config["prefix"]}_users
			WHERE uid IN (' $reeks ')
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]}");
		}

   	if (db_num_rows($members) != 0)
	  {
		
		while ($rowmember = db_fetch_array($members))
		{
			
			$send_subject = $title;

				$request = db_query("
					SELECT notifysent
					FROM {$config["prefix"]}_forum_log_topics
					WHERE uid = {$rowmember["uid"]}
						AND msgid = $msgid");
						
				if (db_num_rows($request) == 0)
					$notifysent = "N";
				else
					list($notifysent) = mysql_fetch_row($request);
				if ($langset)
				{
				  if (trim($rowmember["lang"])<>"") $templang=$rowmember["lang"];
				  else $templang="enus";
				}
				else $templang="enus";

				if ($notifysent == 'N')
				{
					$send_body = sprintf($lang["FORUM_NOTIFY_MESSAGE_$templang"],"{$rowmember["realname"]}","{$cfg["core"]["url"]}forum.php?forum=$forum&fpage=1&msg=$msgid&msgref=$lmsgid&anch=$lmsgid","{$cfg["core"]["name_admin"]}");
					mail($rowmember['email'], $send_subject, $send_body,"From: ".$cfg["core"]["mail_admin"]);
//           echo "	mail({$rowmember['email']}, $send_subject, $send_body,From: {$cfg["core"]["mail_admin"]});";
					if (db_num_rows($request) == 0)
						$request = db_query("
							INSERT INTO {$config["prefix"]}_forum_log_topics
							(logtime, uid, msgid, notifysent)
							VALUES (0, {$rowmember["uid"]}, $msgid, 'Y')");
					else
						$request = db_query("
							UPDATE {$config["prefix"]}_forum_log_topics
							SET notifysent = 'Y'
							WHERE (uid = {$rowmember["uid"]}
								AND msgid=$msgid)");
				}
		}
		}
	}
}

function notify_moderators ( $msgid, $lmsgid, $title, $forum) {
  global $config,$cfg,$lang;
  include("modules/forum/lang/notifymsg.php");
	if ($msgid==0) $msgid=$lmsgid;
	$request = db_query("	SELECT *
		FROM {$config["prefix"]}_forums_mod
		WHERE (forum = $forum
			AND type = 'moderator')");
  $langset=check_lang_field();
			
	if (db_num_rows($request) != 0)
	{
		while ($row = db_fetch_array($request))
		{
    $modid=$row["userid"];
    if ($langset)
    {	
		  $members = db_query("
			SELECT uid, email, realname, lang
			FROM {$config["prefix"]}_users
			WHERE (uid = $modid
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]})");
		}
		else
		{
		  $members = db_query("
			SELECT uid, email, realname
			FROM {$config["prefix"]}_users
			WHERE (uid = $modid
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]})");
		}

   	if (db_num_rows($members) != 0)
	  {
		
		while ($rowmember = db_fetch_array($members))
		{
			
			$send_subject = $title;

				$req = db_query("
					SELECT notifysent
					FROM {$config["prefix"]}_forum_log_topics
					WHERE uid = {$rowmember["uid"]}
						AND msgid = $msgid");
						
				if (db_num_rows($req) == 0)
					$notifysent = "N";
				else
					list($notifysent) = mysql_fetch_row($request);
				if ($langset)
				{
				  if (trim($rowmember["lang"])<>"") $templang=$rowmember["lang"];
				  else $templang="enus";
				}
				else $templang="enus";

				if ($notifysent == 'N' and $cfg["forum"]["mod_notifyonce"])
				{
					$send_body = sprintf($lang["FORUM_NOTIFY_MOD_MESSAGE_$templang"],"{$rowmember["realname"]}","{$cfg["core"]["url"]}forum.php?forum=$forum&fpage=1&msg=$msgid&msgref=$lmsgid&anch=$lmsgid","{$cfg["core"]["name_admin"]}");
					mail($rowmember['email'], $send_subject, $send_body,"From: ".$cfg["core"]["mail_admin"]);
//           echo "	mail({$rowmember['email']}, $send_subject, $send_body,From: {$cfg["core"]["mail_admin"]});";
					if (db_num_rows($req) == 0)
						$req = db_query("
							INSERT INTO {$config["prefix"]}_forum_log_topics
							(logtime, uid, msgid, notifysent)
							VALUES (0, {$rowmember["uid"]}, $msgid, 'Y')");
					else
						$req = db_query("
							UPDATE {$config["prefix"]}_forum_log_topics
							SET notifysent = 'Y'
							WHERE (uid = {$rowmember["uid"]}
								AND msgid=$msgid)");
				}
				else
				{
					$send_body = sprintf($lang["FORUM_NOTIFY_MODONCE_MESSAGE_$templang"],"{$rowmember["realname"]}","{$cfg["core"]["url"]}forum.php?forum=$forum&fpage=1&msg=$msgid&msgref=$lmsgid&anch=$lmsgid","{$cfg["core"]["name_admin"]}");
					mail($rowmember['email'], $send_subject, $send_body,"From: ".$cfg["core"]["mail_admin"]);
//           echo "	mail({$rowmember['email']}, $send_subject, $send_body,From: {$cfg["core"]["mail_admin"]});";
					if (db_num_rows($req) == 0)
						$req = db_query("
							INSERT INTO {$config["prefix"]}_forum_log_topics
							(logtime, uid, msgid, notifysent)
							VALUES (0, {$rowmember["uid"]}, $msgid, 'Y')");
					else
						$req = db_query("
							UPDATE {$config["prefix"]}_forum_log_topics
							SET notifysent = 'Y'
							WHERE (uid = {$rowmember["uid"]}
								AND msgid=$msgid)");
				}
		}
		}
		}
	}
}

function notify_admins ($msgid,$lmsgid,$title,$forum)
{
	global $config,$cfg,$lang;
  include("modules/forum/lang/notifymsg.php");
	if ($msgid==0) $msgid=$lmsgid;
    $langset=check_lang_field();
    if ($langset)
    {	
		$members = db_query("
			SELECT uid, email, realname, lang
			FROM {$config["prefix"]}_users
			WHERE (class = 'admin'
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]})");
		}
		else
		{
		$members = db_query("
			SELECT uid, email, realname
			FROM {$config["prefix"]}_users
			WHERE (class = 'admin'
				AND email != ''
				AND uid != {$_SESSION["wt"]["uid"]})");
		}

   	if (db_num_rows($members) != 0)
	  {
		
		  while ($rowmember = db_fetch_array($members))
		  {
			
			   $send_subject = $title;

				$request = db_query("
					SELECT notifysent
					FROM {$config["prefix"]}_forum_log_topics
					WHERE uid = {$rowmember["uid"]}
						AND msgid = $msgid");
						
				if (db_num_rows($request) == 0)
					$notifysent = "N";
				else
					list($notifysent) = db_fetch_row($request);
				if ($langset)
				{
				  if (trim($rowmember["lang"])<>"") $templang=$rowmember["lang"];
				  else $templang="enus";
		    }
		    else  $templang="enus";

				if ($notifysent == 'N' and $cfg["forum"]["mod_notifyonce"])
				{
					$send_body = sprintf($lang["FORUM_NOTIFY_ADMIN_MESSAGE_$templang"],"{$rowmember["realname"]}","{$cfg["core"]["url"]}forum.php?forum=$forum&fpage=1&msg=$msgid&msgref=$lmsgid&anch=$lmsgid","{$cfg["core"]["name_admin"]}");
					mail($rowmember['email'], $send_subject, $send_body,"From: ".$cfg["core"]["mail_admin"]);
//           echo "	mail({$rowmember['email']}, $send_subject, $send_body,From: {$cfg["core"]["mail_admin"]});";
					if (db_num_rows($request) == 0)
						$request = db_query("
							INSERT INTO {$config["prefix"]}_forum_log_topics
							(logtime, uid, msgid, notifysent)
							VALUES (0, {$rowmember["uid"]}, $msgid, 'Y')");
					else
						$request = db_query("
							UPDATE {$config["prefix"]}_forum_log_topics
							SET notifysent = 'Y'
							WHERE (uid = {$rowmember["uid"]}
								AND msgid=$msgid)");
				}
				else
				{
					$send_body = sprintf($lang["FORUM_NOTIFY_ADMINONCE_MESSAGE_$templang"],"{$rowmember["realname"]}","{$cfg["core"]["url"]}forum.php?forum=$forum&fpage=1&msg=$msgid&msgref=$lmsgid&anch=$lmsgid","{$cfg["core"]["name_admin"]}");
					mail($rowmember['email'], $send_subject, $send_body,"From: ".$cfg["core"]["mail_admin"]);
//           echo "	mail({$rowmember['email']}, $send_subject, $send_body,From: {$cfg["core"]["mail_admin"]});";
					if (db_num_rows($request) == 0)
						$request = db_query("
							INSERT INTO {$config["prefix"]}_forum_log_topics
							(logtime, uid, msgid, notifysent)
							VALUES (0, {$rowmember["uid"]}, $msgid, 'Y')");
					else
						$request = db_query("
							UPDATE {$config["prefix"]}_forum_log_topics
							SET notifysent = 'Y'
							WHERE (uid = {$rowmember["uid"]}
								AND msgid=$msgid)");
				}
		  }
		}
}

function notify()
{
  global $config, $cfg, $lang;
  $msg=$_GET["msg"];
	$request = db_query("
		SELECT cod FROM {$config["prefix"]}_forum_msgs
		WHERE (cod=$msg
			AND FIND_IN_SET('{$_SESSION["wt"]["uid"]}',notifies) != 0)
		LIMIT 1");
	 theme_draw_centerbox_open( $lang["FORUM_NOTIFY_TITLE"] );

	if (db_num_rows($request) != 0)
		echo '
			<table border="0" width="100%" cellspacing="1" cellpadding="4">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="100%" height="1" alt="" border="0"></td>
    </tr>
				<tr>
					<td width="100%" class="row1" >
						<font size="2">' . $lang["FORUM_NOTIFY_OFF"] . '<br /><b><a href="forum.php?act=notify3&msg=' . $msg . '&forum=' . $_GET["forum"] . '&page=' . $_GET["page"] . '">'.$lang["FORUM_NOTIFY_YES"].'</a> - <a href="forum.php?msg=' . $msg . '&forum=' . $_GET["forum"] . '&page=' . $_GET["page"] . '">'.$lang["FORUM_NOTIFY_NO"].'</a></b></font>
					</td>
				</tr>
			</table>';
	else
		echo '
			<table border="0" width="100%" cellspacing="1" cellpadding="4">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="100%" height="1" alt="" border="0"></td>
    </tr>
				<tr>
					<td width="100%" class="row1" >
						<font size="2">' . $lang["FORUM_NOTIFY_ON"] . '<br /><b><a href="forum.php?act=notify2&msg=' . $msg . '&forum=' . $_GET["forum"] . '&page=' . $_GET["page"] . '">'.$lang["FORUM_NOTIFY_YES"].'</a> - <a href="forum.php?msg=' . $msg . '&forum=' . $_GET["forum"] . '&page=' . $_GET["page"] . '">'.$lang["FORUM_NOTIFY_NO"].'</a></b></font>
					</td>
				</tr>
			</table>';
	 theme_draw_centerbox_close();
}

function check_lang_field()
{
    global $config;
			$req1=db_query("SELECT * FROM {$config["prefix"]}_users
			WHERE uid = {$_SESSION["wt"]["uid"]}");
			$lt=db_fetch_array($req1);
			db_free_result($req1);
			if (isset($lt["lang"])) return true;
			else return false;
}


function Notify2 ()
{
	global $config, $cfg;
  $msg=$_GET["msg"];

	$request = db_query("
		SELECT notifies FROM {$config["prefix"]}_forum_msgs
		WHERE (cod = $msg)
		LIMIT 1");
		
	list($notification) = db_fetch_row($request);
	$notifies = explode(',', $notification);
	$notifications2 = array();
	
	foreach ($notifies as $note)
		if ($note != $_SESSION["wt"]["uid"] && $note != '')
			$notifications2[] = $note;

	if (!in_array($_SESSION["wt"]["uid"], $notifications2))
		$notifications2[] = $_SESSION["wt"]["uid"];

	$notification = implode(",", $notifications2);
	$request = db_query("
		UPDATE {$config["prefix"]}_forum_msgs
		SET notifies = '$notification'
		WHERE cod = $msg");
//  header("location: forum.php?forum={$_GET["forum"]}&msg={$_GET["msg"]}&page={$_GET["page"]}");
		
}

function Notify3 ()
{
	global $config, $cfg;
  $msg=$_GET["msg"];
	
	$request = db_query("
		SELECT notifies FROM {$config["prefix"]}_forum_msgs
		WHERE (cod = $msg)
		LIMIT 1");
		
	list ($notification) = db_fetch_row($request);
	$notifies = explode(',', $notification);
	$notifications2 = array();
	
	foreach ($notifies as $note)
	if ($note != $_SESSION["wt"]["uid"] && $note != '')
			$notifications2[]=$note;
	
	$notification = implode(",", $notifications2);
	$request = db_query("
		UPDATE {$config["prefix"]}_forum_msgs
		SET notifies = '$notification'
		WHERE cod = $msg");
		
//  header("location: forum.php?forum={$_GET["forum"]}&msg={$_GET["msg"]}&page={$_GET["page"]}");
}

function groupnotify()
{
  global $config, $cfg, $lang;
  $forum=$_GET["forum"];
	$request = db_query("
		SELECT cod FROM {$config["prefix"]}_forums
		WHERE (cod=$forum
			AND FIND_IN_SET('{$_SESSION["wt"]["uid"]}',notifies) != 0)
		LIMIT 1");
	 theme_draw_centerbox_open( $lang["FORUM_NOTIFY_TITLE"] );

	if (db_num_rows($request) != 0)
		echo '
			<table border="0" width="100%" cellspacing="1" cellpadding="4">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="100%" height="1" alt="" border="0"></td>
    </tr>
				<tr>
					<td width="100%" class="row1">
						<font size="2">'.$lang["FORUM_GROUP_NOTIFY_OFF"].'<br><b><a href="forum.php?act=groupnotify3&forum='.$forum.'&page='.$_GET["page"].'">'.$lang["FORUM_NOTIFY_YES"].'</a> - <a href="forum.php?forum='.$forum.'&page='.$_GET["page"].'">'.$lang["FORUM_NOTIFY_NO"].'</a></b></font>
					</td>
				</tr>
			</table>';
	else
		echo '
			<table border="0" width="100%" cellspacing="1" cellpadding="4">
    <tr>
        <td width="100%" height="1"><img src="images/shim.gif" width="100%" height="1" alt="" border="0"></td>
    </tr>
				<tr>
					<td width="100%" class="row1" >
						<font size="2">'.$lang["FORUM_GROUP_NOTIFY_ON"].'<br><b><a href="forum.php?act=groupnotify2&forum='.$forum.'&page='.$_GET["page"].'">'.$lang["FORUM_NOTIFY_YES"].'</a> - <a href="forum.php?&forum='.$forum.'&page='.$_GET["page"].'">'.$lang["FORUM_NOTIFY_NO"].'</a></b></font>
					</td>
				</tr>
			</table>';
	 theme_draw_centerbox_close();
}

function Groupnotify2 () // To enable group notifications
{
	global $config, $cfg;
	$forum=$_GET["forum"];

	$request = db_query("
		SELECT notifies FROM {$config["prefix"]}_forums
		WHERE (cod = $forum)
		LIMIT 1");
		
	list($notification) = db_fetch_row($request);
	$notifies = explode(',', $notification);
	$notifications2 = array();
	
	foreach ($notifies as $note)
		if ($note != $_SESSION["wt"]["uid"] && $note != '')
			$notifications2[] = $note;

	if (!in_array($_SESSION["wt"]["uid"], $notifications2))
		$notifications2[] = $_SESSION["wt"]["uid"];

	$notification = implode(",", $notifications2);
	$request = db_query("
		UPDATE {$config["prefix"]}_forums
		SET notifies = '$notification'
		WHERE cod = $forum");		
}

function Groupnotify3 () // To disable group notifications
{
	global $config, $cfg;
  $forum=$_GET["forum"];
	
	$request = db_query("
		SELECT notifies FROM {$config["prefix"]}_forums
		WHERE (cod = $forum)
		LIMIT 1");
		
	list ($notification) = db_fetch_row($request);
	$notifies = explode(',', $notification);
	$notifications2 = array();
	
	foreach ($notifies as $note)
	if ($note != $_SESSION["wt"]["uid"] && $note != '')
			$notifications2[]=$note;
	
	$notification = implode(",", $notifications2);
	$request = db_query("
		UPDATE {$config["prefix"]}_forums
		SET notifies = '$notification'
		WHERE cod = $forum");
}

?>
