<?php
/*****************************************************************************
* tab_forum_msgs.php                                                         *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher.*
******************************************************************************/
$table_create[$prefix."_forum_msgs"]="CREATE TABLE `".$prefix."_forum_msgs` ("
                                    ." `cod` int(10) unsigned NOT NULL auto_increment,"
                                    ." `forum` int(10) unsigned NOT NULL default '0',"
                                    ." `msg_ref` int(10) unsigned NOT NULL default '0',"
                                    ." `date` datetime NOT NULL default '0000-00-00 00:00:00',"
                                    ." `userid` int(10) unsigned NOT NULL default '0',"
                                    ." `title` varchar(80) NOT NULL default '',"
                                    ." `text_ori` text NOT NULL,"
                                    ." `date_der` datetime default NULL,"
                                    ." `views` int(10) unsigned NOT NULL default '0',"
                                    ." `closed` enum('Y','N') default 'N' NOT NULL ,"
                                    ." `sticky` tinyint(4) NOT NULL default '0',"
                                    ." `modifiedtime` bigint(20) NOT NULL default '0',"
                                    ." `modifiedname` tinytext NOT NULL ,"
                                    ." `notifies` text NOT NULL,"
                                    ." PRIMARY KEY  (`cod`,`forum`,`msg_ref`),"
                                    ." KEY `msg_ref` (`msg_ref`),"
                                    ." KEY `categorie` (`forum`)"
                                    ." ) TYPE=MyISAM";

$table_index[$prefix."_forum_msgs"][]="PRIMARY KEY  (`cod`, `forum`,`msg_ref`)";

$table[$prefix."_forum_msgs"]["cod"]["field"]="cod";
$table[$prefix."_forum_msgs"]["cod"]["type"]="int(10) unsigned";
$table[$prefix."_forum_msgs"]["cod"]["default"]="";
$table[$prefix."_forum_msgs"]["cod"]["null"]="";
$table[$prefix."_forum_msgs"]["cod"]["Extra"]="auto_increment";

$table[$prefix."_forum_msgs"]["forum"]["field"]="forum";
$table[$prefix."_forum_msgs"]["forum"]["type"]="int(10) unsigned";
$table[$prefix."_forum_msgs"]["forum"]["default"]="0";
$table[$prefix."_forum_msgs"]["forum"]["null"]="";
$table[$prefix."_forum_msgs"]["forum"]["Extra"]="";

$table[$prefix."_forum_msgs"]["msg_ref"]["field"]="msg_ref";
$table[$prefix."_forum_msgs"]["msg_ref"]["type"]="int(10) unsigned";
$table[$prefix."_forum_msgs"]["msg_ref"]["default"]="0";
$table[$prefix."_forum_msgs"]["msg_ref"]["null"]="";
$table[$prefix."_forum_msgs"]["msg_ref"]["Extra"]="";

//`date` datetime NOT NULL default '0000-00-00 00:00:00'
$table[$prefix."_forum_msgs"]["date"]["field"]="date";
$table[$prefix."_forum_msgs"]["date"]["type"]="datetime";
$table[$prefix."_forum_msgs"]["date"]["default"]="0000-00-00 00:00:00";
$table[$prefix."_forum_msgs"]["date"]["null"]="";
$table[$prefix."_forum_msgs"]["date"]["Extra"]="";

//`userid` int(10) unsigned NOT NULL default '0'
$table[$prefix."_forum_msgs"]["userid"]["field"]="userid";
$table[$prefix."_forum_msgs"]["userid"]["type"]="int(10) unsigned";
$table[$prefix."_forum_msgs"]["userid"]["default"]="0";
$table[$prefix."_forum_msgs"]["userid"]["null"]="";
$table[$prefix."_forum_msgs"]["userid"]["Extra"]="";

//`title` varchar(80) NOT NULL default ''
$table[$prefix."_forum_msgs"]["title"]["field"]="title";
$table[$prefix."_forum_msgs"]["title"]["type"]="varchar(80)";
$table[$prefix."_forum_msgs"]["title"]["default"]="";
$table[$prefix."_forum_msgs"]["title"]["null"]="";
$table[$prefix."_forum_msgs"]["title"]["Extra"]="";

//`text_ori` text NOT NULL
$table[$prefix."_forum_msgs"]["text_ori"]["field"]="text_ori";
$table[$prefix."_forum_msgs"]["text_ori"]["type"]="text";
$table[$prefix."_forum_msgs"]["text_ori"]["default"]="";
$table[$prefix."_forum_msgs"]["text_ori"]["null"]="";
$table[$prefix."_forum_msgs"]["text_ori"]["Extra"]="";

//`date_der` datetime default NULL
$table[$prefix."_forum_msgs"]["date_der"]["field"]="date_der";
$table[$prefix."_forum_msgs"]["date_der"]["type"]="datetime";
$table[$prefix."_forum_msgs"]["date_der"]["default"]="";
$table[$prefix."_forum_msgs"]["date_der"]["null"]="YES";
$table[$prefix."_forum_msgs"]["date_der"]["Extra"]="";

//`views` int(10) unsigned NOT NULL default '0'
$table[$prefix."_forum_msgs"]["views"]["field"]="views";
$table[$prefix."_forum_msgs"]["views"]["type"]="int(10) unsigned";
$table[$prefix."_forum_msgs"]["views"]["default"]="0";
$table[$prefix."_forum_msgs"]["views"]["null"]="";
$table[$prefix."_forum_msgs"]["views"]["Extra"]="";

//`closed` enum('Y','N') default 'N'
$table[$prefix."_forum_msgs"]["closed"]["field"]="closed";
$table[$prefix."_forum_msgs"]["closed"]["type"]="enum('Y','N')";
$table[$prefix."_forum_msgs"]["closed"]["default"]="N";
$table[$prefix."_forum_msgs"]["closed"]["null"]="";
$table[$prefix."_forum_msgs"]["closed"]["Extra"]="";

//`sticky` tinyint(4) NOT NULL default '0'
$table[$prefix."_forum_msgs"]["sticky"]["field"]="sticky";
$table[$prefix."_forum_msgs"]["sticky"]["type"]="tinyint(4)";
$table[$prefix."_forum_msgs"]["sticky"]["default"]="0";
$table[$prefix."_forum_msgs"]["sticky"]["null"]="";
$table[$prefix."_forum_msgs"]["sticky"]["Extra"]="";

//`modifiedtime` bigint(20) NOT NULL default '0'
$table[$prefix."_forum_msgs"]["modifiedtime"]["field"]="modifiedtime";
$table[$prefix."_forum_msgs"]["modifiedtime"]["type"]="bigint(20)";
$table[$prefix."_forum_msgs"]["modifiedtime"]["default"]="0";
$table[$prefix."_forum_msgs"]["modifiedtime"]["null"]="";
$table[$prefix."_forum_msgs"]["modifiedtime"]["Extra"]="";

//`modifiedname` tinytext
$table[$prefix."_forum_msgs"]["modifiedname"]["field"]="modifiedname";
$table[$prefix."_forum_msgs"]["modifiedname"]["type"]="tinytext";
$table[$prefix."_forum_msgs"]["modifiedname"]["default"]="";
$table[$prefix."_forum_msgs"]["modifiedname"]["null"]="";
$table[$prefix."_forum_msgs"]["modifiedname"]["Extra"]="";

//`notifies` text NOT NULL
$table[$prefix."_forum_msgs"]["notifies"]["field"]="notifies";
$table[$prefix."_forum_msgs"]["notifies"]["type"]="text";
$table[$prefix."_forum_msgs"]["notifies"]["default"]="";
$table[$prefix."_forum_msgs"]["notifies"]["null"]="";
$table[$prefix."_forum_msgs"]["notifies"]["Extra"]="";

?>
