<?php
// PDF functions taken from FPDF http://www.fpdf.org
//Edited for WebThingsUA by Don Seb 
//Feel free to edit , enhance the module, and please share it at http://www.phpdbform.com
//Keep PHPWT COOL submit your modules/themes/mods, it will help to improve ! :)


function draw_news_pdf($cod)
{
    global $cfg, $config, $lang;
    $cod=intval($cod);
    $stmt = "select N.*, N.title as article_title, C.name as cat_name, U.realname as user_name from {$config["prefix"]}_news N left outer join {$config["prefix"]}_users U on (N.userid=U.uid) left outer join {$config["prefix"]}_newscat C on (N.category=C.cod) where N.active='Y' and N.cod='$cod'";
    $ret = db_query( $stmt );
    $row = db_fetch_array( $ret );
    db_free_result( $ret );
//Some language stuff
//$lauthor= $lang["NEWS_POSTED_BY"];
//$lcat = $lang["NEWS_FIELD_CAT"];
//$ltitle = $lang["NEWS_FIELD_TITLE"];
//thing for on the generated page
$article_cat = 		"<a target=\"_blank\" href=\"".$cfg["core"]["url"]."news.php?cat={$row["category"]}\" class=\"newspostedbylink\">{$row["cat_name"]}</a><br>";
$article_title = 	"".$row["title"]."<br>";
$article_author = 	"<a href=\"".$cfg["core"]["url"]."user.php?uid={$row["userid"]}\" class=\"newspostedbylink\">{$row["user_name"]}</a><br><br>";
// Author and title for in PDF description
$author = $row["user_name"];
$title = $row["title"];
// Define logo
$logo = $cfg["news-pdf"]["newspdflogo"];
// Define web
$website = $cfg["core"]["url"];
//The News Article to show
$article = $row["text"] ;
$article_full = $row["full_text"] ;


class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;

function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Roep de constructor aan
    $this->FPDF($orientation,$unit,$format);
    //Initialisatie
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
	}

//Page header
function WriteHTML($html)
{
    //HTML parser
    $html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Tekst
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            //Tag
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Filter de attributen
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                $this->OpenTag($tag,$attr);
            }
        }
    }
}


function Header()
{
	global $cfg, $config, $lang;
	//URL - space from side - space from top - width 
	if ($cfg["news-pdf"]["newspdflogo"]) {
	$this->Image($cfg["news-pdf"]["newspdflogo"],3,3,$cfg["news-pdf"]["newspdflogowidth"]); }
    //Line break
    $this->Ln(30);
}

//Page footer
function Footer()
{
    global $cfg, $config, $lang;
    //Positie 1.5 cm van de onderkant
    $this->SetY(-15);
    //Arial cursief 8
    $this->SetFont('Arial','I',8);
    //Pagina nummer
    $this->Cell(0,10,$cfg["core"]["url"],0,0,'C');
    $this->Cell(0,10,' Page '.$this->PageNo().'/{nb}',0,0,'C');
	
}
function OpenTag($tag,$attr)
{
    //Open tag
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    //Sluit tag
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
}

function SetStyle($tag,$enable)
{
    //Wijzig stijl en selecteer lettertype
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
    //Plaatst een  hyperlink
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
}


$pdf=new PDF();

$pdf->SetTitle($title);
$pdf->SetAuthor($author);
$pdf->SetCreator($cfg["core"]["url"]);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);
$pdf->Cell(50,5,$lang["NEWS_FIELD_CAT"],0);
$pdf->WriteHTML($article_cat);
$pdf->Cell(50,5,$lang["NEWS_FIELD_TITLE"],0);
$pdf->WriteHTML($article_title);
$pdf->Cell(50,5,$lang["NEWS_POSTED_BY"],0);
$pdf->WriteHTML($article_author);
$pdf->WriteHTML($article);
$pdf->WriteHTML($article_full);
$pdf->Output();}?>