<?php
if (strstr($_SERVER["PHP_SELF"], "/modules/"))  die ("You can't access this file directly...");

$modules["news"] = true;
include_once( "modules/news/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
$config["menu"][20] = array( "title"=>$lang["NEWS_TITLE"], "file"=>"news.php", "type"=>"A", "newwindow"=>"N" );
$config["sidebox"][] = array("title"=>"News Sidebox", "function"=>"news_sidebox" );
$config["sidebox"][] = array("title"=>"News List Category", "function"=>"news_list_cat" );
$config["sidebox"][] = array("title"=>"News Search", "function"=>"news_search" );

$config["modmenu"]["news"]=array();
$config["modmenu"]["news"]["modtitle"]="news";
$config["modmenu"]["news"]["menu"]["news_cat"] = array( "title"=>$lang["NEWS_CAT_EDIT"], "file"=>"adm_newscat.php", "class"=>"admin" );
$config["modmenu"]["news"]["menu"]["news_pending"] = array( "title"=>$lang["NEWS_PENDING_TITLE"], "file"=>"adm_news2.php", "class"=>"admin" );
$config["modmenu"]["news"]["menu"]["news_add"] = array( "title"=>$lang["NEWS_SUBMIT_TITLE"], "file"=>"adm_news2.php?new=1", "class"=>"news" );
$config["modmenu"]["news"]["menu"]["news_archive"] = array( "title"=>$lang["NEWS_ARCH_TITLE"], "file"=>"adm_arch_news.php", "class"=>"news" );
$config["modmenu"]["news"]["menu"]["news_edit"] = array( "title"=>$lang["NEWS_EDIT_TITLE"], "file"=>"adm_news.php", "class"=>"news" );

$config["fileman"]["news"] = array( "name"=>"News", "folder"=>"/modules/news/images/" );
$config["fileman"]["news_cat"] = array( "name"=>"News Categories", "folder"=>"/modules/news/cat_images/" );

$config["stylecss"]["news"] = true;
if( !isset($cfg["news"]["max_in_sidebox"]) ) $cfg["news"]["max_in_sidebox"] = 5;
if( !isset($cfg["news"]["max_at_index"]) ) $cfg["news"]["max_at_index"] = 5;
if( !isset($cfg["news"]["max_per_page"]) ) $cfg["news"]["max_per_page"] = 10;
$cfg["news"]["version"] = "0.0.3";

function check_news_pending() {
	global $config, $lang, $pending_actions;
	if( !check_user_class($config["modmenu"]["news"]["menu"]["news_pending"]["class"]) ) return;
	// list news that are waiting for publish
	$ret = db_query( 'select count(*) from '.$config["prefix"].'_news where active="N" and archived="N"' );
	$pqty = 0;
	if( $ret ) {
		$pqty = db_result( $ret, 0, 0 );
		db_free_result( $ret );
	};
	if( $pqty > 0 )	$pending_actions[] = array( "title"=>"News", "qty"=>$pqty, "link"=>"adm_news2.php" );
};

//check_news_pending();

function news_sidebox($side="right") {
	global $config, $cfg, $lang;
	$ret = db_query('select sideboxtitle,cod,sideboxpos from '.$config["prefix"].'_news where sidebox="Y" order by sideboxpos DESC' );
	if( !$ret )	{
		print db_error();
		return;
	};
	if( db_num_rows( $ret ) <= 0 ) return;
    if($side=="right") theme_draw_rightbox_open( $lang["NEWS_SB_TITLE"],$cfg["theme"]["width_rsb"] );
    else theme_draw_leftbox_open( $lang["NEWS_SB_TITLE"], $cfg["theme"]["width_lsb"] );
	echo "<MENU>";
	while( $row = db_fetch_array( $ret ) ) {
		echo '<li><a href="news.php?cod='.$row["cod"].'">'.$row["sideboxtitle"].'</a>';
	};
	echo "</MENU>\n";
    if($side=="right") theme_draw_rightbox_close();
    else  theme_draw_leftbox_close();
};

function news_list_cat ($side="right") {
	global $config, $cfg, $lang;
	$ret = db_query('select name,cod from '.$config["prefix"].'_newscat order by name ASC');
	if( !$ret )	{
		print db_error();
		return;
	};
	if( db_num_rows( $ret ) <= 0 ) return;
    if($side=="right") theme_draw_rightbox_open( $lang["NEWS_CATEGORY_SB_TITLE"],$cfg["theme"]["width_rsb"] );
    else theme_draw_leftbox_open( $lang["NEWS_CATEGORY_SB_TITLE"], $cfg["theme"]["width_lsb"] );
	echo '<table><tr><td width="16"></td><td align="left" width="100%">';
	while( $row = db_fetch_array( $ret ) )	{
		echo '<p class="catlist"><img src="modules/news/menu.gif" border="0" align="middle" height="9" alt=""><a href="news.php?cat='.$row["cod"].'">'.$row["name"].'</a></p>';
	};
	echo "</td></tr></table>";
    if($side=="right") theme_draw_rightbox_close();
    else  theme_draw_leftbox_close();
};

function news_search($side="right") {
	global $config, $cfg, $lang;
	if($side=="right") theme_draw_rightbox_open( $lang["NEWS_SEARCH_SB_TITLE"],$cfg["theme"]["width_rsb"] );
	else theme_draw_leftbox_open( $lang["NEWS_SEARCH_SB_TITLE"], $cfg["theme"]["width_lsb"] );
?>	
	<form method="post" action="news.php"><center><br>
	<input type="text" name="news_searchterms" class="field_textbox" size="20"><br>
	<input type="submit" name="submit_fs" value="<?php echo $lang["NEWS_SEARCH"]; ?>" class="button"></center>
	<input type="hidden" name="news_search" value="yes"></form>
<?php
    if($side=="right") theme_draw_rightbox_close();
    else  theme_draw_leftbox_close();
};
?>
