<?php
/*****************************************************************************
* tab_polls.php                                                              *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_polls"]="CREATE TABLE `".$prefix."_polls` ("
                               ." `cod` int(10) unsigned NOT NULL auto_increment,"
                               ." `dtstart` date NOT NULL default '0000-00-00',"
                               ." `dtend` date NOT NULL default '0000-00-00',"
                               ." `question` text NOT NULL,"
                               ." `item01` varchar(40) NOT NULL default '',"
                               ." `item02` varchar(40) NOT NULL default '',"
                               ." `item03` varchar(40) default NULL,"
                               ." `item04` varchar(40) default NULL,"
                               ." `item05` varchar(40) default NULL,"
                               ." `item06` varchar(40) default NULL,"
                               ." `item07` varchar(40) default NULL,"
                               ." `item08` varchar(40) default NULL,"
                               ." `item09` varchar(40) default NULL,"
                               ." `item10` varchar(40) default NULL,"
                               ." `count01` int(10) unsigned NOT NULL default '0',"
                               ." `count02` int(10) unsigned NOT NULL default '0',"
                               ." `count03` int(10) unsigned NOT NULL default '0',"
                               ." `count04` int(10) unsigned NOT NULL default '0',"
                               ." `count05` int(10) unsigned NOT NULL default '0',"
                               ." `count06` int(10) unsigned NOT NULL default '0',"
                               ." `count07` int(10) unsigned default NULL,"
                               ." `count08` int(10) unsigned default NULL,"
                               ." `count09` int(10) unsigned default NULL,"
                               ." `count10` int(10) unsigned default NULL,"
                               ." PRIMARY KEY  (`cod`),"
                               ." UNIQUE KEY `dtstInd` (`dtstart`)"
                               ." ) TYPE=MyISAM";

$table_index[$prefix."_polls"][]="PRIMARY KEY  (`cod`)";
$table_index[$prefix."_polls"][]="UNIQUE KEY `dtstInd` (`dtstart`)";

//`cod` int(10) unsigned NOT NULL auto_increment,
$table[$prefix."_polls"]["cod"]["field"]="cod";
$table[$prefix."_polls"]["cod"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["cod"]["default"]="";
$table[$prefix."_polls"]["cod"]["null"]="";
$table[$prefix."_polls"]["cod"]["Extra"]="auto_increment";

//`dtstart` date NOT NULL default '0000-00-00',
$table[$prefix."_polls"]["dtstart"]["field"]="dtstart";
$table[$prefix."_polls"]["dtstart"]["type"]="date";
$table[$prefix."_polls"]["dtstart"]["default"]="0000-00-00";
$table[$prefix."_polls"]["dtstart"]["null"]="";
$table[$prefix."_polls"]["dtstart"]["Extra"]="";

//`dtend` date NOT NULL default '0000-00-00',
$table[$prefix."_polls"]["dtend"]["field"]="dtend";
$table[$prefix."_polls"]["dtend"]["type"]="date";
$table[$prefix."_polls"]["dtend"]["default"]="0000-00-00";
$table[$prefix."_polls"]["dtend"]["null"]="";
$table[$prefix."_polls"]["dtend"]["Extra"]="";

//`question` text NOT NULL,
$table[$prefix."_polls"]["question"]["field"]="question";
$table[$prefix."_polls"]["question"]["type"]="text";
$table[$prefix."_polls"]["question"]["default"]="";
$table[$prefix."_polls"]["question"]["null"]="";
$table[$prefix."_polls"]["question"]["Extra"]="";

//`item01` varchar(40) NOT NULL default '',
$table[$prefix."_polls"]["item01"]["field"]="item01";
$table[$prefix."_polls"]["item01"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item01"]["default"]="";
$table[$prefix."_polls"]["item01"]["null"]="";
$table[$prefix."_polls"]["item01"]["Extra"]="";

//`item02` varchar(40) NOT NULL default '',
$table[$prefix."_polls"]["item02"]["field"]="item02";
$table[$prefix."_polls"]["item02"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item02"]["default"]="";
$table[$prefix."_polls"]["item02"]["null"]="";
$table[$prefix."_polls"]["item02"]["Extra"]="";

//`item03` varchar(40) default NULL,
$table[$prefix."_polls"]["item03"]["field"]="item03";
$table[$prefix."_polls"]["item03"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item03"]["default"]="";
$table[$prefix."_polls"]["item03"]["null"]="YES";
$table[$prefix."_polls"]["item03"]["Extra"]="";

//`item04` varchar(40) default NULL,
$table[$prefix."_polls"]["item04"]["field"]="item04";
$table[$prefix."_polls"]["item04"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item04"]["default"]="";
$table[$prefix."_polls"]["item04"]["null"]="YES";
$table[$prefix."_polls"]["item04"]["Extra"]="";

//`item05` varchar(40) default NULL,
$table[$prefix."_polls"]["item05"]["field"]="item05";
$table[$prefix."_polls"]["item05"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item05"]["default"]="";
$table[$prefix."_polls"]["item05"]["null"]="YES";
$table[$prefix."_polls"]["item05"]["Extra"]="";

//`item06` varchar(40) default NULL,
$table[$prefix."_polls"]["item06"]["field"]="item06";
$table[$prefix."_polls"]["item06"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item06"]["default"]="";
$table[$prefix."_polls"]["item06"]["null"]="YES";
$table[$prefix."_polls"]["item06"]["Extra"]="";

//`item07` varchar(40) default NULL,
$table[$prefix."_polls"]["item07"]["field"]="item07";
$table[$prefix."_polls"]["item07"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item07"]["default"]="";
$table[$prefix."_polls"]["item07"]["null"]="YES";
$table[$prefix."_polls"]["item07"]["Extra"]="";

//`item08` varchar(40) default NULL,
$table[$prefix."_polls"]["item08"]["field"]="item08";
$table[$prefix."_polls"]["item08"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item08"]["default"]="";
$table[$prefix."_polls"]["item08"]["null"]="YES";
$table[$prefix."_polls"]["item08"]["Extra"]="";

//`item09` varchar(40) default NULL,
$table[$prefix."_polls"]["item09"]["field"]="item09";
$table[$prefix."_polls"]["item09"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item09"]["default"]="";
$table[$prefix."_polls"]["item09"]["null"]="YES";
$table[$prefix."_polls"]["item09"]["Extra"]="";

//`item10` varchar(40) default NULL,
$table[$prefix."_polls"]["item10"]["field"]="item10";
$table[$prefix."_polls"]["item10"]["type"]="varchar(40)";
$table[$prefix."_polls"]["item10"]["default"]="";
$table[$prefix."_polls"]["item10"]["null"]="YES";
$table[$prefix."_polls"]["item10"]["Extra"]="";

//`count01` int(10) unsigned NOT NULL default '0',
$table[$prefix."_polls"]["count01"]["field"]="count01";
$table[$prefix."_polls"]["count01"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count01"]["default"]="0";
$table[$prefix."_polls"]["count01"]["null"]="";
$table[$prefix."_polls"]["count01"]["Extra"]="";

//`count02` int(10) unsigned NOT NULL default '0',
$table[$prefix."_polls"]["count02"]["field"]="count02";
$table[$prefix."_polls"]["count02"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count02"]["default"]="0";
$table[$prefix."_polls"]["count02"]["null"]="";
$table[$prefix."_polls"]["count02"]["Extra"]="";

//`count03` int(10) unsigned default '0',
$table[$prefix."_polls"]["count03"]["field"]="count03";
$table[$prefix."_polls"]["count03"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count03"]["default"]="0";
$table[$prefix."_polls"]["count03"]["null"]="";
$table[$prefix."_polls"]["count03"]["Extra"]="";

//`count04` int(10) unsigned default '0',
$table[$prefix."_polls"]["count04"]["field"]="count04";
$table[$prefix."_polls"]["count04"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count04"]["default"]="0";
$table[$prefix."_polls"]["count04"]["null"]="";
$table[$prefix."_polls"]["count04"]["Extra"]="";

//`count05` int(10) unsigned default '0',
$table[$prefix."_polls"]["count05"]["field"]="count05";
$table[$prefix."_polls"]["count05"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count05"]["default"]="0";
$table[$prefix."_polls"]["count05"]["null"]="";
$table[$prefix."_polls"]["count05"]["Extra"]="";

//`count06` int(10) unsigned default '0',
$table[$prefix."_polls"]["count06"]["field"]="count06";
$table[$prefix."_polls"]["count06"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count06"]["default"]="0";
$table[$prefix."_polls"]["count06"]["null"]="";
$table[$prefix."_polls"]["count06"]["Extra"]="";

//`count07` int(10) unsigned default NULL,
$table[$prefix."_polls"]["count07"]["field"]="count07";
$table[$prefix."_polls"]["count07"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count07"]["default"]="";
$table[$prefix."_polls"]["count07"]["null"]="YES";
$table[$prefix."_polls"]["count07"]["Extra"]="";

//`count08` int(10) unsigned default NULL,
$table[$prefix."_polls"]["count08"]["field"]="count08";
$table[$prefix."_polls"]["count08"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count08"]["default"]="";
$table[$prefix."_polls"]["count08"]["null"]="YES";
$table[$prefix."_polls"]["count08"]["Extra"]="";

//`count09` int(10) unsigned default NULL,
$table[$prefix."_polls"]["count09"]["field"]="count09";
$table[$prefix."_polls"]["count09"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count09"]["default"]="";
$table[$prefix."_polls"]["count09"]["null"]="YES";
$table[$prefix."_polls"]["count09"]["Extra"]="";

//`count10` int(10) unsigned default NULL,
$table[$prefix."_polls"]["count10"]["field"]="count10";
$table[$prefix."_polls"]["count10"]["type"]="int(10) unsigned";
$table[$prefix."_polls"]["count10"]["default"]="";
$table[$prefix."_polls"]["count10"]["null"]="YES";
$table[$prefix."_polls"]["count10"]["Extra"]="";
?>
