<?php
/*****************************************************************************
* tab_centerboxes.php                                                        *
******************************************************************************
* created:      2004-10-05                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database.                                    *
******************************************************************************/
$table_create[$prefix."_centerboxes"]="CREATE TABLE `".$prefix."_centerboxes` (
                                      `cod` int(10) unsigned NOT NULL auto_increment,
                                      `pos` int(10) unsigned NOT NULL default '0',
                                      `active` tinyint(3) unsigned NOT NULL default '0',
                                      `oneverypage` tinyint(3) unsigned NOT NULL default '0',
                                      `menuoption` varchar(40) NOT NULL default 'none',
                                      `title` varchar(80) NOT NULL default '',
                                      `content` text NOT NULL,
                                      `file` varchar(40) NOT NULL default 'none',
                                      `type` enum('A','L','N') NOT NULL default 'A',
                                      `draw_box` enum('Y','N') NOT NULL default 'Y',
                                      PRIMARY KEY  (`cod`)
                                      ) TYPE=MyISAM";


$table_index[$prefix."_centerboxes"][]="PRIMARY KEY  (`cod`)";

//`cod` INT( 10 ) unsigned NOT NULL auto_increment
$table[$prefix."_centerboxes"]["cod"]["field"]="cod";
$table[$prefix."_centerboxes"]["cod"]["type"]="int(10) unsigned";
$table[$prefix."_centerboxes"]["cod"]["default"]="";
$table[$prefix."_centerboxes"]["cod"]["null"]="";
$table[$prefix."_centerboxes"]["cod"]["Extra"]="auto_increment";

//`pos` int(10) unsigned NOT NULL default '0'
$table[$prefix."_centerboxes"]["pos"]["field"]="pos";
$table[$prefix."_centerboxes"]["pos"]["type"]="int(10) unsigned";
$table[$prefix."_centerboxes"]["pos"]["default"]="0";
$table[$prefix."_centerboxes"]["pos"]["null"]="";
$table[$prefix."_centerboxes"]["pos"]["Extra"]="";

//`active` tinyint(3) unsigned NOT NULL default ''
$table[$prefix."_centerboxes"]["active"]["field"]="active";
$table[$prefix."_centerboxes"]["active"]["type"]="tinyint(3) unsigned";
$table[$prefix."_centerboxes"]["active"]["default"]="0";
$table[$prefix."_centerboxes"]["active"]["null"]="";
$table[$prefix."_centerboxes"]["active"]["Extra"]="";

//`oneverypage` tinyint(3) unsigned NOT NULL default ''
$table[$prefix."_centerboxes"]["oneverypage"]["field"]="oneverypage";
$table[$prefix."_centerboxes"]["oneverypage"]["type"]="tinyint(3) unsigned";
$table[$prefix."_centerboxes"]["oneverypage"]["default"]="0";
$table[$prefix."_centerboxes"]["oneverypage"]["null"]="";
$table[$prefix."_centerboxes"]["oneverypage"]["Extra"]="";

//`menuoption` varchar(40) NOT NULL default 'None',
$table[$prefix."_centerboxes"]["menuoption"]["field"]="menuoption";
$table[$prefix."_centerboxes"]["menuoption"]["type"]="varchar(40)";
$table[$prefix."_centerboxes"]["menuoption"]["default"]="none";
$table[$prefix."_centerboxes"]["menuoption"]["null"]="";
$table[$prefix."_centerboxes"]["menuoption"]["Extra"]="";

//`title` varchar(80) NOT NULL default '',
$table[$prefix."_centerboxes"]["title"]["field"]="title";
$table[$prefix."_centerboxes"]["title"]["type"]="varchar(80)";
$table[$prefix."_centerboxes"]["title"]["default"]="";
$table[$prefix."_centerboxes"]["title"]["null"]="";
$table[$prefix."_centerboxes"]["title"]["Extra"]="";

//`content` text NOT NULL,
$table[$prefix."_centerboxes"]["content"]["field"]="content";
$table[$prefix."_centerboxes"]["content"]["type"]="text";
$table[$prefix."_centerboxes"]["content"]["default"]="";
$table[$prefix."_centerboxes"]["content"]["null"]="";
$table[$prefix."_centerboxes"]["content"]["Extra"]="";

//`file` varchar(40) NOT NULL default 'none',
$table[$prefix."_centerboxes"]["file"]["field"]="file";
$table[$prefix."_centerboxes"]["file"]["type"]="varchar(40)";
$table[$prefix."_centerboxes"]["file"]["default"]="none";
$table[$prefix."_centerboxes"]["file"]["null"]="";
$table[$prefix."_centerboxes"]["file"]["Extra"]="";

//`type` enum('A','L','N') NOT NULL default 'A'
$table[$prefix."_centerboxes"]["type"]["field"]="type";
$table[$prefix."_centerboxes"]["type"]["type"]="enum('A','L','N')";
$table[$prefix."_centerboxes"]["type"]["default"]="A";
$table[$prefix."_centerboxes"]["type"]["null"]="";
$table[$prefix."_centerboxes"]["type"]["Extra"]="";

//`draw_box` enum('Y','N') NOT NULL default 'Y',
$table[$prefix."_centerboxes"]["draw_box"]["field"]="draw_box";
$table[$prefix."_centerboxes"]["draw_box"]["type"]="enum('Y','N')";
$table[$prefix."_centerboxes"]["draw_box"]["default"]="Y";
$table[$prefix."_centerboxes"]["draw_box"]["null"]="";
$table[$prefix."_centerboxes"]["draw_box"]["Extra"]="";

$table_content[$prefix."_centerboxes"]["Welcome"]["field"]="title";
$table_content[$prefix."_centerboxes"]["Welcome"]["value"]="'Welcome!'";
$table_content[$prefix."_centerboxes"]["Welcome"]["query"]="INSERT INTO `".$prefix."_centerboxes` (`cod`, `pos`, `active`, `oneverypage`, `menuoption`, `title`, `content`, `file`, `type`, `draw_box`) VALUES (0, 1, 1, 0, 'index', 'WebThingsUA !', 'WebThingsUA   !<br>        /     :-)', 'none', 'A', 'Y')";

$table_content[$prefix."_centerboxes"]["News"]["field"]="title";
$table_content[$prefix."_centerboxes"]["News"]["value"]="'News'";
$table_content[$prefix."_centerboxes"]["News"]["query"]="INSERT INTO `".$prefix."_centerboxes` (`cod`, `pos`, `active`, `oneverypage`, `menuoption`, `title`, `content`, `file`, `type`, `draw_box`) VALUES (0, 2, 1, 0, 'index', 'News', '', 'newsindex.php', 'A', 'Y')";

$table_content[$prefix."_centerboxes"]["Articles"]["field"]="title";
$table_content[$prefix."_centerboxes"]["Articles"]["value"]="'Articles'";
$table_content[$prefix."_centerboxes"]["Articles"]["query"]="INSERT INTO `".$prefix."_centerboxes` (`cod`, `pos`, `active`, `oneverypage`, `menuoption`, `title`, `content`, `file`, `type`, `draw_box`) VALUES (0, 3, 1, 0, 'index', 'Articles', '', 'articlesindex.php', 'A', 'Y')";
?>
