<?php
/*****************************************************************************
* tab_menu.php                                                               *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_menu"]="CREATE TABLE `".$prefix."_menu` ( `id` INT( 10 ) unsigned NOT NULL auto_increment,"
                              ." `pos` smallint(5) unsigned NOT NULL default '0',"
                              ." `title` varchar(40) NOT NULL default '',"
                              ." `url` varchar(127) NOT NULL default '',"
                              ." `type` enum('A','L','N') NOT NULL default 'A',"
                              ." `newwindow` ENUM('Y','N') NOT NULL DEFAULT 'N',"
                              ." `lang` varchar(4) NOT NULL default '',"
                              ." PRIMARY KEY (`id`) ) TYPE=MyISAM";


$table_index[$prefix."_menu"][]="PRIMARY KEY  (`id`)";

//`id` INT( 10 ) unsigned NOT NULL auto_increment
$table[$prefix."_menu"]["id"]["field"]="id";
$table[$prefix."_menu"]["id"]["type"]="int(10) unsigned";
$table[$prefix."_menu"]["id"]["default"]="";
$table[$prefix."_menu"]["id"]["null"]="";
$table[$prefix."_menu"]["id"]["Extra"]="auto_increment";

//`pos` smallint(5) unsigned NOT NULL default '0'
$table[$prefix."_menu"]["pos"]["field"]="pos";
$table[$prefix."_menu"]["pos"]["type"]="smallint(5) unsigned";
$table[$prefix."_menu"]["pos"]["default"]="0";
$table[$prefix."_menu"]["pos"]["null"]="";
$table[$prefix."_menu"]["pos"]["Extra"]="";

//`title` varchar(40) NOT NULL default ''
$table[$prefix."_menu"]["title"]["field"]="title";
$table[$prefix."_menu"]["title"]["type"]="varchar(40)";
$table[$prefix."_menu"]["title"]["default"]="";
$table[$prefix."_menu"]["title"]["null"]="";
$table[$prefix."_menu"]["title"]["Extra"]="";

//`url` varchar(127) NOT NULL default ''
$table[$prefix."_menu"]["url"]["field"]="url";
$table[$prefix."_menu"]["url"]["type"]="varchar(127)";
$table[$prefix."_menu"]["url"]["default"]="";
$table[$prefix."_menu"]["url"]["null"]="";
$table[$prefix."_menu"]["url"]["Extra"]="";

//`type` enum('A','L','N') NOT NULL default 'A'
$table[$prefix."_menu"]["type"]["field"]="type";
$table[$prefix."_menu"]["type"]["type"]="enum('A','L','N')";
$table[$prefix."_menu"]["type"]["default"]="A";
$table[$prefix."_menu"]["type"]["null"]="";
$table[$prefix."_menu"]["type"]["Extra"]="";

//`newwindow` ENUM('Y','N') NOT NULL DEFAULT 'N'
$table[$prefix."_menu"]["newwindow"]["field"]="newwindow";
$table[$prefix."_menu"]["newwindow"]["type"]="enum('Y','N')";
$table[$prefix."_menu"]["newwindow"]["default"]="N";
$table[$prefix."_menu"]["newwindow"]["null"]="";
$table[$prefix."_menu"]["newwindow"]["Extra"]="";

//`lang` varchar(4) NOT NULL default ''
$table[$prefix."_menu"]["lang"]["field"]="lang";
$table[$prefix."_menu"]["lang"]["type"]="varchar(4)";
$table[$prefix."_menu"]["lang"]["default"]="";
$table[$prefix."_menu"]["lang"]["null"]="";
$table[$prefix."_menu"]["lang"]["Extra"]="";

?>
