<?php
/*****************************************************************************
* tab_sideboxes.php                                                          *
******************************************************************************
* created:      2004-11-03                                                   *
* Author:       Yuriy Bortnik                                                *
* Description:  Database table definition file. This file is used to upgrade *
*               the WebThingsUA database. Works for version 0.0.3 and higher *
******************************************************************************/
$table_create[$prefix."_sideboxes"]="CREATE TABLE `".$prefix."_sideboxes` ("
                                    ." `cod` int(10) unsigned NOT NULL auto_increment,"
                                    ." `pos` int(10) unsigned NOT NULL default '0',"
                                    ." `side` varchar(5) NOT NULL default '',"
                                    ." `active` tinyint(3) unsigned NOT NULL default '1',"
                                    ." `title` varchar(80) NOT NULL default '',"
                                    ." `content` text NULL ,"
                                    ." `file` varchar(40) NOT NULL default 'none',"
                                    ." `type` enum('A','L','N') NOT NULL default 'A',"
                                    ." `function` varchar(50) default NULL,"
                                    ." `modules` text NOT NULL,"
                                    ." PRIMARY KEY  (`cod`)"
                                    ." ) TYPE=MyISAM";


$table_index[$prefix."_sideboxes"][]="PRIMARY KEY  (`cod`)";

//`cod` int(10) unsigned NOT NULL auto_increment
$table[$prefix."_sideboxes"]["cod"]["field"]="cod";
$table[$prefix."_sideboxes"]["cod"]["type"]="int(10) unsigned";
$table[$prefix."_sideboxes"]["cod"]["default"]="";
$table[$prefix."_sideboxes"]["cod"]["null"]="";
$table[$prefix."_sideboxes"]["cod"]["Extra"]="auto_increment";

//`pos` int(10) unsigned NOT NULL default '0'
$table[$prefix."_sideboxes"]["pos"]["field"]="pos";
$table[$prefix."_sideboxes"]["pos"]["type"]="int(10) unsigned";
$table[$prefix."_sideboxes"]["pos"]["default"]="0";
$table[$prefix."_sideboxes"]["pos"]["null"]="";
$table[$prefix."_sideboxes"]["pos"]["Extra"]="";

//`side` varchar(5) NOT NULL default ''
$table[$prefix."_sideboxes"]["side"]["field"]="side";
$table[$prefix."_sideboxes"]["side"]["type"]="varchar(5)";
$table[$prefix."_sideboxes"]["side"]["default"]="";
$table[$prefix."_sideboxes"]["side"]["null"]="";
$table[$prefix."_sideboxes"]["side"]["Extra"]="";

//`active` tinyint(3) unsigned NOT NULL default '0'
$table[$prefix."_sideboxes"]["active"]["field"]="active";
$table[$prefix."_sideboxes"]["active"]["type"]="tinyint(3) unsigned";
$table[$prefix."_sideboxes"]["active"]["default"]="1";
$table[$prefix."_sideboxes"]["active"]["null"]="";
$table[$prefix."_sideboxes"]["active"]["Extra"]="";

//`title` varchar(80) NOT NULL default ''
$table[$prefix."_sideboxes"]["title"]["field"]="title";
$table[$prefix."_sideboxes"]["title"]["type"]="varchar(80)";
$table[$prefix."_sideboxes"]["title"]["default"]="";
$table[$prefix."_sideboxes"]["title"]["null"]="";
$table[$prefix."_sideboxes"]["title"]["Extra"]="";

//`content` text
$table[$prefix."_sideboxes"]["content"]["field"]="content";
$table[$prefix."_sideboxes"]["content"]["type"]="text";
$table[$prefix."_sideboxes"]["content"]["default"]="";
$table[$prefix."_sideboxes"]["content"]["null"]="YES";
$table[$prefix."_sideboxes"]["content"]["Extra"]="";

//`file` varchar(40) NOT NULL default 'none'
$table[$prefix."_sideboxes"]["file"]["field"]="file";
$table[$prefix."_sideboxes"]["file"]["type"]="varchar(40)";
$table[$prefix."_sideboxes"]["file"]["default"]="none";
$table[$prefix."_sideboxes"]["file"]["null"]="";
$table[$prefix."_sideboxes"]["file"]["Extra"]="";

//`type` enum('A','L','N') NOT NULL default 'A'
$table[$prefix."_sideboxes"]["type"]["field"]="type";
$table[$prefix."_sideboxes"]["type"]["type"]="enum('A','L','N')";
$table[$prefix."_sideboxes"]["type"]["default"]="A";
$table[$prefix."_sideboxes"]["type"]["null"]="";
$table[$prefix."_sideboxes"]["type"]["Extra"]="";

//`function` varchar(50) default NULL
$table[$prefix."_sideboxes"]["function"]["field"]="function";
$table[$prefix."_sideboxes"]["function"]["type"]="varchar(50)";
$table[$prefix."_sideboxes"]["function"]["default"]="";
$table[$prefix."_sideboxes"]["function"]["null"]="YES";
$table[$prefix."_sideboxes"]["function"]["Extra"]="";

//`modules` text
$table[$prefix."_sideboxes"]["modules"]["field"]="modules";
$table[$prefix."_sideboxes"]["modules"]["type"]="text";
$table[$prefix."_sideboxes"]["modules"]["default"]="";
$table[$prefix."_sideboxes"]["modules"]["null"]="";
$table[$prefix."_sideboxes"]["modules"]["Extra"]="";

$table_content[$prefix."_sideboxes"]["Menu"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Menu"]["value"]="'Menu'";
$table_content[$prefix."_sideboxes"]["Menu"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"1\",\"left\",\"1\",\"Menu\",NULL,\"none\",\"A\",\"draw_menu\",\"\")";

$table_content[$prefix."_sideboxes"]["Login box"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Login box"]["value"]="'Login box'";
$table_content[$prefix."_sideboxes"]["Login box"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"2\",\"left\",\"1\",\"Login box\",NULL,\"none\",\"A\",\"draw_login_box\",\"\")";

$table_content[$prefix."_sideboxes"]["Users Online"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Users Online"]["value"]="'Users Online'";
$table_content[$prefix."_sideboxes"]["Users Online"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"3\",\"left\",\"1\",\"Users Online\",NULL,\"none\",\"A\",\"draw_users_online\",\"\")";

$table_content[$prefix."_sideboxes"]["Admin Box"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Admin Box"]["value"]="'Admin Box'";
$table_content[$prefix."_sideboxes"]["Admin Box"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"4\",\"left\",\"1\",\"Admin Box\",NULL,\"none\",\"L\",\"draw_admin_box\",\"\")";

$table_content[$prefix."_sideboxes"]["Modules Box"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Modules Box"]["value"]="'Modules Box'";
$table_content[$prefix."_sideboxes"]["Modules Box"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"5\",\"left\",\"1\",\"Modules Box\",NULL,\"none\",\"L\",\"draw_modmenu_box\",\"\")";

$table_content[$prefix."_sideboxes"]["Pending Actions"]["field"]="title";
$table_content[$prefix."_sideboxes"]["Pending Actions"]["value"]="'Pending Actions'";
$table_content[$prefix."_sideboxes"]["Pending Actions"]["query"]="INSERT INTO ".$prefix."_sideboxes ( `cod` , `pos` , `side` , `active` , `title` , `content` , `file` , `type` , `function` , `modules`  ) VALUES(0,\"6\",\"left\",\"1\",\"Pending Actions\",NULL,\"none\",\"A\",\"draw_pending_actions\",\"\")";

?>
