<?php
function theme_draw_header() {
    global $cfg,$thWidth;
    core_page_begin();
?>
<table width="100%" border="0" cellspacing="2" cellpadding="0" align="center">
<tr><td colspan="3">
<table border="0" width="100%">
<tr>
<td width="150" align="center"><img src='images/logo.png' border="0" width="150" height="60" alt='phpWebthings '></td>
<td width="99%" align="center"><?php if( check_module("bmbanners") ) draw_bmbanner('468x60'); ?></td>
<td width="150" align="center"><?php if( check_module("bmbanners") ) draw_bmbanner('120x60'); ?></td>
</tr>
</table>
</td></tr>
<?php 
	if($cfg["theme"]["draw_horizontal_menu_top"]) { ?>
		<tr><td colspan="3" align="center"><?php draw_horizontal_menu(); ?></td></tr>
<?php }; ?>
<tr><?php draw_sideboxes("left", "150"); ?>
<td width="99%" valign="top">
<?php
}

function draw_footer() {
	global $cfg, $module_loaded;
?></td>
<?php
draw_sideboxes("right","150");
?></tr>
<?php 
	if($cfg["theme"]["draw_horizontal_menu_bot"]) { ?>
		<tr><td colspan="3" align="center"><?php draw_horizontal_menu(); ?></td></tr>
<?php }; 
	if ($module_loaded<>"index") { ?>
<tr><td align="center" width="150"><?php if( check_module("bmbanners") ) draw_bmbanner('120x60'); ?></td><td align="center" width="1500"><?php if( check_module("bmbanners") ) draw_bmbanner('468x60'); ?></td><td align="center" width="150"><?php if( check_module("bmbanners") ) draw_bmbanner('120x60'); ?></td></tr>
<tr><td align="center" width="150"><?php if( check_module("bmbanners") ) draw_bmbanner('textlink'); ?></td><td align="center" width="1500"><?php if( check_module("bmbanners") ) draw_bmbanner('textlink'); ?></td><td align="center" width="150"><?php if( check_module("bmbanners") ) draw_bmbanner('textlink'); ?></td></tr>
<?php }; ?>
<tr><td colspan="3"><div align="right"><?php draw_copyright(); ?></div></td></tr>
</table>
</body>
</html>
<?php
}

function theme_draw_leftbox_open( $title, $width="150" ) {
?>
<table width="150" border="0" cellpadding="1" cellspacing="0">
<tr><td align="center" class="sideboxtitle"><?php print $title; ?></td></tr>
<tr><td class="sideboxtitle">
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td align="center" class="sideboxtext">
<?php
}

function theme_draw_leftbox_close() {
?>
</td>
</tr>
</table></td>
</tr>
</table>
<?php
}

function theme_draw_rightbox_open( $title, $width="120" ) {
?>
<table width="150" border="0" cellpadding="1" cellspacing="0">
<tr><td align="center" class="sideboxtitle"><?php print $title; ?></td></tr>
<tr><td class="sideboxtitle">
<table width="100%" border="0" cellpadding="1" cellspacing="0">
<tr><td align="center" class="sideboxtext">
<?php
}

function theme_draw_rightbox_close()
{
?>
</td>
</tr>
</table></td>
</tr>
</table>
<?php
}


function theme_draw_centerbox_open( $title )
{
?>
<table width="100%" border="0" cellpadding="1" cellspacing="0">
<tr><td align="center" class="centerboxtitle"><?php print $title; ?></td></tr>
<tr><td class="centerboxtitle">
<table width="100%" border="0" cellpadding="2" cellspacing="0">
<tr><td align="center" class="centerboxtext">
<?php
}

function theme_draw_centerbox_close() {
?>
</td>
</tr>
</table></td>
</tr>
</table><br>
<?php
}

function theme_draw_menu_item( $text, $link, $newwindow ) {
	$target = ($newwindow == "Y")?"target='_blank'":"";
    return "<a href='$link' $target>".$text."</a>";
}

function theme_draw_horizontalmenu_item( $text, $link, $newwindow )
{
	$target = ($newwindow == "Y")?"target=\"_blank\"":"";
    return '<a href="'.$link.'"'.$target.'>'.$text.'</a>';
}

function draw_menu() {
    global $config,$lang,$cfg;
    $arr_menu = $config["menu"];
    ksort($arr_menu, SORT_NUMERIC);
    reset($arr_menu);

    theme_draw_leftbox_open( $lang["ADMMNU_MENU"], $cfg["theme"]["width_lsb"] );
	echo "<div align=left>";
    while( $entry = each( $arr_menu ) )   {
		if( $entry[1]["type"] != "A" ) {
			if( $entry[1]["type"] == "L" ) {
				if( !$_SESSION["wt"]["logged"] ) continue;
			} else if(  $entry[1]["type"] == "N" ) {
				if( $_SESSION["wt"]["logged"] ) continue;
			};
		};
        echo theme_draw_menu_item( $entry[1]["title"], $entry[1]["file"], $entry[1]["newwindow"] );
		echo "<br>";
    };
	echo "</div>";
    theme_draw_leftbox_close();
}

function theme_draw_map() {
    global $sitemap;
    echo "<table border=0 width=100% cellpadding=2 cellspacing=0><tr><td class=navbar>";
    foreach($sitemap as $item) {
        echo "&gt; <a href='$item[1]' class=navbarlink>".$item[0]."</a> ";
    }
    echo "</td></tr></table>\n";
}

function draw_horizontal_menu() {
    global $config,$lang;
    $arr_menu = $config["menu"];
    ksort($arr_menu, SORT_NUMERIC);
    reset($arr_menu);

	echo '<table border="0" width="100%" cellpadding="0" cellspacing="0"><tr><td class="horizontalmenu">';
    while( $entry = each( $arr_menu ) )   {
		if( $entry[1]["type"] != "A" ) {
			if( $entry[1]["type"] == "L" ) {
				if( !$_SESSION["wt"]["logged"] ) continue;
			} else if(  $entry[1]["type"] == "N" ) {
				if( $_SESSION["wt"]["logged"] ) continue;
			};
		};
		echo "|&nbsp;";
        echo theme_draw_horizontalmenu_item( $entry[1]["title"], $entry[1]["file"], $entry[1]["newwindow"] );
		echo "&nbsp;|";
    };
    echo "</td></tr></table>\n";
}

?>
